/*
Copyright (C) 2008-2009  Anders Hedstrom (grymse@alhem.net)

This program is made available under the terms of the GNU GPL.

If you would like to use this program in a closed-source application,
a separate license agreement is available. For information about 
the closed-source license agreement for this program, please
visit http://www.alhem.net/Sockets/license.html and/or
email license@alhem.net.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef _WSDL2CPP_FejsBokk_H
#define _WSDL2CPP_FejsBokk_H

#include <string>
#include <vector>
#include <list>

namespace Xml { class XmlNode; }

/** http://api.facebook.com/1.0/ */
namespace com_facebook_1_0_ {

	typedef std::string aid;

	typedef std::string pid;

	typedef long eid;

	typedef long gid;

	typedef int nid;

	typedef int hsid;

	typedef long uid;

	typedef long flid;

	typedef long id;

	typedef long fbid;

	typedef long page_id;

	typedef long tbid;

	typedef long note_id;

	typedef long thread_id;

	typedef std::string message_id;

	typedef long status_id;

	typedef std::string post_id;

	typedef long share_id;

	typedef long link_id;

	typedef long vid;

	typedef std::string old_id_list;

	typedef std::string aid_list;

	typedef std::string pid_list;

	typedef std::string gid_list;

	typedef std::string eid_list;

	typedef std::string uid_list;

	typedef std::string field_list;

	typedef std::string tag_list;

	typedef std::string lid_list;

	typedef std::string pageid_list;

	typedef std::string id_list;

	typedef long time;

	typedef std::string date;

	typedef int year;

	typedef std::string auth_token;

	typedef std::string session_key;

	typedef std::string session_secret;

	typedef std::string friend_link;

	typedef std::string member_type;

	typedef std::string old_id;

	typedef std::string xid;

	typedef int comment_id;

	typedef std::string json_string;

	typedef std::string concentration;

	typedef std::string sex;

	typedef std::string seeking;

	typedef std::string one_line_story_template;


} // namespace com_facebook_1_0_

/** http://api.facebook.com/1.0/ */
namespace com_facebook_1_0_ {

	// -----------------------------------------------------------------------------
	class User_status
	{
	public:
		User_status();
		User_status(const Xml::XmlNode& it);
		virtual ~User_status() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetMessage() const;
		void SetMessage(const std::string& message);

		long GetTime() const;
		void SetTime(long time);

		long GetStatus_id() const;
		void SetStatus_id(long status_id);

		const std::string& GetSource() const;
		void SetSource(const std::string& source);

		long GetUid() const;
		void SetUid(long uid);

		int GetComment_count() const;
		void SetComment_count(int comment_count);

		bool MessageIsSet() const { return _element_message_is_set; }
		bool TimeIsSet() const { return _element_time_is_set; }
		bool Status_idIsSet() const { return _element_status_id_is_set; }
		bool SourceIsSet() const { return _element_source_is_set; }
		bool UidIsSet() const { return _element_uid_is_set; }
		bool Comment_countIsSet() const { return _element_comment_count_is_set; }

	private:
		std::string _element_message;
		long _element_time;
		long _element_status_id;
		std::string _element_source;
		long _element_uid;
		int _element_comment_count;
		bool _element_message_is_set;
		bool _element_time_is_set;
		bool _element_status_id_is_set;
		bool _element_source_is_set;
		bool _element_uid_is_set;
		bool _element_comment_count_is_set;
	};

	// -----------------------------------------------------------------------------
	class Comment
	{
	public:
		Comment();
		Comment(const Xml::XmlNode& it);
		virtual ~Comment() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetXid() const;
		void SetXid(const std::string& xid);

		long GetFromid() const;
		void SetFromid(long fromid);

		long GetTime() const;
		void SetTime(long time);

		const std::string& GetText() const;
		void SetText(const std::string& text);

		int GetId() const;
		void SetId(int id);

		const std::string& GetUsername() const;
		void SetUsername(const std::string& username);

		const std::string& GetReply_xid() const;
		void SetReply_xid(const std::string& reply_xid);

		const std::string& GetPost_id() const;
		void SetPost_id(const std::string& post_id);

		bool XidIsSet() const { return _element_xid_is_set; }
		bool FromidIsSet() const { return _element_fromid_is_set; }
		bool TimeIsSet() const { return _element_time_is_set; }
		bool TextIsSet() const { return _element_text_is_set; }
		bool IdIsSet() const { return _element_id_is_set; }
		bool UsernameIsSet() const { return _element_username_is_set; }
		bool Reply_xidIsSet() const { return _element_reply_xid_is_set; }
		bool Post_idIsSet() const { return _element_post_id_is_set; }

	private:
		std::string _element_xid;
		long _element_fromid;
		long _element_time;
		std::string _element_text;
		int _element_id;
		std::string _element_username;
		std::string _element_reply_xid;
		std::string _element_post_id;
		bool _element_xid_is_set;
		bool _element_fromid_is_set;
		bool _element_time_is_set;
		bool _element_text_is_set;
		bool _element_id_is_set;
		bool _element_username_is_set;
		bool _element_reply_xid_is_set;
		bool _element_post_id_is_set;
	};

	// -----------------------------------------------------------------------------
	class Profile
	{
	public:
		Profile();
		Profile(const Xml::XmlNode& it);
		virtual ~Profile() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		long GetId() const;
		void SetId(long id);

		const std::string& GetUrl() const;
		void SetUrl(const std::string& url);

		const std::string& GetName() const;
		void SetName(const std::string& name);

		const std::string& GetPic_square() const;
		void SetPic_square(const std::string& pic_square);

		const std::string& GetType() const;
		void SetType(const std::string& type);

		bool IdIsSet() const { return _element_id_is_set; }
		bool UrlIsSet() const { return _element_url_is_set; }
		bool NameIsSet() const { return _element_name_is_set; }
		bool Pic_squareIsSet() const { return _element_pic_square_is_set; }
		bool TypeIsSet() const { return _element_type_is_set; }

	private:
		long _element_id;
		std::string _element_url;
		std::string _element_name;
		std::string _element_pic_square;
		std::string _element_type;
		bool _element_id_is_set;
		bool _element_url_is_set;
		bool _element_name_is_set;
		bool _element_pic_square_is_set;
		bool _element_type_is_set;
	};

	// -----------------------------------------------------------------------------
	class Id_map
	{
	public:
		Id_map();
		Id_map(const Xml::XmlNode& it);
		virtual ~Id_map() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetOld_id() const;
		void SetOld_id(const std::string& old_id);

		long GetNew_id() const;
		void SetNew_id(long new_id);

		bool Old_idIsSet() const { return _element_old_id_is_set; }
		bool New_idIsSet() const { return _element_new_id_is_set; }

	private:
		std::string _element_old_id;
		long _element_new_id;
		bool _element_old_id_is_set;
		bool _element_new_id_is_set;
	};

	// -----------------------------------------------------------------------------
	class Arg
	{
	public:
		Arg();
		Arg(const Xml::XmlNode& it);
		virtual ~Arg() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetKey() const;
		void SetKey(const std::string& key);

		const std::string& GetValue() const;
		void SetValue(const std::string& value);

		bool KeyIsSet() const { return _element_key_is_set; }
		bool ValueIsSet() const { return _element_value_is_set; }

	private:
		std::string _element_key;
		std::string _element_value;
		bool _element_key_is_set;
		bool _element_value_is_set;
	};

	// -----------------------------------------------------------------------------
	class FacebookApiException
	{
	public:
		class Request_args_t
		{
		public:
			Request_args_t();
			Request_args_t(const Xml::XmlNode& it);
			virtual ~Request_args_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<com_facebook_1_0_::Arg>& GetArg() const;
			std::list<com_facebook_1_0_::Arg>& GetArg();
			void SetArg(const std::list<com_facebook_1_0_::Arg>& arg);

			bool GetList() const;
			void SetList(bool list);

			bool ArgIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<com_facebook_1_0_::Arg> _element_arg;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		FacebookApiException();
		FacebookApiException(const Xml::XmlNode& it);
		virtual ~FacebookApiException() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		int GetError_code() const;
		void SetError_code(int error_code);

		const std::string& GetError_msg() const;
		void SetError_msg(const std::string& error_msg);

		const com_facebook_1_0_::FacebookApiException::Request_args_t& GetRequest_args() const;
		com_facebook_1_0_::FacebookApiException::Request_args_t& GetRequest_args();
		void SetRequest_args(const com_facebook_1_0_::FacebookApiException::Request_args_t& request_args);

		bool Error_codeIsSet() const { return _element_error_code_is_set; }
		bool Error_msgIsSet() const { return _element_error_msg_is_set; }
		bool Request_argsIsSet() const;

	private:
		int _element_error_code;
		std::string _element_error_msg;
		com_facebook_1_0_::FacebookApiException::Request_args_t _element_request_args;
		bool _element_error_code_is_set;
		bool _element_error_msg_is_set;
	};

	// -----------------------------------------------------------------------------
	class Session_info
	{
	public:
		Session_info();
		Session_info(const Xml::XmlNode& it);
		virtual ~Session_info() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetSession_key() const;
		void SetSession_key(const std::string& session_key);

		long GetUid() const;
		void SetUid(long uid);

		int GetExpires() const;
		void SetExpires(int expires);

		const std::string& GetSecret() const;
		void SetSecret(const std::string& secret);

		const std::string& GetBase_domain() const;
		void SetBase_domain(const std::string& base_domain);

		bool Session_keyIsSet() const { return _element_session_key_is_set; }
		bool UidIsSet() const { return _element_uid_is_set; }
		bool ExpiresIsSet() const { return _element_expires_is_set; }
		bool SecretIsSet() const { return _element_secret_is_set; }
		bool Base_domainIsSet() const { return _element_base_domain_is_set; }

	private:
		std::string _element_session_key;
		long _element_uid;
		int _element_expires;
		std::string _element_secret;
		std::string _element_base_domain;
		bool _element_session_key_is_set;
		bool _element_uid_is_set;
		bool _element_expires_is_set;
		bool _element_secret_is_set;
		bool _element_base_domain_is_set;
	};

	// -----------------------------------------------------------------------------
	class Public_session_data
	{
	public:
		Public_session_data();
		Public_session_data(const Xml::XmlNode& it);
		virtual ~Public_session_data() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		long GetUid() const;
		void SetUid(long uid);

		const std::string& GetApi_key() const;
		void SetApi_key(const std::string& api_key);

		int GetExpires() const;
		void SetExpires(int expires);

		const std::string& GetSig() const;
		void SetSig(const std::string& sig);

		bool UidIsSet() const { return _element_uid_is_set; }
		bool Api_keyIsSet() const { return _element_api_key_is_set; }
		bool ExpiresIsSet() const { return _element_expires_is_set; }
		bool SigIsSet() const { return _element_sig_is_set; }

	private:
		long _element_uid;
		std::string _element_api_key;
		int _element_expires;
		std::string _element_sig;
		bool _element_uid_is_set;
		bool _element_api_key_is_set;
		bool _element_expires_is_set;
		bool _element_sig_is_set;
	};

	// -----------------------------------------------------------------------------
	class Location
	{
	public:
		Location();
		Location(const Xml::XmlNode& it);
		virtual ~Location() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetStreet() const;
		void SetStreet(const std::string& street);

		const std::string& GetCity() const;
		void SetCity(const std::string& city);

		const std::string& GetState() const;
		void SetState(const std::string& state);

		const std::string& GetCountry() const;
		void SetCountry(const std::string& country);

		const std::string& GetZip() const;
		void SetZip(const std::string& zip);

		double GetLatitude() const;
		void SetLatitude(double latitude);

		double GetLongitude() const;
		void SetLongitude(double longitude);

		bool StreetIsSet() const { return _element_street_is_set; }
		bool CityIsSet() const { return _element_city_is_set; }
		bool StateIsSet() const { return _element_state_is_set; }
		bool CountryIsSet() const { return _element_country_is_set; }
		bool ZipIsSet() const { return _element_zip_is_set; }
		bool LatitudeIsSet() const { return _element_latitude_is_set; }
		bool LongitudeIsSet() const { return _element_longitude_is_set; }

	private:
		std::string _element_street;
		std::string _element_city;
		std::string _element_state;
		std::string _element_country;
		std::string _element_zip;
		double _element_latitude;
		double _element_longitude;
		bool _element_street_is_set;
		bool _element_city_is_set;
		bool _element_state_is_set;
		bool _element_country_is_set;
		bool _element_zip_is_set;
		bool _element_latitude_is_set;
		bool _element_longitude_is_set;
	};

	// -----------------------------------------------------------------------------
	class Connect_account_info
	{
	public:
		Connect_account_info();
		Connect_account_info(const Xml::XmlNode& it);
		virtual ~Connect_account_info() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetEmail_hash() const;
		void SetEmail_hash(const std::string& email_hash);

		const std::string& GetAccount_id() const;
		void SetAccount_id(const std::string& account_id);

		const std::string& GetAccount_url() const;
		void SetAccount_url(const std::string& account_url);

		bool Email_hashIsSet() const { return _element_email_hash_is_set; }
		bool Account_idIsSet() const { return _element_account_id_is_set; }
		bool Account_urlIsSet() const { return _element_account_url_is_set; }

	private:
		std::string _element_email_hash;
		std::string _element_account_id;
		std::string _element_account_url;
		bool _element_email_hash_is_set;
		bool _element_account_id_is_set;
		bool _element_account_url_is_set;
	};

	// -----------------------------------------------------------------------------
	class Event
	{
	public:
		Event();
		Event(const Xml::XmlNode& it);
		virtual ~Event() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		long GetEid() const;
		void SetEid(long eid);

		const std::string& GetName() const;
		void SetName(const std::string& name);

		const std::string& GetTagline() const;
		void SetTagline(const std::string& tagline);

		int GetNid() const;
		void SetNid(int nid);

		const std::string& GetPic() const;
		void SetPic(const std::string& pic);

		const std::string& GetPic_big() const;
		void SetPic_big(const std::string& pic_big);

		const std::string& GetPic_small() const;
		void SetPic_small(const std::string& pic_small);

		const std::string& GetHost() const;
		void SetHost(const std::string& host);

		const std::string& GetDescription() const;
		void SetDescription(const std::string& description);

		const std::string& GetEvent_type() const;
		void SetEvent_type(const std::string& event_type);

		const std::string& GetEvent_subtype() const;
		void SetEvent_subtype(const std::string& event_subtype);

		long GetStart_time() const;
		void SetStart_time(long start_time);

		long GetEnd_time() const;
		void SetEnd_time(long end_time);

		long GetCreator() const;
		void SetCreator(long creator);

		long GetUpdate_time() const;
		void SetUpdate_time(long update_time);

		const std::string& GetLocation() const;
		void SetLocation(const std::string& location);

		const com_facebook_1_0_::Location& GetVenue() const;
		com_facebook_1_0_::Location& GetVenue();
		void SetVenue(const com_facebook_1_0_::Location& venue);

		const std::string& GetPrivacy() const;
		void SetPrivacy(const std::string& privacy);

		bool GetHide_guest_list() const;
		void SetHide_guest_list(bool hide_guest_list);

		bool GetShow_in_search() const;
		void SetShow_in_search(bool show_in_search);

		bool EidIsSet() const { return _element_eid_is_set; }
		bool NameIsSet() const { return _element_name_is_set; }
		bool TaglineIsSet() const { return _element_tagline_is_set; }
		bool NidIsSet() const { return _element_nid_is_set; }
		bool PicIsSet() const { return _element_pic_is_set; }
		bool Pic_bigIsSet() const { return _element_pic_big_is_set; }
		bool Pic_smallIsSet() const { return _element_pic_small_is_set; }
		bool HostIsSet() const { return _element_host_is_set; }
		bool DescriptionIsSet() const { return _element_description_is_set; }
		bool Event_typeIsSet() const { return _element_event_type_is_set; }
		bool Event_subtypeIsSet() const { return _element_event_subtype_is_set; }
		bool Start_timeIsSet() const { return _element_start_time_is_set; }
		bool End_timeIsSet() const { return _element_end_time_is_set; }
		bool CreatorIsSet() const { return _element_creator_is_set; }
		bool Update_timeIsSet() const { return _element_update_time_is_set; }
		bool LocationIsSet() const { return _element_location_is_set; }
		bool VenueIsSet() const;
		bool PrivacyIsSet() const { return _element_privacy_is_set; }
		bool Hide_guest_listIsSet() const { return _element_hide_guest_list_is_set; }
		bool Show_in_searchIsSet() const { return _element_show_in_search_is_set; }

	private:
		long _element_eid;
		std::string _element_name;
		std::string _element_tagline;
		int _element_nid;
		std::string _element_pic;
		std::string _element_pic_big;
		std::string _element_pic_small;
		std::string _element_host;
		std::string _element_description;
		std::string _element_event_type;
		std::string _element_event_subtype;
		long _element_start_time;
		long _element_end_time;
		long _element_creator;
		long _element_update_time;
		std::string _element_location;
		com_facebook_1_0_::Location _element_venue;
		std::string _element_privacy;
		bool _element_hide_guest_list;
		bool _element_show_in_search;
		bool _element_eid_is_set;
		bool _element_name_is_set;
		bool _element_tagline_is_set;
		bool _element_nid_is_set;
		bool _element_pic_is_set;
		bool _element_pic_big_is_set;
		bool _element_pic_small_is_set;
		bool _element_host_is_set;
		bool _element_description_is_set;
		bool _element_event_type_is_set;
		bool _element_event_subtype_is_set;
		bool _element_start_time_is_set;
		bool _element_end_time_is_set;
		bool _element_creator_is_set;
		bool _element_update_time_is_set;
		bool _element_location_is_set;
		bool _element_privacy_is_set;
		bool _element_hide_guest_list_is_set;
		bool _element_show_in_search_is_set;
	};

	// -----------------------------------------------------------------------------
	class Event_member
	{
	public:
		Event_member();
		Event_member(const Xml::XmlNode& it);
		virtual ~Event_member() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		long GetUid() const;
		void SetUid(long uid);

		long GetOid() const;
		void SetOid(long oid);

		const std::string& GetAttending() const;
		void SetAttending(const std::string& attending);

		bool UidIsSet() const { return _element_uid_is_set; }
		bool OidIsSet() const { return _element_oid_is_set; }
		bool AttendingIsSet() const { return _element_attending_is_set; }

	private:
		long _element_uid;
		long _element_oid;
		std::string _element_attending;
		bool _element_uid_is_set;
		bool _element_oid_is_set;
		bool _element_attending_is_set;
	};

	// -----------------------------------------------------------------------------
	class Group
	{
	public:
		Group();
		Group(const Xml::XmlNode& it);
		virtual ~Group() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		long GetGid() const;
		void SetGid(long gid);

		const std::string& GetName() const;
		void SetName(const std::string& name);

		int GetNid() const;
		void SetNid(int nid);

		const std::string& GetDescription() const;
		void SetDescription(const std::string& description);

		const std::string& GetGroup_type() const;
		void SetGroup_type(const std::string& group_type);

		const std::string& GetGroup_subtype() const;
		void SetGroup_subtype(const std::string& group_subtype);

		const std::string& GetRecent_news() const;
		void SetRecent_news(const std::string& recent_news);

		const std::string& GetPic() const;
		void SetPic(const std::string& pic);

		const std::string& GetPic_big() const;
		void SetPic_big(const std::string& pic_big);

		const std::string& GetPic_small() const;
		void SetPic_small(const std::string& pic_small);

		long GetCreator() const;
		void SetCreator(long creator);

		long GetUpdate_time() const;
		void SetUpdate_time(long update_time);

		const std::string& GetOffice() const;
		void SetOffice(const std::string& office);

		const std::string& GetWebsite() const;
		void SetWebsite(const std::string& website);

		const com_facebook_1_0_::Location& GetVenue() const;
		com_facebook_1_0_::Location& GetVenue();
		void SetVenue(const com_facebook_1_0_::Location& venue);

		const std::string& GetPrivacy() const;
		void SetPrivacy(const std::string& privacy);

		bool GidIsSet() const { return _element_gid_is_set; }
		bool NameIsSet() const { return _element_name_is_set; }
		bool NidIsSet() const { return _element_nid_is_set; }
		bool DescriptionIsSet() const { return _element_description_is_set; }
		bool Group_typeIsSet() const { return _element_group_type_is_set; }
		bool Group_subtypeIsSet() const { return _element_group_subtype_is_set; }
		bool Recent_newsIsSet() const { return _element_recent_news_is_set; }
		bool PicIsSet() const { return _element_pic_is_set; }
		bool Pic_bigIsSet() const { return _element_pic_big_is_set; }
		bool Pic_smallIsSet() const { return _element_pic_small_is_set; }
		bool CreatorIsSet() const { return _element_creator_is_set; }
		bool Update_timeIsSet() const { return _element_update_time_is_set; }
		bool OfficeIsSet() const { return _element_office_is_set; }
		bool WebsiteIsSet() const { return _element_website_is_set; }
		bool VenueIsSet() const;
		bool PrivacyIsSet() const { return _element_privacy_is_set; }

	private:
		long _element_gid;
		std::string _element_name;
		int _element_nid;
		std::string _element_description;
		std::string _element_group_type;
		std::string _element_group_subtype;
		std::string _element_recent_news;
		std::string _element_pic;
		std::string _element_pic_big;
		std::string _element_pic_small;
		long _element_creator;
		long _element_update_time;
		std::string _element_office;
		std::string _element_website;
		com_facebook_1_0_::Location _element_venue;
		std::string _element_privacy;
		bool _element_gid_is_set;
		bool _element_name_is_set;
		bool _element_nid_is_set;
		bool _element_description_is_set;
		bool _element_group_type_is_set;
		bool _element_group_subtype_is_set;
		bool _element_recent_news_is_set;
		bool _element_pic_is_set;
		bool _element_pic_big_is_set;
		bool _element_pic_small_is_set;
		bool _element_creator_is_set;
		bool _element_update_time_is_set;
		bool _element_office_is_set;
		bool _element_website_is_set;
		bool _element_privacy_is_set;
	};

	// -----------------------------------------------------------------------------
	class Group_member
	{
	public:
		class Positions_t
		{
		public:
			Positions_t();
			Positions_t(const Xml::XmlNode& it);
			virtual ~Positions_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<std::string>& GetMember_type() const;
			std::list<std::string>& GetMember_type();
			void SetMember_type(const std::list<std::string>& member_type);

			bool GetList() const;
			void SetList(bool list);

			bool Member_typeIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<std::string> _element_member_type;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		Group_member();
		Group_member(const Xml::XmlNode& it);
		virtual ~Group_member() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		long GetUid() const;
		void SetUid(long uid);

		long GetGid() const;
		void SetGid(long gid);

		const com_facebook_1_0_::Group_member::Positions_t& GetPositions() const;
		com_facebook_1_0_::Group_member::Positions_t& GetPositions();
		void SetPositions(const com_facebook_1_0_::Group_member::Positions_t& positions);

		bool UidIsSet() const { return _element_uid_is_set; }
		bool GidIsSet() const { return _element_gid_is_set; }
		bool PositionsIsSet() const;

	private:
		long _element_uid;
		long _element_gid;
		com_facebook_1_0_::Group_member::Positions_t _element_positions;
		bool _element_uid_is_set;
		bool _element_gid_is_set;
	};

	// -----------------------------------------------------------------------------
	class UidListType
	{
	public:
		UidListType();
		UidListType(const Xml::XmlNode& it);
		virtual ~UidListType() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<long>& GetUid() const;
		std::list<long>& GetUid();
		void SetUid(const std::list<long>& uid);

		bool GetList() const;
		void SetList(bool list);

		bool UidIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<long> _element_uid;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Group_members
	{
	public:
		class Members_t
		{
		public:
			Members_t();
			Members_t(const Xml::XmlNode& it);
			virtual ~Members_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<long>& GetUid() const;
			std::list<long>& GetUid();
			void SetUid(const std::list<long>& uid);

			bool GetList() const;
			void SetList(bool list);

			bool UidIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<long> _element_uid;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		class Admins_t
		{
		public:
			Admins_t();
			Admins_t(const Xml::XmlNode& it);
			virtual ~Admins_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<long>& GetUid() const;
			std::list<long>& GetUid();
			void SetUid(const std::list<long>& uid);

			bool GetList() const;
			void SetList(bool list);

			bool UidIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<long> _element_uid;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		class Officers_t
		{
		public:
			Officers_t();
			Officers_t(const Xml::XmlNode& it);
			virtual ~Officers_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<long>& GetUid() const;
			std::list<long>& GetUid();
			void SetUid(const std::list<long>& uid);

			bool GetList() const;
			void SetList(bool list);

			bool UidIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<long> _element_uid;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		Group_members();
		Group_members(const Xml::XmlNode& it);
		virtual ~Group_members() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const com_facebook_1_0_::Group_members::Members_t& GetMembers() const;
		com_facebook_1_0_::Group_members::Members_t& GetMembers();
		void SetMembers(const com_facebook_1_0_::Group_members::Members_t& members);

		const com_facebook_1_0_::Group_members::Admins_t& GetAdmins() const;
		com_facebook_1_0_::Group_members::Admins_t& GetAdmins();
		void SetAdmins(const com_facebook_1_0_::Group_members::Admins_t& admins);

		const com_facebook_1_0_::Group_members::Officers_t& GetOfficers() const;
		com_facebook_1_0_::Group_members::Officers_t& GetOfficers();
		void SetOfficers(const com_facebook_1_0_::Group_members::Officers_t& officers);

		const com_facebook_1_0_::UidListType& GetNot_replied() const;
		com_facebook_1_0_::UidListType& GetNot_replied();
		void SetNot_replied(const com_facebook_1_0_::UidListType& not_replied);

		bool MembersIsSet() const;
		bool AdminsIsSet() const;
		bool OfficersIsSet() const;
		bool Not_repliedIsSet() const;

	private:
		com_facebook_1_0_::Group_members::Members_t _element_members;
		com_facebook_1_0_::Group_members::Admins_t _element_admins;
		com_facebook_1_0_::Group_members::Officers_t _element_officers;
		com_facebook_1_0_::UidListType _element_not_replied;
	};

	// -----------------------------------------------------------------------------
	class Event_members
	{
	public:
		class Attending_t
		{
		public:
			Attending_t();
			Attending_t(const Xml::XmlNode& it);
			virtual ~Attending_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<long>& GetUid() const;
			std::list<long>& GetUid();
			void SetUid(const std::list<long>& uid);

			bool GetList() const;
			void SetList(bool list);

			bool UidIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<long> _element_uid;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		class Unsure_t
		{
		public:
			Unsure_t();
			Unsure_t(const Xml::XmlNode& it);
			virtual ~Unsure_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<long>& GetUid() const;
			std::list<long>& GetUid();
			void SetUid(const std::list<long>& uid);

			bool GetList() const;
			void SetList(bool list);

			bool UidIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<long> _element_uid;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		class Declined_t
		{
		public:
			Declined_t();
			Declined_t(const Xml::XmlNode& it);
			virtual ~Declined_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<long>& GetUid() const;
			std::list<long>& GetUid();
			void SetUid(const std::list<long>& uid);

			bool GetList() const;
			void SetList(bool list);

			bool UidIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<long> _element_uid;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		Event_members();
		Event_members(const Xml::XmlNode& it);
		virtual ~Event_members() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const com_facebook_1_0_::Event_members::Attending_t& GetAttending() const;
		com_facebook_1_0_::Event_members::Attending_t& GetAttending();
		void SetAttending(const com_facebook_1_0_::Event_members::Attending_t& attending);

		const com_facebook_1_0_::Event_members::Unsure_t& GetUnsure() const;
		com_facebook_1_0_::Event_members::Unsure_t& GetUnsure();
		void SetUnsure(const com_facebook_1_0_::Event_members::Unsure_t& unsure);

		const com_facebook_1_0_::Event_members::Declined_t& GetDeclined() const;
		com_facebook_1_0_::Event_members::Declined_t& GetDeclined();
		void SetDeclined(const com_facebook_1_0_::Event_members::Declined_t& declined);

		const com_facebook_1_0_::UidListType& GetNot_replied() const;
		com_facebook_1_0_::UidListType& GetNot_replied();
		void SetNot_replied(const com_facebook_1_0_::UidListType& not_replied);

		bool AttendingIsSet() const;
		bool UnsureIsSet() const;
		bool DeclinedIsSet() const;
		bool Not_repliedIsSet() const;

	private:
		com_facebook_1_0_::Event_members::Attending_t _element_attending;
		com_facebook_1_0_::Event_members::Unsure_t _element_unsure;
		com_facebook_1_0_::Event_members::Declined_t _element_declined;
		com_facebook_1_0_::UidListType _element_not_replied;
	};

	// -----------------------------------------------------------------------------
	class Notification_count
	{
	public:
		Notification_count();
		Notification_count(const Xml::XmlNode& it);
		virtual ~Notification_count() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		int GetUnread() const;
		void SetUnread(int unread);

		long GetMost_recent() const;
		void SetMost_recent(long most_recent);

		bool UnreadIsSet() const { return _element_unread_is_set; }
		bool Most_recentIsSet() const { return _element_most_recent_is_set; }

	private:
		int _element_unread;
		long _element_most_recent;
		bool _element_unread_is_set;
		bool _element_most_recent_is_set;
	};

	// -----------------------------------------------------------------------------
	class Notifications
	{
	public:
		class Friend_requests_t
		{
		public:
			Friend_requests_t();
			Friend_requests_t(const Xml::XmlNode& it);
			virtual ~Friend_requests_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<long>& GetUid() const;
			std::list<long>& GetUid();
			void SetUid(const std::list<long>& uid);

			bool GetList() const;
			void SetList(bool list);

			bool UidIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<long> _element_uid;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		class Group_invites_t
		{
		public:
			Group_invites_t();
			Group_invites_t(const Xml::XmlNode& it);
			virtual ~Group_invites_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<long>& GetGid() const;
			std::list<long>& GetGid();
			void SetGid(const std::list<long>& gid);

			bool GetList() const;
			void SetList(bool list);

			bool GidIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<long> _element_gid;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		class Event_invites_t
		{
		public:
			Event_invites_t();
			Event_invites_t(const Xml::XmlNode& it);
			virtual ~Event_invites_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<long>& GetEid() const;
			std::list<long>& GetEid();
			void SetEid(const std::list<long>& eid);

			bool GetList() const;
			void SetList(bool list);

			bool EidIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<long> _element_eid;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		Notifications();
		Notifications(const Xml::XmlNode& it);
		virtual ~Notifications() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const com_facebook_1_0_::Notification_count& GetMessages() const;
		com_facebook_1_0_::Notification_count& GetMessages();
		void SetMessages(const com_facebook_1_0_::Notification_count& messages);

		const com_facebook_1_0_::Notification_count& GetPokes() const;
		com_facebook_1_0_::Notification_count& GetPokes();
		void SetPokes(const com_facebook_1_0_::Notification_count& pokes);

		const com_facebook_1_0_::Notification_count& GetShares() const;
		com_facebook_1_0_::Notification_count& GetShares();
		void SetShares(const com_facebook_1_0_::Notification_count& shares);

		const com_facebook_1_0_::Notifications::Friend_requests_t& GetFriend_requests() const;
		com_facebook_1_0_::Notifications::Friend_requests_t& GetFriend_requests();
		void SetFriend_requests(const com_facebook_1_0_::Notifications::Friend_requests_t& friend_requests);

		const com_facebook_1_0_::Notifications::Group_invites_t& GetGroup_invites() const;
		com_facebook_1_0_::Notifications::Group_invites_t& GetGroup_invites();
		void SetGroup_invites(const com_facebook_1_0_::Notifications::Group_invites_t& group_invites);

		const com_facebook_1_0_::Notifications::Event_invites_t& GetEvent_invites() const;
		com_facebook_1_0_::Notifications::Event_invites_t& GetEvent_invites();
		void SetEvent_invites(const com_facebook_1_0_::Notifications::Event_invites_t& event_invites);

		bool MessagesIsSet() const;
		bool PokesIsSet() const;
		bool SharesIsSet() const;
		bool Friend_requestsIsSet() const;
		bool Group_invitesIsSet() const;
		bool Event_invitesIsSet() const;

	private:
		com_facebook_1_0_::Notification_count _element_messages;
		com_facebook_1_0_::Notification_count _element_pokes;
		com_facebook_1_0_::Notification_count _element_shares;
		com_facebook_1_0_::Notifications::Friend_requests_t _element_friend_requests;
		com_facebook_1_0_::Notifications::Group_invites_t _element_group_invites;
		com_facebook_1_0_::Notifications::Event_invites_t _element_event_invites;
	};

	// -----------------------------------------------------------------------------
	class Notification
	{
	public:
		Notification();
		Notification(const Xml::XmlNode& it);
		virtual ~Notification() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		long GetNotification_id() const;
		void SetNotification_id(long notification_id);

		long GetSender_id() const;
		void SetSender_id(long sender_id);

		long GetRecipient_id() const;
		void SetRecipient_id(long recipient_id);

		long GetCreated_time() const;
		void SetCreated_time(long created_time);

		long GetUpdated_time() const;
		void SetUpdated_time(long updated_time);

		const std::string& GetTitle_html() const;
		void SetTitle_html(const std::string& title_html);

		const std::string& GetTitle_text() const;
		void SetTitle_text(const std::string& title_text);

		const std::string& GetBody_html() const;
		void SetBody_html(const std::string& body_html);

		const std::string& GetBody_text() const;
		void SetBody_text(const std::string& body_text);

		const std::string& GetHref() const;
		void SetHref(const std::string& href);

		long GetApp_id() const;
		void SetApp_id(long app_id);

		int GetIs_unread() const;
		void SetIs_unread(int is_unread);

		int GetIs_hidden() const;
		void SetIs_hidden(int is_hidden);

		bool Notification_idIsSet() const { return _element_notification_id_is_set; }
		bool Sender_idIsSet() const { return _element_sender_id_is_set; }
		bool Recipient_idIsSet() const { return _element_recipient_id_is_set; }
		bool Created_timeIsSet() const { return _element_created_time_is_set; }
		bool Updated_timeIsSet() const { return _element_updated_time_is_set; }
		bool Title_htmlIsSet() const { return _element_title_html_is_set; }
		bool Title_textIsSet() const { return _element_title_text_is_set; }
		bool Body_htmlIsSet() const { return _element_body_html_is_set; }
		bool Body_textIsSet() const { return _element_body_text_is_set; }
		bool HrefIsSet() const { return _element_href_is_set; }
		bool App_idIsSet() const { return _element_app_id_is_set; }
		bool Is_unreadIsSet() const { return _element_is_unread_is_set; }
		bool Is_hiddenIsSet() const { return _element_is_hidden_is_set; }

	private:
		long _element_notification_id;
		long _element_sender_id;
		long _element_recipient_id;
		long _element_created_time;
		long _element_updated_time;
		std::string _element_title_html;
		std::string _element_title_text;
		std::string _element_body_html;
		std::string _element_body_text;
		std::string _element_href;
		long _element_app_id;
		int _element_is_unread;
		int _element_is_hidden;
		bool _element_notification_id_is_set;
		bool _element_sender_id_is_set;
		bool _element_recipient_id_is_set;
		bool _element_created_time_is_set;
		bool _element_updated_time_is_set;
		bool _element_title_html_is_set;
		bool _element_title_text_is_set;
		bool _element_body_html_is_set;
		bool _element_body_text_is_set;
		bool _element_href_is_set;
		bool _element_app_id_is_set;
		bool _element_is_unread_is_set;
		bool _element_is_hidden_is_set;
	};

	// -----------------------------------------------------------------------------
	class Photo
	{
	public:
		Photo();
		Photo(const Xml::XmlNode& it);
		virtual ~Photo() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetPid() const;
		void SetPid(const std::string& pid);

		const std::string& GetAid() const;
		void SetAid(const std::string& aid);

		long GetOwner() const;
		void SetOwner(long owner);

		const std::string& GetSrc() const;
		void SetSrc(const std::string& src);

		const std::string& GetSrc_big() const;
		void SetSrc_big(const std::string& src_big);

		const std::string& GetSrc_small() const;
		void SetSrc_small(const std::string& src_small);

		const std::string& GetLink() const;
		void SetLink(const std::string& link);

		const std::string& GetCaption() const;
		void SetCaption(const std::string& caption);

		long GetCreated() const;
		void SetCreated(long created);

		long GetStory_fbid() const;
		void SetStory_fbid(long story_fbid);

		long GetModified() const;
		void SetModified(long modified);

		long GetObject_id() const;
		void SetObject_id(long object_id);

		bool PidIsSet() const { return _element_pid_is_set; }
		bool AidIsSet() const { return _element_aid_is_set; }
		bool OwnerIsSet() const { return _element_owner_is_set; }
		bool SrcIsSet() const { return _element_src_is_set; }
		bool Src_bigIsSet() const { return _element_src_big_is_set; }
		bool Src_smallIsSet() const { return _element_src_small_is_set; }
		bool LinkIsSet() const { return _element_link_is_set; }
		bool CaptionIsSet() const { return _element_caption_is_set; }
		bool CreatedIsSet() const { return _element_created_is_set; }
		bool Story_fbidIsSet() const { return _element_story_fbid_is_set; }
		bool ModifiedIsSet() const { return _element_modified_is_set; }
		bool Object_idIsSet() const { return _element_object_id_is_set; }

	private:
		std::string _element_pid;
		std::string _element_aid;
		long _element_owner;
		std::string _element_src;
		std::string _element_src_big;
		std::string _element_src_small;
		std::string _element_link;
		std::string _element_caption;
		long _element_created;
		long _element_story_fbid;
		long _element_modified;
		long _element_object_id;
		bool _element_pid_is_set;
		bool _element_aid_is_set;
		bool _element_owner_is_set;
		bool _element_src_is_set;
		bool _element_src_big_is_set;
		bool _element_src_small_is_set;
		bool _element_link_is_set;
		bool _element_caption_is_set;
		bool _element_created_is_set;
		bool _element_story_fbid_is_set;
		bool _element_modified_is_set;
		bool _element_object_id_is_set;
	};

	// -----------------------------------------------------------------------------
	class Photo_tag
	{
	public:
		Photo_tag();
		Photo_tag(const Xml::XmlNode& it);
		virtual ~Photo_tag() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetPid() const;
		void SetPid(const std::string& pid);

		long GetSubject() const;
		void SetSubject(long subject);

		const std::string& GetText() const;
		void SetText(const std::string& text);

		double GetXcoord() const;
		void SetXcoord(double xcoord);

		double GetYcoord() const;
		void SetYcoord(double ycoord);

		long GetCreated() const;
		void SetCreated(long created);

		bool PidIsSet() const { return _element_pid_is_set; }
		bool SubjectIsSet() const { return _element_subject_is_set; }
		bool TextIsSet() const { return _element_text_is_set; }
		bool XcoordIsSet() const { return _element_xcoord_is_set; }
		bool YcoordIsSet() const { return _element_ycoord_is_set; }
		bool CreatedIsSet() const { return _element_created_is_set; }

	private:
		std::string _element_pid;
		long _element_subject;
		std::string _element_text;
		double _element_xcoord;
		double _element_ycoord;
		long _element_created;
		bool _element_pid_is_set;
		bool _element_subject_is_set;
		bool _element_text_is_set;
		bool _element_xcoord_is_set;
		bool _element_ycoord_is_set;
		bool _element_created_is_set;
	};

	// -----------------------------------------------------------------------------
	class Album
	{
	public:
		Album();
		Album(const Xml::XmlNode& it);
		virtual ~Album() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetAid() const;
		void SetAid(const std::string& aid);

		const std::string& GetCover_pid() const;
		void SetCover_pid(const std::string& cover_pid);

		long GetOwner() const;
		void SetOwner(long owner);

		const std::string& GetName() const;
		void SetName(const std::string& name);

		long GetCreated() const;
		void SetCreated(long created);

		long GetModified() const;
		void SetModified(long modified);

		const std::string& GetDescription() const;
		void SetDescription(const std::string& description);

		const std::string& GetLocation() const;
		void SetLocation(const std::string& location);

		const std::string& GetLink() const;
		void SetLink(const std::string& link);

		int GetSize() const;
		void SetSize(int size);

		const std::string& GetVisible() const;
		void SetVisible(const std::string& visible);

		long GetModified_major() const;
		void SetModified_major(long modified_major);

		const std::string& GetType() const;
		void SetType(const std::string& type);

		long GetObject_id() const;
		void SetObject_id(long object_id);

		bool AidIsSet() const { return _element_aid_is_set; }
		bool Cover_pidIsSet() const { return _element_cover_pid_is_set; }
		bool OwnerIsSet() const { return _element_owner_is_set; }
		bool NameIsSet() const { return _element_name_is_set; }
		bool CreatedIsSet() const { return _element_created_is_set; }
		bool ModifiedIsSet() const { return _element_modified_is_set; }
		bool DescriptionIsSet() const { return _element_description_is_set; }
		bool LocationIsSet() const { return _element_location_is_set; }
		bool LinkIsSet() const { return _element_link_is_set; }
		bool SizeIsSet() const { return _element_size_is_set; }
		bool VisibleIsSet() const { return _element_visible_is_set; }
		bool Modified_majorIsSet() const { return _element_modified_major_is_set; }
		bool TypeIsSet() const { return _element_type_is_set; }
		bool Object_idIsSet() const { return _element_object_id_is_set; }

	private:
		std::string _element_aid;
		std::string _element_cover_pid;
		long _element_owner;
		std::string _element_name;
		long _element_created;
		long _element_modified;
		std::string _element_description;
		std::string _element_location;
		std::string _element_link;
		int _element_size;
		std::string _element_visible;
		long _element_modified_major;
		std::string _element_type;
		long _element_object_id;
		bool _element_aid_is_set;
		bool _element_cover_pid_is_set;
		bool _element_owner_is_set;
		bool _element_name_is_set;
		bool _element_created_is_set;
		bool _element_modified_is_set;
		bool _element_description_is_set;
		bool _element_location_is_set;
		bool _element_link_is_set;
		bool _element_size_is_set;
		bool _element_visible_is_set;
		bool _element_modified_major_is_set;
		bool _element_type_is_set;
		bool _element_object_id_is_set;
	};

	// -----------------------------------------------------------------------------
	class Video
	{
	public:
		Video();
		Video(const Xml::XmlNode& it);
		virtual ~Video() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		long GetVid() const;
		void SetVid(long vid);

		const std::string& GetTitle() const;
		void SetTitle(const std::string& title);

		const std::string& GetDescription() const;
		void SetDescription(const std::string& description);

		const std::string& GetLink() const;
		void SetLink(const std::string& link);

		long GetOwner() const;
		void SetOwner(long owner);

		const std::string& GetThumbnail_link() const;
		void SetThumbnail_link(const std::string& thumbnail_link);

		const std::string& GetEmbed_html() const;
		void SetEmbed_html(const std::string& embed_html);

		long GetCreated_time() const;
		void SetCreated_time(long created_time);

		long GetUpdated_time() const;
		void SetUpdated_time(long updated_time);

		int GetLength() const;
		void SetLength(int length);

		bool VidIsSet() const { return _element_vid_is_set; }
		bool TitleIsSet() const { return _element_title_is_set; }
		bool DescriptionIsSet() const { return _element_description_is_set; }
		bool LinkIsSet() const { return _element_link_is_set; }
		bool OwnerIsSet() const { return _element_owner_is_set; }
		bool Thumbnail_linkIsSet() const { return _element_thumbnail_link_is_set; }
		bool Embed_htmlIsSet() const { return _element_embed_html_is_set; }
		bool Created_timeIsSet() const { return _element_created_time_is_set; }
		bool Updated_timeIsSet() const { return _element_updated_time_is_set; }
		bool LengthIsSet() const { return _element_length_is_set; }

	private:
		long _element_vid;
		std::string _element_title;
		std::string _element_description;
		std::string _element_link;
		long _element_owner;
		std::string _element_thumbnail_link;
		std::string _element_embed_html;
		long _element_created_time;
		long _element_updated_time;
		int _element_length;
		bool _element_vid_is_set;
		bool _element_title_is_set;
		bool _element_description_is_set;
		bool _element_link_is_set;
		bool _element_owner_is_set;
		bool _element_thumbnail_link_is_set;
		bool _element_embed_html_is_set;
		bool _element_created_time_is_set;
		bool _element_updated_time_is_set;
		bool _element_length_is_set;
	};

	// -----------------------------------------------------------------------------
	class Video_tag
	{
	public:
		Video_tag();
		Video_tag(const Xml::XmlNode& it);
		virtual ~Video_tag() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		long GetVid() const;
		void SetVid(long vid);

		long GetSubject() const;
		void SetSubject(long subject);

		long GetCreated_time() const;
		void SetCreated_time(long created_time);

		long GetUpdated_time() const;
		void SetUpdated_time(long updated_time);

		bool VidIsSet() const { return _element_vid_is_set; }
		bool SubjectIsSet() const { return _element_subject_is_set; }
		bool Created_timeIsSet() const { return _element_created_time_is_set; }
		bool Updated_timeIsSet() const { return _element_updated_time_is_set; }

	private:
		long _element_vid;
		long _element_subject;
		long _element_created_time;
		long _element_updated_time;
		bool _element_vid_is_set;
		bool _element_subject_is_set;
		bool _element_created_time_is_set;
		bool _element_updated_time_is_set;
	};

	// -----------------------------------------------------------------------------
	class Video_limits
	{
	public:
		Video_limits();
		Video_limits(const Xml::XmlNode& it);
		virtual ~Video_limits() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		int GetLength() const;
		void SetLength(int length);

		long GetSize() const;
		void SetSize(long size);

		bool LengthIsSet() const { return _element_length_is_set; }
		bool SizeIsSet() const { return _element_size_is_set; }

	private:
		int _element_length;
		long _element_size;
		bool _element_length_is_set;
		bool _element_size_is_set;
	};

	// -----------------------------------------------------------------------------
	class Affiliation
	{
	public:
		Affiliation();
		Affiliation(const Xml::XmlNode& it);
		virtual ~Affiliation() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		int GetNid() const;
		void SetNid(int nid);

		const std::string& GetName() const;
		void SetName(const std::string& name);

		const std::string& GetType() const;
		void SetType(const std::string& type);

		const std::string& GetStatus() const;
		void SetStatus(const std::string& status);

		int GetYear() const;
		void SetYear(int year);

		bool NidIsSet() const { return _element_nid_is_set; }
		bool NameIsSet() const { return _element_name_is_set; }
		bool TypeIsSet() const { return _element_type_is_set; }
		bool StatusIsSet() const { return _element_status_is_set; }
		bool YearIsSet() const { return _element_year_is_set; }

	private:
		int _element_nid;
		std::string _element_name;
		std::string _element_type;
		std::string _element_status;
		int _element_year;
		bool _element_nid_is_set;
		bool _element_name_is_set;
		bool _element_type_is_set;
		bool _element_status_is_set;
		bool _element_year_is_set;
	};

	// -----------------------------------------------------------------------------
	class Hs_info
	{
	public:
		Hs_info();
		Hs_info(const Xml::XmlNode& it);
		virtual ~Hs_info() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetHs1_name() const;
		void SetHs1_name(const std::string& hs1_name);

		const std::string& GetHs2_name() const;
		void SetHs2_name(const std::string& hs2_name);

		int GetGrad_year() const;
		void SetGrad_year(int grad_year);

		int GetHs1_id() const;
		void SetHs1_id(int hs1_id);

		int GetHs2_id() const;
		void SetHs2_id(int hs2_id);

		bool Hs1_nameIsSet() const { return _element_hs1_name_is_set; }
		bool Hs2_nameIsSet() const { return _element_hs2_name_is_set; }
		bool Grad_yearIsSet() const { return _element_grad_year_is_set; }
		bool Hs1_idIsSet() const { return _element_hs1_id_is_set; }
		bool Hs2_idIsSet() const { return _element_hs2_id_is_set; }

	private:
		std::string _element_hs1_name;
		std::string _element_hs2_name;
		int _element_grad_year;
		int _element_hs1_id;
		int _element_hs2_id;
		bool _element_hs1_name_is_set;
		bool _element_hs2_name_is_set;
		bool _element_grad_year_is_set;
		bool _element_hs1_id_is_set;
		bool _element_hs2_id_is_set;
	};

	// -----------------------------------------------------------------------------
	class Education_info
	{
	public:
		class Concentrations_t
		{
		public:
			Concentrations_t();
			Concentrations_t(const Xml::XmlNode& it);
			virtual ~Concentrations_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<std::string>& GetConcentration() const;
			std::list<std::string>& GetConcentration();
			void SetConcentration(const std::list<std::string>& concentration);

			bool GetList() const;
			void SetList(bool list);

			bool ConcentrationIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<std::string> _element_concentration;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		Education_info();
		Education_info(const Xml::XmlNode& it);
		virtual ~Education_info() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetName() const;
		void SetName(const std::string& name);

		int GetYear() const;
		void SetYear(int year);

		const com_facebook_1_0_::Education_info::Concentrations_t& GetConcentrations() const;
		com_facebook_1_0_::Education_info::Concentrations_t& GetConcentrations();
		void SetConcentrations(const com_facebook_1_0_::Education_info::Concentrations_t& concentrations);

		const std::string& GetDegree() const;
		void SetDegree(const std::string& degree);

		const std::string& GetSchool_type() const;
		void SetSchool_type(const std::string& school_type);

		bool NameIsSet() const { return _element_name_is_set; }
		bool YearIsSet() const { return _element_year_is_set; }
		bool ConcentrationsIsSet() const;
		bool DegreeIsSet() const { return _element_degree_is_set; }
		bool School_typeIsSet() const { return _element_school_type_is_set; }

	private:
		std::string _element_name;
		int _element_year;
		com_facebook_1_0_::Education_info::Concentrations_t _element_concentrations;
		std::string _element_degree;
		std::string _element_school_type;
		bool _element_name_is_set;
		bool _element_year_is_set;
		bool _element_degree_is_set;
		bool _element_school_type_is_set;
	};

	// -----------------------------------------------------------------------------
	class Work_info
	{
	public:
		Work_info();
		Work_info(const Xml::XmlNode& it);
		virtual ~Work_info() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const com_facebook_1_0_::Location& GetLocation() const;
		com_facebook_1_0_::Location& GetLocation();
		void SetLocation(const com_facebook_1_0_::Location& location);

		const std::string& GetCompany_name() const;
		void SetCompany_name(const std::string& company_name);

		const std::string& GetPosition() const;
		void SetPosition(const std::string& position);

		const std::string& GetDescription() const;
		void SetDescription(const std::string& description);

		const std::string& GetStart_date() const;
		void SetStart_date(const std::string& start_date);

		const std::string& GetEnd_date() const;
		void SetEnd_date(const std::string& end_date);

		bool LocationIsSet() const;
		bool Company_nameIsSet() const { return _element_company_name_is_set; }
		bool PositionIsSet() const { return _element_position_is_set; }
		bool DescriptionIsSet() const { return _element_description_is_set; }
		bool Start_dateIsSet() const { return _element_start_date_is_set; }
		bool End_dateIsSet() const { return _element_end_date_is_set; }

	private:
		com_facebook_1_0_::Location _element_location;
		std::string _element_company_name;
		std::string _element_position;
		std::string _element_description;
		std::string _element_start_date;
		std::string _element_end_date;
		bool _element_company_name_is_set;
		bool _element_position_is_set;
		bool _element_description_is_set;
		bool _element_start_date_is_set;
		bool _element_end_date_is_set;
	};

	// -----------------------------------------------------------------------------
	class Family_info
	{
	public:
		Family_info();
		Family_info(const Xml::XmlNode& it);
		virtual ~Family_info() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetRelationship() const;
		void SetRelationship(const std::string& relationship);

		long GetUid() const;
		void SetUid(long uid);

		const std::string& GetName() const;
		void SetName(const std::string& name);

		const std::string& GetBirthday() const;
		void SetBirthday(const std::string& birthday);

		long GetProfile_id() const;
		void SetProfile_id(long profile_id);

		bool RelationshipIsSet() const { return _element_relationship_is_set; }
		bool UidIsSet() const { return _element_uid_is_set; }
		bool NameIsSet() const { return _element_name_is_set; }
		bool BirthdayIsSet() const { return _element_birthday_is_set; }
		bool Profile_idIsSet() const { return _element_profile_id_is_set; }

	private:
		std::string _element_relationship;
		long _element_uid;
		std::string _element_name;
		std::string _element_birthday;
		long _element_profile_id;
		bool _element_relationship_is_set;
		bool _element_uid_is_set;
		bool _element_name_is_set;
		bool _element_birthday_is_set;
		bool _element_profile_id_is_set;
	};

	// -----------------------------------------------------------------------------
	class User
	{
	public:
		class Affiliations_t
		{
		public:
			Affiliations_t();
			Affiliations_t(const Xml::XmlNode& it);
			virtual ~Affiliations_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<com_facebook_1_0_::Affiliation>& GetAffiliation() const;
			std::list<com_facebook_1_0_::Affiliation>& GetAffiliation();
			void SetAffiliation(const std::list<com_facebook_1_0_::Affiliation>& affiliation);

			bool GetList() const;
			void SetList(bool list);

			bool AffiliationIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<com_facebook_1_0_::Affiliation> _element_affiliation;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		class Education_history_t
		{
		public:
			Education_history_t();
			Education_history_t(const Xml::XmlNode& it);
			virtual ~Education_history_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<com_facebook_1_0_::Education_info>& GetEducation_info() const;
			std::list<com_facebook_1_0_::Education_info>& GetEducation_info();
			void SetEducation_info(const std::list<com_facebook_1_0_::Education_info>& education_info);

			bool GetList() const;
			void SetList(bool list);

			bool Education_infoIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<com_facebook_1_0_::Education_info> _element_education_info;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		class Meeting_for_t
		{
		public:
			Meeting_for_t();
			Meeting_for_t(const Xml::XmlNode& it);
			virtual ~Meeting_for_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<std::string>& GetSeeking() const;
			std::list<std::string>& GetSeeking();
			void SetSeeking(const std::list<std::string>& seeking);

			bool GetList() const;
			void SetList(bool list);

			bool SeekingIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<std::string> _element_seeking;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		class Meeting_sex_t
		{
		public:
			Meeting_sex_t();
			Meeting_sex_t(const Xml::XmlNode& it);
			virtual ~Meeting_sex_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<std::string>& GetSex() const;
			std::list<std::string>& GetSex();
			void SetSex(const std::list<std::string>& sex);

			bool GetList() const;
			void SetList(bool list);

			bool SexIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<std::string> _element_sex;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		class Work_history_t
		{
		public:
			Work_history_t();
			Work_history_t(const Xml::XmlNode& it);
			virtual ~Work_history_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<com_facebook_1_0_::Work_info>& GetWork_info() const;
			std::list<com_facebook_1_0_::Work_info>& GetWork_info();
			void SetWork_info(const std::list<com_facebook_1_0_::Work_info>& work_info);

			bool GetList() const;
			void SetList(bool list);

			bool Work_infoIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<com_facebook_1_0_::Work_info> _element_work_info;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		class Email_hashes_t
		{
		public:
			Email_hashes_t();
			Email_hashes_t(const Xml::XmlNode& it);
			virtual ~Email_hashes_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<std::string>& GetEmail_hashes_elt() const;
			std::list<std::string>& GetEmail_hashes_elt();
			void SetEmail_hashes_elt(const std::list<std::string>& email_hashes_elt);

			bool GetList() const;
			void SetList(bool list);

			bool Email_hashes_eltIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<std::string> _element_email_hashes_elt;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		class Family_t
		{
		public:
			Family_t();
			Family_t(const Xml::XmlNode& it);
			virtual ~Family_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<com_facebook_1_0_::Family_info>& GetFamily_info() const;
			std::list<com_facebook_1_0_::Family_info>& GetFamily_info();
			void SetFamily_info(const std::list<com_facebook_1_0_::Family_info>& family_info);

			bool GetList() const;
			void SetList(bool list);

			bool Family_infoIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<com_facebook_1_0_::Family_info> _element_family_info;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		User();
		User(const Xml::XmlNode& it);
		virtual ~User() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetAbout_me() const;
		void SetAbout_me(const std::string& about_me);

		const std::string& GetActivities() const;
		void SetActivities(const std::string& activities);

		const com_facebook_1_0_::User::Affiliations_t& GetAffiliations() const;
		com_facebook_1_0_::User::Affiliations_t& GetAffiliations();
		void SetAffiliations(const com_facebook_1_0_::User::Affiliations_t& affiliations);

		const std::string& GetBirthday() const;
		void SetBirthday(const std::string& birthday);

		const std::string& GetBooks() const;
		void SetBooks(const std::string& books);

		const com_facebook_1_0_::Location& GetCurrent_location() const;
		com_facebook_1_0_::Location& GetCurrent_location();
		void SetCurrent_location(const com_facebook_1_0_::Location& current_location);

		const com_facebook_1_0_::User::Education_history_t& GetEducation_history() const;
		com_facebook_1_0_::User::Education_history_t& GetEducation_history();
		void SetEducation_history(const com_facebook_1_0_::User::Education_history_t& education_history);

		const std::string& GetFirst_name() const;
		void SetFirst_name(const std::string& first_name);

		const com_facebook_1_0_::Location& GetHometown_location() const;
		com_facebook_1_0_::Location& GetHometown_location();
		void SetHometown_location(const com_facebook_1_0_::Location& hometown_location);

		const com_facebook_1_0_::Hs_info& GetHs_info() const;
		com_facebook_1_0_::Hs_info& GetHs_info();
		void SetHs_info(const com_facebook_1_0_::Hs_info& hs_info);

		const std::string& GetInterests() const;
		void SetInterests(const std::string& interests);

		bool GetIs_app_user() const;
		void SetIs_app_user(bool is_app_user);

		const std::string& GetLast_name() const;
		void SetLast_name(const std::string& last_name);

		const com_facebook_1_0_::User::Meeting_for_t& GetMeeting_for() const;
		com_facebook_1_0_::User::Meeting_for_t& GetMeeting_for();
		void SetMeeting_for(const com_facebook_1_0_::User::Meeting_for_t& meeting_for);

		const com_facebook_1_0_::User::Meeting_sex_t& GetMeeting_sex() const;
		com_facebook_1_0_::User::Meeting_sex_t& GetMeeting_sex();
		void SetMeeting_sex(const com_facebook_1_0_::User::Meeting_sex_t& meeting_sex);

		const std::string& GetMovies() const;
		void SetMovies(const std::string& movies);

		const std::string& GetMusic() const;
		void SetMusic(const std::string& music);

		const std::string& GetName() const;
		void SetName(const std::string& name);

		int GetNotes_count() const;
		void SetNotes_count(int notes_count);

		const std::string& GetPic() const;
		void SetPic(const std::string& pic);

		const std::string& GetPic_big() const;
		void SetPic_big(const std::string& pic_big);

		const std::string& GetPic_small() const;
		void SetPic_small(const std::string& pic_small);

		const std::string& GetPolitical() const;
		void SetPolitical(const std::string& political);

		long GetProfile_update_time() const;
		void SetProfile_update_time(long profile_update_time);

		const std::string& GetQuotes() const;
		void SetQuotes(const std::string& quotes);

		const std::string& GetRelationship_status() const;
		void SetRelationship_status(const std::string& relationship_status);

		const std::string& GetReligion() const;
		void SetReligion(const std::string& religion);

		const std::string& GetSex() const;
		void SetSex(const std::string& sex);

		long GetSignificant_other_id() const;
		void SetSignificant_other_id(long significant_other_id);

		const com_facebook_1_0_::User_status& GetStatus() const;
		com_facebook_1_0_::User_status& GetStatus();
		void SetStatus(const com_facebook_1_0_::User_status& status);

		double GetTimezone() const;
		void SetTimezone(double timezone);

		const std::string& GetTv() const;
		void SetTv(const std::string& tv);

		long GetUid() const;
		void SetUid(long uid);

		int GetWall_count() const;
		void SetWall_count(int wall_count);

		const com_facebook_1_0_::User::Work_history_t& GetWork_history() const;
		com_facebook_1_0_::User::Work_history_t& GetWork_history();
		void SetWork_history(const com_facebook_1_0_::User::Work_history_t& work_history);

		const std::string& GetPic_square() const;
		void SetPic_square(const std::string& pic_square);

		bool GetHas_added_app() const;
		void SetHas_added_app(bool has_added_app);

		const com_facebook_1_0_::User::Email_hashes_t& GetEmail_hashes() const;
		com_facebook_1_0_::User::Email_hashes_t& GetEmail_hashes();
		void SetEmail_hashes(const com_facebook_1_0_::User::Email_hashes_t& email_hashes);

		const std::string& GetLocale() const;
		void SetLocale(const std::string& locale);

		const com_facebook_1_0_::User::Family_t& GetFamily() const;
		com_facebook_1_0_::User::Family_t& GetFamily();
		void SetFamily(const com_facebook_1_0_::User::Family_t& family);

		bool GetAre_friends() const;
		void SetAre_friends(bool are_friends);

		bool GetCan_see_profile() const;
		void SetCan_see_profile(bool can_see_profile);

		const std::string& GetProfile_url() const;
		void SetProfile_url(const std::string& profile_url);

		const std::string& GetUsername() const;
		void SetUsername(const std::string& username);

		const std::string& GetProxied_email() const;
		void SetProxied_email(const std::string& proxied_email);

		const std::string& GetPic_large() const;
		void SetPic_large(const std::string& pic_large);

		const std::string& GetPic_big_with_logo() const;
		void SetPic_big_with_logo(const std::string& pic_big_with_logo);

		const std::string& GetPic_small_with_logo() const;
		void SetPic_small_with_logo(const std::string& pic_small_with_logo);

		const std::string& GetPic_square_with_logo() const;
		void SetPic_square_with_logo(const std::string& pic_square_with_logo);

		const std::string& GetPic_with_logo() const;
		void SetPic_with_logo(const std::string& pic_with_logo);

		const std::string& GetBirthday_date() const;
		void SetBirthday_date(const std::string& birthday_date);

		const std::string& GetOnline_presence() const;
		void SetOnline_presence(const std::string& online_presence);

		const std::string& GetWebsite() const;
		void SetWebsite(const std::string& website);

		bool GetIs_blocked() const;
		void SetIs_blocked(bool is_blocked);

		bool About_meIsSet() const { return _element_about_me_is_set; }
		bool ActivitiesIsSet() const { return _element_activities_is_set; }
		bool AffiliationsIsSet() const;
		bool BirthdayIsSet() const { return _element_birthday_is_set; }
		bool BooksIsSet() const { return _element_books_is_set; }
		bool Current_locationIsSet() const;
		bool Education_historyIsSet() const;
		bool First_nameIsSet() const { return _element_first_name_is_set; }
		bool Hometown_locationIsSet() const;
		bool Hs_infoIsSet() const;
		bool InterestsIsSet() const { return _element_interests_is_set; }
		bool Is_app_userIsSet() const { return _element_is_app_user_is_set; }
		bool Last_nameIsSet() const { return _element_last_name_is_set; }
		bool Meeting_forIsSet() const;
		bool Meeting_sexIsSet() const;
		bool MoviesIsSet() const { return _element_movies_is_set; }
		bool MusicIsSet() const { return _element_music_is_set; }
		bool NameIsSet() const { return _element_name_is_set; }
		bool Notes_countIsSet() const { return _element_notes_count_is_set; }
		bool PicIsSet() const { return _element_pic_is_set; }
		bool Pic_bigIsSet() const { return _element_pic_big_is_set; }
		bool Pic_smallIsSet() const { return _element_pic_small_is_set; }
		bool PoliticalIsSet() const { return _element_political_is_set; }
		bool Profile_update_timeIsSet() const { return _element_profile_update_time_is_set; }
		bool QuotesIsSet() const { return _element_quotes_is_set; }
		bool Relationship_statusIsSet() const { return _element_relationship_status_is_set; }
		bool ReligionIsSet() const { return _element_religion_is_set; }
		bool SexIsSet() const { return _element_sex_is_set; }
		bool Significant_other_idIsSet() const { return _element_significant_other_id_is_set; }
		bool StatusIsSet() const;
		bool TimezoneIsSet() const { return _element_timezone_is_set; }
		bool TvIsSet() const { return _element_tv_is_set; }
		bool UidIsSet() const { return _element_uid_is_set; }
		bool Wall_countIsSet() const { return _element_wall_count_is_set; }
		bool Work_historyIsSet() const;
		bool Pic_squareIsSet() const { return _element_pic_square_is_set; }
		bool Has_added_appIsSet() const { return _element_has_added_app_is_set; }
		bool Email_hashesIsSet() const;
		bool LocaleIsSet() const { return _element_locale_is_set; }
		bool FamilyIsSet() const;
		bool Are_friendsIsSet() const { return _element_are_friends_is_set; }
		bool Can_see_profileIsSet() const { return _element_can_see_profile_is_set; }
		bool Profile_urlIsSet() const { return _element_profile_url_is_set; }
		bool UsernameIsSet() const { return _element_username_is_set; }
		bool Proxied_emailIsSet() const { return _element_proxied_email_is_set; }
		bool Pic_largeIsSet() const { return _element_pic_large_is_set; }
		bool Pic_big_with_logoIsSet() const { return _element_pic_big_with_logo_is_set; }
		bool Pic_small_with_logoIsSet() const { return _element_pic_small_with_logo_is_set; }
		bool Pic_square_with_logoIsSet() const { return _element_pic_square_with_logo_is_set; }
		bool Pic_with_logoIsSet() const { return _element_pic_with_logo_is_set; }
		bool Birthday_dateIsSet() const { return _element_birthday_date_is_set; }
		bool Online_presenceIsSet() const { return _element_online_presence_is_set; }
		bool WebsiteIsSet() const { return _element_website_is_set; }
		bool Is_blockedIsSet() const { return _element_is_blocked_is_set; }

	private:
		std::string _element_about_me;
		std::string _element_activities;
		com_facebook_1_0_::User::Affiliations_t _element_affiliations;
		std::string _element_birthday;
		std::string _element_books;
		com_facebook_1_0_::Location _element_current_location;
		com_facebook_1_0_::User::Education_history_t _element_education_history;
		std::string _element_first_name;
		com_facebook_1_0_::Location _element_hometown_location;
		com_facebook_1_0_::Hs_info _element_hs_info;
		std::string _element_interests;
		bool _element_is_app_user;
		std::string _element_last_name;
		com_facebook_1_0_::User::Meeting_for_t _element_meeting_for;
		com_facebook_1_0_::User::Meeting_sex_t _element_meeting_sex;
		std::string _element_movies;
		std::string _element_music;
		std::string _element_name;
		int _element_notes_count;
		std::string _element_pic;
		std::string _element_pic_big;
		std::string _element_pic_small;
		std::string _element_political;
		long _element_profile_update_time;
		std::string _element_quotes;
		std::string _element_relationship_status;
		std::string _element_religion;
		std::string _element_sex;
		long _element_significant_other_id;
		com_facebook_1_0_::User_status _element_status;
		double _element_timezone;
		std::string _element_tv;
		long _element_uid;
		int _element_wall_count;
		com_facebook_1_0_::User::Work_history_t _element_work_history;
		std::string _element_pic_square;
		bool _element_has_added_app;
		com_facebook_1_0_::User::Email_hashes_t _element_email_hashes;
		std::string _element_locale;
		com_facebook_1_0_::User::Family_t _element_family;
		bool _element_are_friends;
		bool _element_can_see_profile;
		std::string _element_profile_url;
		std::string _element_username;
		std::string _element_proxied_email;
		std::string _element_pic_large;
		std::string _element_pic_big_with_logo;
		std::string _element_pic_small_with_logo;
		std::string _element_pic_square_with_logo;
		std::string _element_pic_with_logo;
		std::string _element_birthday_date;
		std::string _element_online_presence;
		std::string _element_website;
		bool _element_is_blocked;
		bool _element_about_me_is_set;
		bool _element_activities_is_set;
		bool _element_birthday_is_set;
		bool _element_books_is_set;
		bool _element_first_name_is_set;
		bool _element_interests_is_set;
		bool _element_is_app_user_is_set;
		bool _element_last_name_is_set;
		bool _element_movies_is_set;
		bool _element_music_is_set;
		bool _element_name_is_set;
		bool _element_notes_count_is_set;
		bool _element_pic_is_set;
		bool _element_pic_big_is_set;
		bool _element_pic_small_is_set;
		bool _element_political_is_set;
		bool _element_profile_update_time_is_set;
		bool _element_quotes_is_set;
		bool _element_relationship_status_is_set;
		bool _element_religion_is_set;
		bool _element_sex_is_set;
		bool _element_significant_other_id_is_set;
		bool _element_timezone_is_set;
		bool _element_tv_is_set;
		bool _element_uid_is_set;
		bool _element_wall_count_is_set;
		bool _element_pic_square_is_set;
		bool _element_has_added_app_is_set;
		bool _element_locale_is_set;
		bool _element_are_friends_is_set;
		bool _element_can_see_profile_is_set;
		bool _element_profile_url_is_set;
		bool _element_username_is_set;
		bool _element_proxied_email_is_set;
		bool _element_pic_large_is_set;
		bool _element_pic_big_with_logo_is_set;
		bool _element_pic_small_with_logo_is_set;
		bool _element_pic_square_with_logo_is_set;
		bool _element_pic_with_logo_is_set;
		bool _element_birthday_date_is_set;
		bool _element_online_presence_is_set;
		bool _element_website_is_set;
		bool _element_is_blocked_is_set;
	};

	// -----------------------------------------------------------------------------
	class Friend_info
	{
	public:
		Friend_info();
		Friend_info(const Xml::XmlNode& it);
		virtual ~Friend_info() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		long GetUid1() const;
		void SetUid1(long uid1);

		long GetUid2() const;
		void SetUid2(long uid2);

		bool GetAre_friends() const;
		void SetAre_friends(bool are_friends);

		bool Uid1IsSet() const { return _element_uid1_is_set; }
		bool Uid2IsSet() const { return _element_uid2_is_set; }
		bool Are_friendsIsSet() const { return _element_are_friends_is_set; }

	private:
		long _element_uid1;
		long _element_uid2;
		bool _element_are_friends;
		bool _element_uid1_is_set;
		bool _element_uid2_is_set;
		bool _element_are_friends_is_set;
	};

	// -----------------------------------------------------------------------------
	class Friendlist
	{
	public:
		Friendlist();
		Friendlist(const Xml::XmlNode& it);
		virtual ~Friendlist() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		long GetFlid() const;
		void SetFlid(long flid);

		const std::string& GetName() const;
		void SetName(const std::string& name);

		long GetOwner() const;
		void SetOwner(long owner);

		bool FlidIsSet() const { return _element_flid_is_set; }
		bool NameIsSet() const { return _element_name_is_set; }
		bool OwnerIsSet() const { return _element_owner_is_set; }

	private:
		long _element_flid;
		std::string _element_name;
		long _element_owner;
		bool _element_flid_is_set;
		bool _element_name_is_set;
		bool _element_owner_is_set;
	};

	// -----------------------------------------------------------------------------
	class Friendlist_member
	{
	public:
		Friendlist_member();
		Friendlist_member(const Xml::XmlNode& it);
		virtual ~Friendlist_member() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		long GetFlid() const;
		void SetFlid(long flid);

		long GetUid() const;
		void SetUid(long uid);

		bool FlidIsSet() const { return _element_flid_is_set; }
		bool UidIsSet() const { return _element_uid_is_set; }

	private:
		long _element_flid;
		long _element_uid;
		bool _element_flid_is_set;
		bool _element_uid_is_set;
	};

	// -----------------------------------------------------------------------------
	class Object_type_info
	{
	public:
		Object_type_info();
		Object_type_info(const Xml::XmlNode& it);
		virtual ~Object_type_info() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetName() const;
		void SetName(const std::string& name);

		int GetObject_class() const;
		void SetObject_class(int object_class);

		bool NameIsSet() const { return _element_name_is_set; }
		bool Object_classIsSet() const { return _element_object_class_is_set; }

	private:
		std::string _element_name;
		int _element_object_class;
		bool _element_name_is_set;
		bool _element_object_class_is_set;
	};

	// -----------------------------------------------------------------------------
	class Object_property_info
	{
	public:
		Object_property_info();
		Object_property_info(const Xml::XmlNode& it);
		virtual ~Object_property_info() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetName() const;
		void SetName(const std::string& name);

		int GetData_type() const;
		void SetData_type(int data_type);

		int GetIndex_type() const;
		void SetIndex_type(int index_type);

		bool NameIsSet() const { return _element_name_is_set; }
		bool Data_typeIsSet() const { return _element_data_type_is_set; }
		bool Index_typeIsSet() const { return _element_index_type_is_set; }

	private:
		std::string _element_name;
		int _element_data_type;
		int _element_index_type;
		bool _element_name_is_set;
		bool _element_data_type_is_set;
		bool _element_index_type_is_set;
	};

	// -----------------------------------------------------------------------------
	class Assoc_object_type
	{
	public:
		Assoc_object_type();
		Assoc_object_type(const Xml::XmlNode& it);
		virtual ~Assoc_object_type() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetAlias() const;
		void SetAlias(const std::string& alias);

		const std::string& GetObject_type() const;
		void SetObject_type(const std::string& object_type);

		bool GetUnique() const;
		void SetUnique(bool unique);

		bool AliasIsSet() const { return _element_alias_is_set; }
		bool Object_typeIsSet() const { return _element_object_type_is_set; }
		bool UniqueIsSet() const { return _element_unique_is_set; }

	private:
		std::string _element_alias;
		std::string _element_object_type;
		bool _element_unique;
		bool _element_alias_is_set;
		bool _element_object_type_is_set;
		bool _element_unique_is_set;
	};

	// -----------------------------------------------------------------------------
	class Object_assoc_info
	{
	public:
		Object_assoc_info();
		Object_assoc_info(const Xml::XmlNode& it);
		virtual ~Object_assoc_info() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetName() const;
		void SetName(const std::string& name);

		int GetAssoc_type() const;
		void SetAssoc_type(int assoc_type);

		const com_facebook_1_0_::Assoc_object_type& GetAssoc_info1() const;
		com_facebook_1_0_::Assoc_object_type& GetAssoc_info1();
		void SetAssoc_info1(const com_facebook_1_0_::Assoc_object_type& assoc_info1);

		const com_facebook_1_0_::Assoc_object_type& GetAssoc_info2() const;
		com_facebook_1_0_::Assoc_object_type& GetAssoc_info2();
		void SetAssoc_info2(const com_facebook_1_0_::Assoc_object_type& assoc_info2);

		bool NameIsSet() const { return _element_name_is_set; }
		bool Assoc_typeIsSet() const { return _element_assoc_type_is_set; }
		bool Assoc_info1IsSet() const;
		bool Assoc_info2IsSet() const;

	private:
		std::string _element_name;
		int _element_assoc_type;
		com_facebook_1_0_::Assoc_object_type _element_assoc_info1;
		com_facebook_1_0_::Assoc_object_type _element_assoc_info2;
		bool _element_name_is_set;
		bool _element_assoc_type_is_set;
	};

	// -----------------------------------------------------------------------------
	class Object_association
	{
	public:
		Object_association();
		Object_association(const Xml::XmlNode& it);
		virtual ~Object_association() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetName() const;
		void SetName(const std::string& name);

		long GetId1() const;
		void SetId1(long id1);

		long GetId2() const;
		void SetId2(long id2);

		const std::string& GetData() const;
		void SetData(const std::string& data);

		long GetTime() const;
		void SetTime(long time);

		bool NameIsSet() const { return _element_name_is_set; }
		bool Id1IsSet() const { return _element_id1_is_set; }
		bool Id2IsSet() const { return _element_id2_is_set; }
		bool DataIsSet() const { return _element_data_is_set; }
		bool TimeIsSet() const { return _element_time_is_set; }

	private:
		std::string _element_name;
		long _element_id1;
		long _element_id2;
		std::string _element_data;
		long _element_time;
		bool _element_name_is_set;
		bool _element_id1_is_set;
		bool _element_id2_is_set;
		bool _element_data_is_set;
		bool _element_time_is_set;
	};

	// -----------------------------------------------------------------------------
	class Container
	{
	public:
		Container();
		Container(const Xml::XmlNode& it);
		virtual ~Container() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

	private:
	};

	// -----------------------------------------------------------------------------
	class Preference
	{
	public:
		Preference();
		Preference(const Xml::XmlNode& it);
		virtual ~Preference() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		int GetPref_id() const;
		void SetPref_id(int pref_id);

		const std::string& GetValue() const;
		void SetValue(const std::string& value);

		bool Pref_idIsSet() const { return _element_pref_id_is_set; }
		bool ValueIsSet() const { return _element_value_is_set; }

	private:
		int _element_pref_id;
		std::string _element_value;
		bool _element_pref_id_is_set;
		bool _element_value_is_set;
	};

	// -----------------------------------------------------------------------------
	class Page_hours
	{
	public:
		Page_hours();
		Page_hours(const Xml::XmlNode& it);
		virtual ~Page_hours() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		long GetMon_1_open() const;
		void SetMon_1_open(long mon_1_open);

		long GetMon_1_close() const;
		void SetMon_1_close(long mon_1_close);

		long GetTue_1_open() const;
		void SetTue_1_open(long tue_1_open);

		long GetTue_1_close() const;
		void SetTue_1_close(long tue_1_close);

		long GetWed_1_open() const;
		void SetWed_1_open(long wed_1_open);

		long GetThu_1_open() const;
		void SetThu_1_open(long thu_1_open);

		long GetThu_1_close() const;
		void SetThu_1_close(long thu_1_close);

		long GetFri_1_open() const;
		void SetFri_1_open(long fri_1_open);

		long GetFri_1_close() const;
		void SetFri_1_close(long fri_1_close);

		long GetSat_1_open() const;
		void SetSat_1_open(long sat_1_open);

		long GetSat_1_close() const;
		void SetSat_1_close(long sat_1_close);

		long GetSun_1_open() const;
		void SetSun_1_open(long sun_1_open);

		long GetSun_1_close() const;
		void SetSun_1_close(long sun_1_close);

		long GetMon_2_open() const;
		void SetMon_2_open(long mon_2_open);

		long GetMon_2_close() const;
		void SetMon_2_close(long mon_2_close);

		long GetTue_2_open() const;
		void SetTue_2_open(long tue_2_open);

		long GetTue_2_close() const;
		void SetTue_2_close(long tue_2_close);

		long GetWed_2_open() const;
		void SetWed_2_open(long wed_2_open);

		long GetWed_2_close() const;
		void SetWed_2_close(long wed_2_close);

		long GetThu_2_open() const;
		void SetThu_2_open(long thu_2_open);

		long GetThu_2_close() const;
		void SetThu_2_close(long thu_2_close);

		long GetFri_2_open() const;
		void SetFri_2_open(long fri_2_open);

		long GetFri_2_close() const;
		void SetFri_2_close(long fri_2_close);

		long GetSat_2_open() const;
		void SetSat_2_open(long sat_2_open);

		long GetSat_2_close() const;
		void SetSat_2_close(long sat_2_close);

		long GetSun_2_open() const;
		void SetSun_2_open(long sun_2_open);

		long GetSun_2_close() const;
		void SetSun_2_close(long sun_2_close);

		bool Mon_1_openIsSet() const { return _element_mon_1_open_is_set; }
		bool Mon_1_closeIsSet() const { return _element_mon_1_close_is_set; }
		bool Tue_1_openIsSet() const { return _element_tue_1_open_is_set; }
		bool Tue_1_closeIsSet() const { return _element_tue_1_close_is_set; }
		bool Wed_1_openIsSet() const { return _element_wed_1_open_is_set; }
		bool Thu_1_openIsSet() const { return _element_thu_1_open_is_set; }
		bool Thu_1_closeIsSet() const { return _element_thu_1_close_is_set; }
		bool Fri_1_openIsSet() const { return _element_fri_1_open_is_set; }
		bool Fri_1_closeIsSet() const { return _element_fri_1_close_is_set; }
		bool Sat_1_openIsSet() const { return _element_sat_1_open_is_set; }
		bool Sat_1_closeIsSet() const { return _element_sat_1_close_is_set; }
		bool Sun_1_openIsSet() const { return _element_sun_1_open_is_set; }
		bool Sun_1_closeIsSet() const { return _element_sun_1_close_is_set; }
		bool Mon_2_openIsSet() const { return _element_mon_2_open_is_set; }
		bool Mon_2_closeIsSet() const { return _element_mon_2_close_is_set; }
		bool Tue_2_openIsSet() const { return _element_tue_2_open_is_set; }
		bool Tue_2_closeIsSet() const { return _element_tue_2_close_is_set; }
		bool Wed_2_openIsSet() const { return _element_wed_2_open_is_set; }
		bool Wed_2_closeIsSet() const { return _element_wed_2_close_is_set; }
		bool Thu_2_openIsSet() const { return _element_thu_2_open_is_set; }
		bool Thu_2_closeIsSet() const { return _element_thu_2_close_is_set; }
		bool Fri_2_openIsSet() const { return _element_fri_2_open_is_set; }
		bool Fri_2_closeIsSet() const { return _element_fri_2_close_is_set; }
		bool Sat_2_openIsSet() const { return _element_sat_2_open_is_set; }
		bool Sat_2_closeIsSet() const { return _element_sat_2_close_is_set; }
		bool Sun_2_openIsSet() const { return _element_sun_2_open_is_set; }
		bool Sun_2_closeIsSet() const { return _element_sun_2_close_is_set; }

	private:
		long _element_mon_1_open;
		long _element_mon_1_close;
		long _element_tue_1_open;
		long _element_tue_1_close;
		long _element_wed_1_open;
		long _element_thu_1_open;
		long _element_thu_1_close;
		long _element_fri_1_open;
		long _element_fri_1_close;
		long _element_sat_1_open;
		long _element_sat_1_close;
		long _element_sun_1_open;
		long _element_sun_1_close;
		long _element_mon_2_open;
		long _element_mon_2_close;
		long _element_tue_2_open;
		long _element_tue_2_close;
		long _element_wed_2_open;
		long _element_wed_2_close;
		long _element_thu_2_open;
		long _element_thu_2_close;
		long _element_fri_2_open;
		long _element_fri_2_close;
		long _element_sat_2_open;
		long _element_sat_2_close;
		long _element_sun_2_open;
		long _element_sun_2_close;
		bool _element_mon_1_open_is_set;
		bool _element_mon_1_close_is_set;
		bool _element_tue_1_open_is_set;
		bool _element_tue_1_close_is_set;
		bool _element_wed_1_open_is_set;
		bool _element_thu_1_open_is_set;
		bool _element_thu_1_close_is_set;
		bool _element_fri_1_open_is_set;
		bool _element_fri_1_close_is_set;
		bool _element_sat_1_open_is_set;
		bool _element_sat_1_close_is_set;
		bool _element_sun_1_open_is_set;
		bool _element_sun_1_close_is_set;
		bool _element_mon_2_open_is_set;
		bool _element_mon_2_close_is_set;
		bool _element_tue_2_open_is_set;
		bool _element_tue_2_close_is_set;
		bool _element_wed_2_open_is_set;
		bool _element_wed_2_close_is_set;
		bool _element_thu_2_open_is_set;
		bool _element_thu_2_close_is_set;
		bool _element_fri_2_open_is_set;
		bool _element_fri_2_close_is_set;
		bool _element_sat_2_open_is_set;
		bool _element_sat_2_close_is_set;
		bool _element_sun_2_open_is_set;
		bool _element_sun_2_close_is_set;
	};

	// -----------------------------------------------------------------------------
	class Page_parking
	{
	public:
		Page_parking();
		Page_parking(const Xml::XmlNode& it);
		virtual ~Page_parking() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		bool GetStreet() const;
		void SetStreet(bool street);

		bool GetLot() const;
		void SetLot(bool lot);

		bool GetValet() const;
		void SetValet(bool valet);

		bool StreetIsSet() const { return _element_street_is_set; }
		bool LotIsSet() const { return _element_lot_is_set; }
		bool ValetIsSet() const { return _element_valet_is_set; }

	private:
		bool _element_street;
		bool _element_lot;
		bool _element_valet;
		bool _element_street_is_set;
		bool _element_lot_is_set;
		bool _element_valet_is_set;
	};

	// -----------------------------------------------------------------------------
	class Page_fan
	{
	public:
		Page_fan();
		Page_fan(const Xml::XmlNode& it);
		virtual ~Page_fan() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		long GetPage_id() const;
		void SetPage_id(long page_id);

		long GetUid() const;
		void SetUid(long uid);

		const std::string& GetType() const;
		void SetType(const std::string& type);

		bool Page_idIsSet() const { return _element_page_id_is_set; }
		bool UidIsSet() const { return _element_uid_is_set; }
		bool TypeIsSet() const { return _element_type_is_set; }

	private:
		long _element_page_id;
		long _element_uid;
		std::string _element_type;
		bool _element_page_id_is_set;
		bool _element_uid_is_set;
		bool _element_type_is_set;
	};

	// -----------------------------------------------------------------------------
	class Page_admin
	{
	public:
		Page_admin();
		Page_admin(const Xml::XmlNode& it);
		virtual ~Page_admin() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		long GetPage_id() const;
		void SetPage_id(long page_id);

		long GetUid() const;
		void SetUid(long uid);

		const std::string& GetType() const;
		void SetType(const std::string& type);

		bool Page_idIsSet() const { return _element_page_id_is_set; }
		bool UidIsSet() const { return _element_uid_is_set; }
		bool TypeIsSet() const { return _element_type_is_set; }

	private:
		long _element_page_id;
		long _element_uid;
		std::string _element_type;
		bool _element_page_id_is_set;
		bool _element_uid_is_set;
		bool _element_type_is_set;
	};

	// -----------------------------------------------------------------------------
	class Page_restaurant_services
	{
	public:
		Page_restaurant_services();
		Page_restaurant_services(const Xml::XmlNode& it);
		virtual ~Page_restaurant_services() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		bool GetReserve() const;
		void SetReserve(bool reserve);

		bool GetWalkins() const;
		void SetWalkins(bool walkins);

		bool GetGroups() const;
		void SetGroups(bool groups);

		bool GetKids() const;
		void SetKids(bool kids);

		bool GetTakeout() const;
		void SetTakeout(bool takeout);

		bool GetDelivery() const;
		void SetDelivery(bool delivery);

		bool GetCatering() const;
		void SetCatering(bool catering);

		bool GetWaiter() const;
		void SetWaiter(bool waiter);

		bool GetOutdoor() const;
		void SetOutdoor(bool outdoor);

		bool ReserveIsSet() const { return _element_reserve_is_set; }
		bool WalkinsIsSet() const { return _element_walkins_is_set; }
		bool GroupsIsSet() const { return _element_groups_is_set; }
		bool KidsIsSet() const { return _element_kids_is_set; }
		bool TakeoutIsSet() const { return _element_takeout_is_set; }
		bool DeliveryIsSet() const { return _element_delivery_is_set; }
		bool CateringIsSet() const { return _element_catering_is_set; }
		bool WaiterIsSet() const { return _element_waiter_is_set; }
		bool OutdoorIsSet() const { return _element_outdoor_is_set; }

	private:
		bool _element_reserve;
		bool _element_walkins;
		bool _element_groups;
		bool _element_kids;
		bool _element_takeout;
		bool _element_delivery;
		bool _element_catering;
		bool _element_waiter;
		bool _element_outdoor;
		bool _element_reserve_is_set;
		bool _element_walkins_is_set;
		bool _element_groups_is_set;
		bool _element_kids_is_set;
		bool _element_takeout_is_set;
		bool _element_delivery_is_set;
		bool _element_catering_is_set;
		bool _element_waiter_is_set;
		bool _element_outdoor_is_set;
	};

	// -----------------------------------------------------------------------------
	class Page_restaurant_specialties
	{
	public:
		Page_restaurant_specialties();
		Page_restaurant_specialties(const Xml::XmlNode& it);
		virtual ~Page_restaurant_specialties() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		bool GetBreakfast() const;
		void SetBreakfast(bool breakfast);

		bool GetLunch() const;
		void SetLunch(bool lunch);

		bool GetDinner() const;
		void SetDinner(bool dinner);

		bool GetCoffee() const;
		void SetCoffee(bool coffee);

		bool GetDrinks() const;
		void SetDrinks(bool drinks);

		bool BreakfastIsSet() const { return _element_breakfast_is_set; }
		bool LunchIsSet() const { return _element_lunch_is_set; }
		bool DinnerIsSet() const { return _element_dinner_is_set; }
		bool CoffeeIsSet() const { return _element_coffee_is_set; }
		bool DrinksIsSet() const { return _element_drinks_is_set; }

	private:
		bool _element_breakfast;
		bool _element_lunch;
		bool _element_dinner;
		bool _element_coffee;
		bool _element_drinks;
		bool _element_breakfast_is_set;
		bool _element_lunch_is_set;
		bool _element_dinner_is_set;
		bool _element_coffee_is_set;
		bool _element_drinks_is_set;
	};

	// -----------------------------------------------------------------------------
	class Page_payment_options
	{
	public:
		Page_payment_options();
		Page_payment_options(const Xml::XmlNode& it);
		virtual ~Page_payment_options() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		bool GetCash_only() const;
		void SetCash_only(bool cash_only);

		bool GetVisa() const;
		void SetVisa(bool visa);

		bool GetAmex() const;
		void SetAmex(bool amex);

		bool GetMastercard() const;
		void SetMastercard(bool mastercard);

		bool GetDiscover() const;
		void SetDiscover(bool discover);

		bool Cash_onlyIsSet() const { return _element_cash_only_is_set; }
		bool VisaIsSet() const { return _element_visa_is_set; }
		bool AmexIsSet() const { return _element_amex_is_set; }
		bool MastercardIsSet() const { return _element_mastercard_is_set; }
		bool DiscoverIsSet() const { return _element_discover_is_set; }

	private:
		bool _element_cash_only;
		bool _element_visa;
		bool _element_amex;
		bool _element_mastercard;
		bool _element_discover;
		bool _element_cash_only_is_set;
		bool _element_visa_is_set;
		bool _element_amex_is_set;
		bool _element_mastercard_is_set;
		bool _element_discover_is_set;
	};

	// -----------------------------------------------------------------------------
	class Page
	{
	public:
		Page();
		Page(const Xml::XmlNode& it);
		virtual ~Page() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		long GetPage_id() const;
		void SetPage_id(long page_id);

		const std::string& GetName() const;
		void SetName(const std::string& name);

		const std::string& GetPic_small() const;
		void SetPic_small(const std::string& pic_small);

		const std::string& GetPic_big() const;
		void SetPic_big(const std::string& pic_big);

		const std::string& GetPic_square() const;
		void SetPic_square(const std::string& pic_square);

		const std::string& GetPic() const;
		void SetPic(const std::string& pic);

		const std::string& GetPic_large() const;
		void SetPic_large(const std::string& pic_large);

		const std::string& GetPage_url() const;
		void SetPage_url(const std::string& page_url);

		const com_facebook_1_0_::User_status& GetStatus() const;
		com_facebook_1_0_::User_status& GetStatus();
		void SetStatus(const com_facebook_1_0_::User_status& status);

		const std::string& GetType() const;
		void SetType(const std::string& type);

		const std::string& GetWebsite() const;
		void SetWebsite(const std::string& website);

		bool GetHas_added_app() const;
		void SetHas_added_app(bool has_added_app);

		const std::string& GetFounded() const;
		void SetFounded(const std::string& founded);

		const std::string& GetCompany_overview() const;
		void SetCompany_overview(const std::string& company_overview);

		const std::string& GetMission() const;
		void SetMission(const std::string& mission);

		const std::string& GetProducts() const;
		void SetProducts(const std::string& products);

		const com_facebook_1_0_::Location& GetLocation() const;
		com_facebook_1_0_::Location& GetLocation();
		void SetLocation(const com_facebook_1_0_::Location& location);

		const com_facebook_1_0_::Page_parking& GetParking() const;
		com_facebook_1_0_::Page_parking& GetParking();
		void SetParking(const com_facebook_1_0_::Page_parking& parking);

		const std::string& GetPublic_transit() const;
		void SetPublic_transit(const std::string& public_transit);

		const com_facebook_1_0_::Page_hours& GetHours() const;
		com_facebook_1_0_::Page_hours& GetHours();
		void SetHours(const com_facebook_1_0_::Page_hours& hours);

		const std::string& GetAttire() const;
		void SetAttire(const std::string& attire);

		const std::string& GetPayment_options() const;
		void SetPayment_options(const std::string& payment_options);

		const std::string& GetCulinary_team() const;
		void SetCulinary_team(const std::string& culinary_team);

		const std::string& GetGeneral_manager() const;
		void SetGeneral_manager(const std::string& general_manager);

		const std::string& GetPrice_range() const;
		void SetPrice_range(const std::string& price_range);

		const com_facebook_1_0_::Page_restaurant_services& GetRestaurant_services() const;
		com_facebook_1_0_::Page_restaurant_services& GetRestaurant_services();
		void SetRestaurant_services(const com_facebook_1_0_::Page_restaurant_services& restaurant_services);

		const com_facebook_1_0_::Page_restaurant_specialties& GetRestaurant_specialties() const;
		com_facebook_1_0_::Page_restaurant_specialties& GetRestaurant_specialties();
		void SetRestaurant_specialties(const com_facebook_1_0_::Page_restaurant_specialties& restaurant_specialties);

		const std::string& GetRelease_date() const;
		void SetRelease_date(const std::string& release_date);

		const std::string& GetGenre() const;
		void SetGenre(const std::string& genre);

		const std::string& GetStarring() const;
		void SetStarring(const std::string& starring);

		const std::string& GetScreenplay_by() const;
		void SetScreenplay_by(const std::string& screenplay_by);

		const std::string& GetDirected_by() const;
		void SetDirected_by(const std::string& directed_by);

		const std::string& GetProduced_by() const;
		void SetProduced_by(const std::string& produced_by);

		const std::string& GetStudio() const;
		void SetStudio(const std::string& studio);

		const std::string& GetAwards() const;
		void SetAwards(const std::string& awards);

		const std::string& GetPlot_outline() const;
		void SetPlot_outline(const std::string& plot_outline);

		const std::string& GetNetwork() const;
		void SetNetwork(const std::string& network);

		const std::string& GetSeason() const;
		void SetSeason(const std::string& season);

		const std::string& GetSchedule() const;
		void SetSchedule(const std::string& schedule);

		const std::string& GetWritten_by() const;
		void SetWritten_by(const std::string& written_by);

		const std::string& GetBand_members() const;
		void SetBand_members(const std::string& band_members);

		const std::string& GetHometown() const;
		void SetHometown(const std::string& hometown);

		const std::string& GetCurrent_location() const;
		void SetCurrent_location(const std::string& current_location);

		const std::string& GetRecord_label() const;
		void SetRecord_label(const std::string& record_label);

		const std::string& GetBooking_agent() const;
		void SetBooking_agent(const std::string& booking_agent);

		const std::string& GetArtists_we_like() const;
		void SetArtists_we_like(const std::string& artists_we_like);

		const std::string& GetInfluences() const;
		void SetInfluences(const std::string& influences);

		const std::string& GetBand_interests() const;
		void SetBand_interests(const std::string& band_interests);

		const std::string& GetBio() const;
		void SetBio(const std::string& bio);

		const std::string& GetAffiliation() const;
		void SetAffiliation(const std::string& affiliation);

		const std::string& GetBirthday() const;
		void SetBirthday(const std::string& birthday);

		const std::string& GetPersonal_info() const;
		void SetPersonal_info(const std::string& personal_info);

		const std::string& GetPersonal_interests() const;
		void SetPersonal_interests(const std::string& personal_interests);

		const std::string& GetMembers() const;
		void SetMembers(const std::string& members);

		const std::string& GetBuilt() const;
		void SetBuilt(const std::string& built);

		const std::string& GetFeatures() const;
		void SetFeatures(const std::string& features);

		const std::string& GetMpg() const;
		void SetMpg(const std::string& mpg);

		const std::string& GetGeneral_info() const;
		void SetGeneral_info(const std::string& general_info);

		const std::string& GetUsername() const;
		void SetUsername(const std::string& username);

		bool Page_idIsSet() const { return _element_page_id_is_set; }
		bool NameIsSet() const { return _element_name_is_set; }
		bool Pic_smallIsSet() const { return _element_pic_small_is_set; }
		bool Pic_bigIsSet() const { return _element_pic_big_is_set; }
		bool Pic_squareIsSet() const { return _element_pic_square_is_set; }
		bool PicIsSet() const { return _element_pic_is_set; }
		bool Pic_largeIsSet() const { return _element_pic_large_is_set; }
		bool Page_urlIsSet() const { return _element_page_url_is_set; }
		bool StatusIsSet() const;
		bool TypeIsSet() const { return _element_type_is_set; }
		bool WebsiteIsSet() const { return _element_website_is_set; }
		bool Has_added_appIsSet() const { return _element_has_added_app_is_set; }
		bool FoundedIsSet() const { return _element_founded_is_set; }
		bool Company_overviewIsSet() const { return _element_company_overview_is_set; }
		bool MissionIsSet() const { return _element_mission_is_set; }
		bool ProductsIsSet() const { return _element_products_is_set; }
		bool LocationIsSet() const;
		bool ParkingIsSet() const;
		bool Public_transitIsSet() const { return _element_public_transit_is_set; }
		bool HoursIsSet() const;
		bool AttireIsSet() const { return _element_attire_is_set; }
		bool Payment_optionsIsSet() const { return _element_payment_options_is_set; }
		bool Culinary_teamIsSet() const { return _element_culinary_team_is_set; }
		bool General_managerIsSet() const { return _element_general_manager_is_set; }
		bool Price_rangeIsSet() const { return _element_price_range_is_set; }
		bool Restaurant_servicesIsSet() const;
		bool Restaurant_specialtiesIsSet() const;
		bool Release_dateIsSet() const { return _element_release_date_is_set; }
		bool GenreIsSet() const { return _element_genre_is_set; }
		bool StarringIsSet() const { return _element_starring_is_set; }
		bool Screenplay_byIsSet() const { return _element_screenplay_by_is_set; }
		bool Directed_byIsSet() const { return _element_directed_by_is_set; }
		bool Produced_byIsSet() const { return _element_produced_by_is_set; }
		bool StudioIsSet() const { return _element_studio_is_set; }
		bool AwardsIsSet() const { return _element_awards_is_set; }
		bool Plot_outlineIsSet() const { return _element_plot_outline_is_set; }
		bool NetworkIsSet() const { return _element_network_is_set; }
		bool SeasonIsSet() const { return _element_season_is_set; }
		bool ScheduleIsSet() const { return _element_schedule_is_set; }
		bool Written_byIsSet() const { return _element_written_by_is_set; }
		bool Band_membersIsSet() const { return _element_band_members_is_set; }
		bool HometownIsSet() const { return _element_hometown_is_set; }
		bool Current_locationIsSet() const { return _element_current_location_is_set; }
		bool Record_labelIsSet() const { return _element_record_label_is_set; }
		bool Booking_agentIsSet() const { return _element_booking_agent_is_set; }
		bool Artists_we_likeIsSet() const { return _element_artists_we_like_is_set; }
		bool InfluencesIsSet() const { return _element_influences_is_set; }
		bool Band_interestsIsSet() const { return _element_band_interests_is_set; }
		bool BioIsSet() const { return _element_bio_is_set; }
		bool AffiliationIsSet() const { return _element_affiliation_is_set; }
		bool BirthdayIsSet() const { return _element_birthday_is_set; }
		bool Personal_infoIsSet() const { return _element_personal_info_is_set; }
		bool Personal_interestsIsSet() const { return _element_personal_interests_is_set; }
		bool MembersIsSet() const { return _element_members_is_set; }
		bool BuiltIsSet() const { return _element_built_is_set; }
		bool FeaturesIsSet() const { return _element_features_is_set; }
		bool MpgIsSet() const { return _element_mpg_is_set; }
		bool General_infoIsSet() const { return _element_general_info_is_set; }
		bool UsernameIsSet() const { return _element_username_is_set; }

	private:
		long _element_page_id;
		std::string _element_name;
		std::string _element_pic_small;
		std::string _element_pic_big;
		std::string _element_pic_square;
		std::string _element_pic;
		std::string _element_pic_large;
		std::string _element_page_url;
		com_facebook_1_0_::User_status _element_status;
		std::string _element_type;
		std::string _element_website;
		bool _element_has_added_app;
		std::string _element_founded;
		std::string _element_company_overview;
		std::string _element_mission;
		std::string _element_products;
		com_facebook_1_0_::Location _element_location;
		com_facebook_1_0_::Page_parking _element_parking;
		std::string _element_public_transit;
		com_facebook_1_0_::Page_hours _element_hours;
		std::string _element_attire;
		std::string _element_payment_options;
		std::string _element_culinary_team;
		std::string _element_general_manager;
		std::string _element_price_range;
		com_facebook_1_0_::Page_restaurant_services _element_restaurant_services;
		com_facebook_1_0_::Page_restaurant_specialties _element_restaurant_specialties;
		std::string _element_release_date;
		std::string _element_genre;
		std::string _element_starring;
		std::string _element_screenplay_by;
		std::string _element_directed_by;
		std::string _element_produced_by;
		std::string _element_studio;
		std::string _element_awards;
		std::string _element_plot_outline;
		std::string _element_network;
		std::string _element_season;
		std::string _element_schedule;
		std::string _element_written_by;
		std::string _element_band_members;
		std::string _element_hometown;
		std::string _element_current_location;
		std::string _element_record_label;
		std::string _element_booking_agent;
		std::string _element_artists_we_like;
		std::string _element_influences;
		std::string _element_band_interests;
		std::string _element_bio;
		std::string _element_affiliation;
		std::string _element_birthday;
		std::string _element_personal_info;
		std::string _element_personal_interests;
		std::string _element_members;
		std::string _element_built;
		std::string _element_features;
		std::string _element_mpg;
		std::string _element_general_info;
		std::string _element_username;
		bool _element_page_id_is_set;
		bool _element_name_is_set;
		bool _element_pic_small_is_set;
		bool _element_pic_big_is_set;
		bool _element_pic_square_is_set;
		bool _element_pic_is_set;
		bool _element_pic_large_is_set;
		bool _element_page_url_is_set;
		bool _element_type_is_set;
		bool _element_website_is_set;
		bool _element_has_added_app_is_set;
		bool _element_founded_is_set;
		bool _element_company_overview_is_set;
		bool _element_mission_is_set;
		bool _element_products_is_set;
		bool _element_public_transit_is_set;
		bool _element_attire_is_set;
		bool _element_payment_options_is_set;
		bool _element_culinary_team_is_set;
		bool _element_general_manager_is_set;
		bool _element_price_range_is_set;
		bool _element_release_date_is_set;
		bool _element_genre_is_set;
		bool _element_starring_is_set;
		bool _element_screenplay_by_is_set;
		bool _element_directed_by_is_set;
		bool _element_produced_by_is_set;
		bool _element_studio_is_set;
		bool _element_awards_is_set;
		bool _element_plot_outline_is_set;
		bool _element_network_is_set;
		bool _element_season_is_set;
		bool _element_schedule_is_set;
		bool _element_written_by_is_set;
		bool _element_band_members_is_set;
		bool _element_hometown_is_set;
		bool _element_current_location_is_set;
		bool _element_record_label_is_set;
		bool _element_booking_agent_is_set;
		bool _element_artists_we_like_is_set;
		bool _element_influences_is_set;
		bool _element_band_interests_is_set;
		bool _element_bio_is_set;
		bool _element_affiliation_is_set;
		bool _element_birthday_is_set;
		bool _element_personal_info_is_set;
		bool _element_personal_interests_is_set;
		bool _element_members_is_set;
		bool _element_built_is_set;
		bool _element_features_is_set;
		bool _element_mpg_is_set;
		bool _element_general_info_is_set;
		bool _element_username_is_set;
	};

	// -----------------------------------------------------------------------------
	class Cookie
	{
	public:
		Cookie();
		Cookie(const Xml::XmlNode& it);
		virtual ~Cookie() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		long GetUid() const;
		void SetUid(long uid);

		const std::string& GetName() const;
		void SetName(const std::string& name);

		const std::string& GetValue() const;
		void SetValue(const std::string& value);

		int GetExpires() const;
		void SetExpires(int expires);

		const std::string& GetPath() const;
		void SetPath(const std::string& path);

		bool UidIsSet() const { return _element_uid_is_set; }
		bool NameIsSet() const { return _element_name_is_set; }
		bool ValueIsSet() const { return _element_value_is_set; }
		bool ExpiresIsSet() const { return _element_expires_is_set; }
		bool PathIsSet() const { return _element_path_is_set; }

	private:
		long _element_uid;
		std::string _element_name;
		std::string _element_value;
		int _element_expires;
		std::string _element_path;
		bool _element_uid_is_set;
		bool _element_name_is_set;
		bool _element_value_is_set;
		bool _element_expires_is_set;
		bool _element_path_is_set;
	};

	// -----------------------------------------------------------------------------
	class Phrase
	{
	public:
		Phrase();
		Phrase(const Xml::XmlNode& it);
		virtual ~Phrase() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetDescription() const;
		void SetDescription(const std::string& description);

		const std::string& GetText() const;
		void SetText(const std::string& text);

		bool DescriptionIsSet() const { return _element_description_is_set; }
		bool TextIsSet() const { return _element_text_is_set; }

	private:
		std::string _element_description;
		std::string _element_text;
		bool _element_description_is_set;
		bool _element_text_is_set;
	};

	// -----------------------------------------------------------------------------
	class Developer_info
	{
	public:
		Developer_info();
		Developer_info(const Xml::XmlNode& it);
		virtual ~Developer_info() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		int GetUid() const;
		void SetUid(int uid);

		const std::string& GetName() const;
		void SetName(const std::string& name);

		bool UidIsSet() const { return _element_uid_is_set; }
		bool NameIsSet() const { return _element_name_is_set; }

	private:
		int _element_uid;
		std::string _element_name;
		bool _element_uid_is_set;
		bool _element_name_is_set;
	};

	// -----------------------------------------------------------------------------
	class App_info
	{
	public:
		class Developers_t
		{
		public:
			Developers_t();
			Developers_t(const Xml::XmlNode& it);
			virtual ~Developers_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<com_facebook_1_0_::Developer_info>& GetDeveloper_info() const;
			std::list<com_facebook_1_0_::Developer_info>& GetDeveloper_info();
			void SetDeveloper_info(const std::list<com_facebook_1_0_::Developer_info>& developer_info);

			bool GetList() const;
			void SetList(bool list);

			bool Developer_infoIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<com_facebook_1_0_::Developer_info> _element_developer_info;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		App_info();
		App_info(const Xml::XmlNode& it);
		virtual ~App_info() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		long GetApp_id() const;
		void SetApp_id(long app_id);

		const std::string& GetApi_key() const;
		void SetApi_key(const std::string& api_key);

		const std::string& GetCanvas_name() const;
		void SetCanvas_name(const std::string& canvas_name);

		const std::string& GetDisplay_name() const;
		void SetDisplay_name(const std::string& display_name);

		const std::string& GetIcon_url() const;
		void SetIcon_url(const std::string& icon_url);

		const std::string& GetLogo_url() const;
		void SetLogo_url(const std::string& logo_url);

		const com_facebook_1_0_::App_info::Developers_t& GetDevelopers() const;
		com_facebook_1_0_::App_info::Developers_t& GetDevelopers();
		void SetDevelopers(const com_facebook_1_0_::App_info::Developers_t& developers);

		const std::string& GetCompany_name() const;
		void SetCompany_name(const std::string& company_name);

		const std::string& GetDescription() const;
		void SetDescription(const std::string& description);

		int GetDaily_active_users() const;
		void SetDaily_active_users(int daily_active_users);

		int GetWeekly_active_users() const;
		void SetWeekly_active_users(int weekly_active_users);

		int GetMonthly_active_users() const;
		void SetMonthly_active_users(int monthly_active_users);

		const std::string& GetCategory() const;
		void SetCategory(const std::string& category);

		const std::string& GetSubcategory() const;
		void SetSubcategory(const std::string& subcategory);

		bool App_idIsSet() const { return _element_app_id_is_set; }
		bool Api_keyIsSet() const { return _element_api_key_is_set; }
		bool Canvas_nameIsSet() const { return _element_canvas_name_is_set; }
		bool Display_nameIsSet() const { return _element_display_name_is_set; }
		bool Icon_urlIsSet() const { return _element_icon_url_is_set; }
		bool Logo_urlIsSet() const { return _element_logo_url_is_set; }
		bool DevelopersIsSet() const;
		bool Company_nameIsSet() const { return _element_company_name_is_set; }
		bool DescriptionIsSet() const { return _element_description_is_set; }
		bool Daily_active_usersIsSet() const { return _element_daily_active_users_is_set; }
		bool Weekly_active_usersIsSet() const { return _element_weekly_active_users_is_set; }
		bool Monthly_active_usersIsSet() const { return _element_monthly_active_users_is_set; }
		bool CategoryIsSet() const { return _element_category_is_set; }
		bool SubcategoryIsSet() const { return _element_subcategory_is_set; }

	private:
		long _element_app_id;
		std::string _element_api_key;
		std::string _element_canvas_name;
		std::string _element_display_name;
		std::string _element_icon_url;
		std::string _element_logo_url;
		com_facebook_1_0_::App_info::Developers_t _element_developers;
		std::string _element_company_name;
		std::string _element_description;
		int _element_daily_active_users;
		int _element_weekly_active_users;
		int _element_monthly_active_users;
		std::string _element_category;
		std::string _element_subcategory;
		bool _element_app_id_is_set;
		bool _element_api_key_is_set;
		bool _element_canvas_name_is_set;
		bool _element_display_name_is_set;
		bool _element_icon_url_is_set;
		bool _element_logo_url_is_set;
		bool _element_company_name_is_set;
		bool _element_description_is_set;
		bool _element_daily_active_users_is_set;
		bool _element_weekly_active_users_is_set;
		bool _element_monthly_active_users_is_set;
		bool _element_category_is_set;
		bool _element_subcategory_is_set;
	};

	// -----------------------------------------------------------------------------
	class Notification_data
	{
	public:
		class Notifications_t
		{
		public:
			Notifications_t();
			Notifications_t(const Xml::XmlNode& it);
			virtual ~Notifications_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<com_facebook_1_0_::Notification>& GetNotification() const;
			std::list<com_facebook_1_0_::Notification>& GetNotification();
			void SetNotification(const std::list<com_facebook_1_0_::Notification>& notification);

			bool GetList() const;
			void SetList(bool list);

			bool NotificationIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<com_facebook_1_0_::Notification> _element_notification;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		class Apps_t
		{
		public:
			Apps_t();
			Apps_t(const Xml::XmlNode& it);
			virtual ~Apps_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<com_facebook_1_0_::App_info>& GetApp_info() const;
			std::list<com_facebook_1_0_::App_info>& GetApp_info();
			void SetApp_info(const std::list<com_facebook_1_0_::App_info>& app_info);

			bool GetList() const;
			void SetList(bool list);

			bool App_infoIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<com_facebook_1_0_::App_info> _element_app_info;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		Notification_data();
		Notification_data(const Xml::XmlNode& it);
		virtual ~Notification_data() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const com_facebook_1_0_::Notification_data::Notifications_t& GetNotifications() const;
		com_facebook_1_0_::Notification_data::Notifications_t& GetNotifications();
		void SetNotifications(const com_facebook_1_0_::Notification_data::Notifications_t& notifications);

		const com_facebook_1_0_::Notification_data::Apps_t& GetApps() const;
		com_facebook_1_0_::Notification_data::Apps_t& GetApps();
		void SetApps(const com_facebook_1_0_::Notification_data::Apps_t& apps);

		bool NotificationsIsSet() const;
		bool AppsIsSet() const;

	private:
		com_facebook_1_0_::Notification_data::Notifications_t _element_notifications;
		com_facebook_1_0_::Notification_data::Apps_t _element_apps;
	};

	// -----------------------------------------------------------------------------
	class Note
	{
	public:
		Note();
		Note(const Xml::XmlNode& it);
		virtual ~Note() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		long GetNote_id() const;
		void SetNote_id(long note_id);

		const std::string& GetTitle() const;
		void SetTitle(const std::string& title);

		const std::string& GetContent() const;
		void SetContent(const std::string& content);

		long GetCreated_time() const;
		void SetCreated_time(long created_time);

		long GetUpdated_time() const;
		void SetUpdated_time(long updated_time);

		bool Note_idIsSet() const { return _element_note_id_is_set; }
		bool TitleIsSet() const { return _element_title_is_set; }
		bool ContentIsSet() const { return _element_content_is_set; }
		bool Created_timeIsSet() const { return _element_created_time_is_set; }
		bool Updated_timeIsSet() const { return _element_updated_time_is_set; }

	private:
		long _element_note_id;
		std::string _element_title;
		std::string _element_content;
		long _element_created_time;
		long _element_updated_time;
		bool _element_note_id_is_set;
		bool _element_title_is_set;
		bool _element_content_is_set;
		bool _element_created_time_is_set;
		bool _element_updated_time_is_set;
	};

	// -----------------------------------------------------------------------------
	class Link
	{
	public:
		class Image_urls_t
		{
		public:
			Image_urls_t();
			Image_urls_t(const Xml::XmlNode& it);
			virtual ~Image_urls_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<std::string>& GetImage_urls_elt() const;
			std::list<std::string>& GetImage_urls_elt();
			void SetImage_urls_elt(const std::list<std::string>& image_urls_elt);

			bool GetList() const;
			void SetList(bool list);

			bool Image_urls_eltIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<std::string> _element_image_urls_elt;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		Link();
		Link(const Xml::XmlNode& it);
		virtual ~Link() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		long GetLink_id() const;
		void SetLink_id(long link_id);

		long GetOwner() const;
		void SetOwner(long owner);

		const std::string& GetOwner_comment() const;
		void SetOwner_comment(const std::string& owner_comment);

		long GetCreated_time() const;
		void SetCreated_time(long created_time);

		const std::string& GetTitle() const;
		void SetTitle(const std::string& title);

		const std::string& GetSummary() const;
		void SetSummary(const std::string& summary);

		const std::string& GetUrl() const;
		void SetUrl(const std::string& url);

		const com_facebook_1_0_::Link::Image_urls_t& GetImage_urls() const;
		com_facebook_1_0_::Link::Image_urls_t& GetImage_urls();
		void SetImage_urls(const com_facebook_1_0_::Link::Image_urls_t& image_urls);

		bool Link_idIsSet() const { return _element_link_id_is_set; }
		bool OwnerIsSet() const { return _element_owner_is_set; }
		bool Owner_commentIsSet() const { return _element_owner_comment_is_set; }
		bool Created_timeIsSet() const { return _element_created_time_is_set; }
		bool TitleIsSet() const { return _element_title_is_set; }
		bool SummaryIsSet() const { return _element_summary_is_set; }
		bool UrlIsSet() const { return _element_url_is_set; }
		bool Image_urlsIsSet() const;

	private:
		long _element_link_id;
		long _element_owner;
		std::string _element_owner_comment;
		long _element_created_time;
		std::string _element_title;
		std::string _element_summary;
		std::string _element_url;
		com_facebook_1_0_::Link::Image_urls_t _element_image_urls;
		bool _element_link_id_is_set;
		bool _element_owner_is_set;
		bool _element_owner_comment_is_set;
		bool _element_created_time_is_set;
		bool _element_title_is_set;
		bool _element_summary_is_set;
		bool _element_url_is_set;
	};

	// -----------------------------------------------------------------------------
	class Metrics
	{
	public:
		Metrics();
		Metrics(const Xml::XmlNode& it);
		virtual ~Metrics() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		long GetEnd_time() const;
		void SetEnd_time(long end_time);

		int GetActive_users() const;
		void SetActive_users(int active_users);

		int GetApi_calls() const;
		void SetApi_calls(int api_calls);

		int GetUnique_api_calls() const;
		void SetUnique_api_calls(int unique_api_calls);

		int GetCanvas_page_views() const;
		void SetCanvas_page_views(int canvas_page_views);

		int GetUnique_canvas_page_views() const;
		void SetUnique_canvas_page_views(int unique_canvas_page_views);

		int GetCanvas_http_request_time_avg() const;
		void SetCanvas_http_request_time_avg(int canvas_http_request_time_avg);

		int GetCanvas_fbml_render_time_avg() const;
		void SetCanvas_fbml_render_time_avg(int canvas_fbml_render_time_avg);

		int GetUnique_adds() const;
		void SetUnique_adds(int unique_adds);

		int GetUnique_removes() const;
		void SetUnique_removes(int unique_removes);

		int GetUnique_blocks() const;
		void SetUnique_blocks(int unique_blocks);

		int GetUnique_unblocks() const;
		void SetUnique_unblocks(int unique_unblocks);

		int GetCanvas_page_views_http_code_0() const;
		void SetCanvas_page_views_http_code_0(int canvas_page_views_http_code_0);

		int GetCanvas_page_views_http_code_100() const;
		void SetCanvas_page_views_http_code_100(int canvas_page_views_http_code_100);

		int GetCanvas_page_views_http_code_200() const;
		void SetCanvas_page_views_http_code_200(int canvas_page_views_http_code_200);

		int GetCanvas_page_views_http_code_200ND() const;
		void SetCanvas_page_views_http_code_200ND(int canvas_page_views_http_code_200ND);

		int GetCanvas_page_views_http_code_301() const;
		void SetCanvas_page_views_http_code_301(int canvas_page_views_http_code_301);

		int GetCanvas_page_views_http_code_302() const;
		void SetCanvas_page_views_http_code_302(int canvas_page_views_http_code_302);

		int GetCanvas_page_views_http_code_303() const;
		void SetCanvas_page_views_http_code_303(int canvas_page_views_http_code_303);

		int GetCanvas_page_views_http_code_400() const;
		void SetCanvas_page_views_http_code_400(int canvas_page_views_http_code_400);

		int GetCanvas_page_views_http_code_401() const;
		void SetCanvas_page_views_http_code_401(int canvas_page_views_http_code_401);

		int GetCanvas_page_views_http_code_402() const;
		void SetCanvas_page_views_http_code_402(int canvas_page_views_http_code_402);

		int GetCanvas_page_views_http_code_403() const;
		void SetCanvas_page_views_http_code_403(int canvas_page_views_http_code_403);

		int GetCanvas_page_views_http_code_404() const;
		void SetCanvas_page_views_http_code_404(int canvas_page_views_http_code_404);

		int GetCanvas_page_views_http_code_405() const;
		void SetCanvas_page_views_http_code_405(int canvas_page_views_http_code_405);

		int GetCanvas_page_views_http_code_413() const;
		void SetCanvas_page_views_http_code_413(int canvas_page_views_http_code_413);

		int GetCanvas_page_views_http_code_422() const;
		void SetCanvas_page_views_http_code_422(int canvas_page_views_http_code_422);

		int GetCanvas_page_views_http_code_500() const;
		void SetCanvas_page_views_http_code_500(int canvas_page_views_http_code_500);

		int GetCanvas_page_views_http_code_502() const;
		void SetCanvas_page_views_http_code_502(int canvas_page_views_http_code_502);

		int GetCanvas_page_views_http_code_503() const;
		void SetCanvas_page_views_http_code_503(int canvas_page_views_http_code_503);

		int GetCanvas_page_views_http_code_505() const;
		void SetCanvas_page_views_http_code_505(int canvas_page_views_http_code_505);

		int GetFeedform_impression() const;
		void SetFeedform_impression(int feedform_impression);

		int GetFeedform_publish() const;
		void SetFeedform_publish(int feedform_publish);

		bool End_timeIsSet() const { return _element_end_time_is_set; }
		bool Active_usersIsSet() const { return _element_active_users_is_set; }
		bool Api_callsIsSet() const { return _element_api_calls_is_set; }
		bool Unique_api_callsIsSet() const { return _element_unique_api_calls_is_set; }
		bool Canvas_page_viewsIsSet() const { return _element_canvas_page_views_is_set; }
		bool Unique_canvas_page_viewsIsSet() const { return _element_unique_canvas_page_views_is_set; }
		bool Canvas_http_request_time_avgIsSet() const { return _element_canvas_http_request_time_avg_is_set; }
		bool Canvas_fbml_render_time_avgIsSet() const { return _element_canvas_fbml_render_time_avg_is_set; }
		bool Unique_addsIsSet() const { return _element_unique_adds_is_set; }
		bool Unique_removesIsSet() const { return _element_unique_removes_is_set; }
		bool Unique_blocksIsSet() const { return _element_unique_blocks_is_set; }
		bool Unique_unblocksIsSet() const { return _element_unique_unblocks_is_set; }
		bool Canvas_page_views_http_code_0IsSet() const { return _element_canvas_page_views_http_code_0_is_set; }
		bool Canvas_page_views_http_code_100IsSet() const { return _element_canvas_page_views_http_code_100_is_set; }
		bool Canvas_page_views_http_code_200IsSet() const { return _element_canvas_page_views_http_code_200_is_set; }
		bool Canvas_page_views_http_code_200NDIsSet() const { return _element_canvas_page_views_http_code_200ND_is_set; }
		bool Canvas_page_views_http_code_301IsSet() const { return _element_canvas_page_views_http_code_301_is_set; }
		bool Canvas_page_views_http_code_302IsSet() const { return _element_canvas_page_views_http_code_302_is_set; }
		bool Canvas_page_views_http_code_303IsSet() const { return _element_canvas_page_views_http_code_303_is_set; }
		bool Canvas_page_views_http_code_400IsSet() const { return _element_canvas_page_views_http_code_400_is_set; }
		bool Canvas_page_views_http_code_401IsSet() const { return _element_canvas_page_views_http_code_401_is_set; }
		bool Canvas_page_views_http_code_402IsSet() const { return _element_canvas_page_views_http_code_402_is_set; }
		bool Canvas_page_views_http_code_403IsSet() const { return _element_canvas_page_views_http_code_403_is_set; }
		bool Canvas_page_views_http_code_404IsSet() const { return _element_canvas_page_views_http_code_404_is_set; }
		bool Canvas_page_views_http_code_405IsSet() const { return _element_canvas_page_views_http_code_405_is_set; }
		bool Canvas_page_views_http_code_413IsSet() const { return _element_canvas_page_views_http_code_413_is_set; }
		bool Canvas_page_views_http_code_422IsSet() const { return _element_canvas_page_views_http_code_422_is_set; }
		bool Canvas_page_views_http_code_500IsSet() const { return _element_canvas_page_views_http_code_500_is_set; }
		bool Canvas_page_views_http_code_502IsSet() const { return _element_canvas_page_views_http_code_502_is_set; }
		bool Canvas_page_views_http_code_503IsSet() const { return _element_canvas_page_views_http_code_503_is_set; }
		bool Canvas_page_views_http_code_505IsSet() const { return _element_canvas_page_views_http_code_505_is_set; }
		bool Feedform_impressionIsSet() const { return _element_feedform_impression_is_set; }
		bool Feedform_publishIsSet() const { return _element_feedform_publish_is_set; }

	private:
		long _element_end_time;
		int _element_active_users;
		int _element_api_calls;
		int _element_unique_api_calls;
		int _element_canvas_page_views;
		int _element_unique_canvas_page_views;
		int _element_canvas_http_request_time_avg;
		int _element_canvas_fbml_render_time_avg;
		int _element_unique_adds;
		int _element_unique_removes;
		int _element_unique_blocks;
		int _element_unique_unblocks;
		int _element_canvas_page_views_http_code_0;
		int _element_canvas_page_views_http_code_100;
		int _element_canvas_page_views_http_code_200;
		int _element_canvas_page_views_http_code_200ND;
		int _element_canvas_page_views_http_code_301;
		int _element_canvas_page_views_http_code_302;
		int _element_canvas_page_views_http_code_303;
		int _element_canvas_page_views_http_code_400;
		int _element_canvas_page_views_http_code_401;
		int _element_canvas_page_views_http_code_402;
		int _element_canvas_page_views_http_code_403;
		int _element_canvas_page_views_http_code_404;
		int _element_canvas_page_views_http_code_405;
		int _element_canvas_page_views_http_code_413;
		int _element_canvas_page_views_http_code_422;
		int _element_canvas_page_views_http_code_500;
		int _element_canvas_page_views_http_code_502;
		int _element_canvas_page_views_http_code_503;
		int _element_canvas_page_views_http_code_505;
		int _element_feedform_impression;
		int _element_feedform_publish;
		bool _element_end_time_is_set;
		bool _element_active_users_is_set;
		bool _element_api_calls_is_set;
		bool _element_unique_api_calls_is_set;
		bool _element_canvas_page_views_is_set;
		bool _element_unique_canvas_page_views_is_set;
		bool _element_canvas_http_request_time_avg_is_set;
		bool _element_canvas_fbml_render_time_avg_is_set;
		bool _element_unique_adds_is_set;
		bool _element_unique_removes_is_set;
		bool _element_unique_blocks_is_set;
		bool _element_unique_unblocks_is_set;
		bool _element_canvas_page_views_http_code_0_is_set;
		bool _element_canvas_page_views_http_code_100_is_set;
		bool _element_canvas_page_views_http_code_200_is_set;
		bool _element_canvas_page_views_http_code_200ND_is_set;
		bool _element_canvas_page_views_http_code_301_is_set;
		bool _element_canvas_page_views_http_code_302_is_set;
		bool _element_canvas_page_views_http_code_303_is_set;
		bool _element_canvas_page_views_http_code_400_is_set;
		bool _element_canvas_page_views_http_code_401_is_set;
		bool _element_canvas_page_views_http_code_402_is_set;
		bool _element_canvas_page_views_http_code_403_is_set;
		bool _element_canvas_page_views_http_code_404_is_set;
		bool _element_canvas_page_views_http_code_405_is_set;
		bool _element_canvas_page_views_http_code_413_is_set;
		bool _element_canvas_page_views_http_code_422_is_set;
		bool _element_canvas_page_views_http_code_500_is_set;
		bool _element_canvas_page_views_http_code_502_is_set;
		bool _element_canvas_page_views_http_code_503_is_set;
		bool _element_canvas_page_views_http_code_505_is_set;
		bool _element_feedform_impression_is_set;
		bool _element_feedform_publish_is_set;
	};

	// -----------------------------------------------------------------------------
	class Short_story_template
	{
	public:
		Short_story_template();
		Short_story_template(const Xml::XmlNode& it);
		virtual ~Short_story_template() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetTemplate_title() const;
		void SetTemplate_title(const std::string& template_title);

		const std::string& GetTemplate_body() const;
		void SetTemplate_body(const std::string& template_body);

		bool Template_titleIsSet() const { return _element_template_title_is_set; }
		bool Template_bodyIsSet() const { return _element_template_body_is_set; }

	private:
		std::string _element_template_title;
		std::string _element_template_body;
		bool _element_template_title_is_set;
		bool _element_template_body_is_set;
	};

	// -----------------------------------------------------------------------------
	class Full_story_template
	{
	public:
		Full_story_template();
		Full_story_template(const Xml::XmlNode& it);
		virtual ~Full_story_template() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetTemplate_title() const;
		void SetTemplate_title(const std::string& template_title);

		const std::string& GetTemplate_body() const;
		void SetTemplate_body(const std::string& template_body);

		bool Template_titleIsSet() const { return _element_template_title_is_set; }
		bool Template_bodyIsSet() const { return _element_template_body_is_set; }

	private:
		std::string _element_template_title;
		std::string _element_template_body;
		bool _element_template_title_is_set;
		bool _element_template_body_is_set;
	};

	// -----------------------------------------------------------------------------
	class Action_link
	{
	public:
		Action_link();
		Action_link(const Xml::XmlNode& it);
		virtual ~Action_link() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetText() const;
		void SetText(const std::string& text);

		const std::string& GetHref() const;
		void SetHref(const std::string& href);

		bool TextIsSet() const { return _element_text_is_set; }
		bool HrefIsSet() const { return _element_href_is_set; }

	private:
		std::string _element_text;
		std::string _element_href;
		bool _element_text_is_set;
		bool _element_href_is_set;
	};

	// -----------------------------------------------------------------------------
	class Stream_action_link
	{
	public:
		Stream_action_link();
		Stream_action_link(const Xml::XmlNode& it);
		virtual ~Stream_action_link() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetText() const;
		void SetText(const std::string& text);

		const std::string& GetHref() const;
		void SetHref(const std::string& href);

		bool TextIsSet() const { return _element_text_is_set; }
		bool HrefIsSet() const { return _element_href_is_set; }

	private:
		std::string _element_text;
		std::string _element_href;
		bool _element_text_is_set;
		bool _element_href_is_set;
	};

	// -----------------------------------------------------------------------------
	class ActionLinkList
	{
	public:
		ActionLinkList();
		ActionLinkList(const Xml::XmlNode& it);
		virtual ~ActionLinkList() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::Stream_action_link>& GetStream_action_link() const;
		std::list<com_facebook_1_0_::Stream_action_link>& GetStream_action_link();
		void SetStream_action_link(const std::list<com_facebook_1_0_::Stream_action_link>& stream_action_link);

		bool GetList() const;
		void SetList(bool list);

		bool Stream_action_linkIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::Stream_action_link> _element_stream_action_link;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Template_bundle
	{
	public:
		class One_line_story_templates_t
		{
		public:
			One_line_story_templates_t();
			One_line_story_templates_t(const Xml::XmlNode& it);
			virtual ~One_line_story_templates_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<std::string>& GetOne_line_story_template() const;
			std::list<std::string>& GetOne_line_story_template();
			void SetOne_line_story_template(const std::list<std::string>& one_line_story_template);

			bool GetList() const;
			void SetList(bool list);

			bool One_line_story_templateIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<std::string> _element_one_line_story_template;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		class Short_story_templates_t
		{
		public:
			Short_story_templates_t();
			Short_story_templates_t(const Xml::XmlNode& it);
			virtual ~Short_story_templates_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<com_facebook_1_0_::Short_story_template>& GetShort_story_template() const;
			std::list<com_facebook_1_0_::Short_story_template>& GetShort_story_template();
			void SetShort_story_template(const std::list<com_facebook_1_0_::Short_story_template>& short_story_template);

			bool GetList() const;
			void SetList(bool list);

			bool Short_story_templateIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<com_facebook_1_0_::Short_story_template> _element_short_story_template;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		Template_bundle();
		Template_bundle(const Xml::XmlNode& it);
		virtual ~Template_bundle() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const com_facebook_1_0_::Template_bundle::One_line_story_templates_t& GetOne_line_story_templates() const;
		com_facebook_1_0_::Template_bundle::One_line_story_templates_t& GetOne_line_story_templates();
		void SetOne_line_story_templates(const com_facebook_1_0_::Template_bundle::One_line_story_templates_t& one_line_story_templates);

		const com_facebook_1_0_::Template_bundle::Short_story_templates_t& GetShort_story_templates() const;
		com_facebook_1_0_::Template_bundle::Short_story_templates_t& GetShort_story_templates();
		void SetShort_story_templates(const com_facebook_1_0_::Template_bundle::Short_story_templates_t& short_story_templates);

		const com_facebook_1_0_::Full_story_template& GetFull_story_template() const;
		com_facebook_1_0_::Full_story_template& GetFull_story_template();
		void SetFull_story_template(const com_facebook_1_0_::Full_story_template& full_story_template);

		const com_facebook_1_0_::ActionLinkList& GetAction_links() const;
		com_facebook_1_0_::ActionLinkList& GetAction_links();
		void SetAction_links(const com_facebook_1_0_::ActionLinkList& action_links);

		long GetTime_created() const;
		void SetTime_created(long time_created);

		long GetTemplate_bundle_id() const;
		void SetTemplate_bundle_id(long template_bundle_id);

		bool One_line_story_templatesIsSet() const;
		bool Short_story_templatesIsSet() const;
		bool Full_story_templateIsSet() const;
		bool Action_linksIsSet() const;
		bool Time_createdIsSet() const { return _element_time_created_is_set; }
		bool Template_bundle_idIsSet() const { return _element_template_bundle_id_is_set; }

	private:
		com_facebook_1_0_::Template_bundle::One_line_story_templates_t _element_one_line_story_templates;
		com_facebook_1_0_::Template_bundle::Short_story_templates_t _element_short_story_templates;
		com_facebook_1_0_::Full_story_template _element_full_story_template;
		com_facebook_1_0_::ActionLinkList _element_action_links;
		long _element_time_created;
		long _element_template_bundle_id;
		bool _element_time_created_is_set;
		bool _element_template_bundle_id_is_set;
	};

	// -----------------------------------------------------------------------------
	class Feed_story
	{
	public:
		Feed_story();
		Feed_story(const Xml::XmlNode& it);
		virtual ~Feed_story() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		long GetActor_id() const;
		void SetActor_id(long actor_id);

		const std::string& GetPost_id() const;
		void SetPost_id(const std::string& post_id);

		const std::string& GetStory_title() const;
		void SetStory_title(const std::string& story_title);

		const std::string& GetStory_body() const;
		void SetStory_body(const std::string& story_body);

		const std::string& GetImages() const;
		void SetImages(const std::string& images);

		const std::string& GetFlash() const;
		void SetFlash(const std::string& flash);

		const std::string& GetMp3() const;
		void SetMp3(const std::string& mp3);

		const std::string& GetVideo() const;
		void SetVideo(const std::string& video);

		long GetTime_published() const;
		void SetTime_published(long time_published);

		bool Actor_idIsSet() const { return _element_actor_id_is_set; }
		bool Post_idIsSet() const { return _element_post_id_is_set; }
		bool Story_titleIsSet() const { return _element_story_title_is_set; }
		bool Story_bodyIsSet() const { return _element_story_body_is_set; }
		bool ImagesIsSet() const { return _element_images_is_set; }
		bool FlashIsSet() const { return _element_flash_is_set; }
		bool Mp3IsSet() const { return _element_mp3_is_set; }
		bool VideoIsSet() const { return _element_video_is_set; }
		bool Time_publishedIsSet() const { return _element_time_published_is_set; }

	private:
		long _element_actor_id;
		std::string _element_post_id;
		std::string _element_story_title;
		std::string _element_story_body;
		std::string _element_images;
		std::string _element_flash;
		std::string _element_mp3;
		std::string _element_video;
		long _element_time_published;
		bool _element_actor_id_is_set;
		bool _element_post_id_is_set;
		bool _element_story_title_is_set;
		bool _element_story_body_is_set;
		bool _element_images_is_set;
		bool _element_flash_is_set;
		bool _element_mp3_is_set;
		bool _element_video_is_set;
		bool _element_time_published_is_set;
	};

	// -----------------------------------------------------------------------------
	class Info_item
	{
	public:
		Info_item();
		Info_item(const Xml::XmlNode& it);
		virtual ~Info_item() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetLabel() const;
		void SetLabel(const std::string& label);

		const std::string& GetSublabel() const;
		void SetSublabel(const std::string& sublabel);

		const std::string& GetDescription() const;
		void SetDescription(const std::string& description);

		const std::string& GetLink() const;
		void SetLink(const std::string& link);

		const std::string& GetImage() const;
		void SetImage(const std::string& image);

		const std::string& GetMeta() const;
		void SetMeta(const std::string& meta);

		bool LabelIsSet() const { return _element_label_is_set; }
		bool SublabelIsSet() const { return _element_sublabel_is_set; }
		bool DescriptionIsSet() const { return _element_description_is_set; }
		bool LinkIsSet() const { return _element_link_is_set; }
		bool ImageIsSet() const { return _element_image_is_set; }
		bool MetaIsSet() const { return _element_meta_is_set; }

	private:
		std::string _element_label;
		std::string _element_sublabel;
		std::string _element_description;
		std::string _element_link;
		std::string _element_image;
		std::string _element_meta;
		bool _element_label_is_set;
		bool _element_sublabel_is_set;
		bool _element_description_is_set;
		bool _element_link_is_set;
		bool _element_image_is_set;
		bool _element_meta_is_set;
	};

	// -----------------------------------------------------------------------------
	class Info_field
	{
	public:
		class Items_t
		{
		public:
			Items_t();
			Items_t(const Xml::XmlNode& it);
			virtual ~Items_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<com_facebook_1_0_::Info_item>& GetInfo_item() const;
			std::list<com_facebook_1_0_::Info_item>& GetInfo_item();
			void SetInfo_item(const std::list<com_facebook_1_0_::Info_item>& info_item);

			bool GetList() const;
			void SetList(bool list);

			bool Info_itemIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<com_facebook_1_0_::Info_item> _element_info_item;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		Info_field();
		Info_field(const Xml::XmlNode& it);
		virtual ~Info_field() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetField() const;
		void SetField(const std::string& field);

		const com_facebook_1_0_::Info_field::Items_t& GetItems() const;
		com_facebook_1_0_::Info_field::Items_t& GetItems();
		void SetItems(const com_facebook_1_0_::Info_field::Items_t& items);

		bool FieldIsSet() const { return _element_field_is_set; }
		bool ItemsIsSet() const;

	private:
		std::string _element_field;
		com_facebook_1_0_::Info_field::Items_t _element_items;
		bool _element_field_is_set;
	};

	// -----------------------------------------------------------------------------
	class User_info
	{
	public:
		class Info_fields_t
		{
		public:
			Info_fields_t();
			Info_fields_t(const Xml::XmlNode& it);
			virtual ~Info_fields_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<com_facebook_1_0_::Info_field>& GetInfo_field() const;
			std::list<com_facebook_1_0_::Info_field>& GetInfo_field();
			void SetInfo_field(const std::list<com_facebook_1_0_::Info_field>& info_field);

			bool GetList() const;
			void SetList(bool list);

			bool Info_fieldIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<com_facebook_1_0_::Info_field> _element_info_field;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		User_info();
		User_info(const Xml::XmlNode& it);
		virtual ~User_info() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetTitle() const;
		void SetTitle(const std::string& title);

		int GetType() const;
		void SetType(int type);

		const com_facebook_1_0_::User_info::Info_fields_t& GetInfo_fields() const;
		com_facebook_1_0_::User_info::Info_fields_t& GetInfo_fields();
		void SetInfo_fields(const com_facebook_1_0_::User_info::Info_fields_t& info_fields);

		bool TitleIsSet() const { return _element_title_is_set; }
		bool TypeIsSet() const { return _element_type_is_set; }
		bool Info_fieldsIsSet() const;

	private:
		std::string _element_title;
		int _element_type;
		com_facebook_1_0_::User_info::Info_fields_t _element_info_fields;
		bool _element_title_is_set;
		bool _element_type_is_set;
	};

	// -----------------------------------------------------------------------------
	class Custom_tag_parameter
	{
	public:
		Custom_tag_parameter();
		Custom_tag_parameter(const Xml::XmlNode& it);
		virtual ~Custom_tag_parameter() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetName() const;
		void SetName(const std::string& name);

		const std::string& GetCustom_tag_parameter_type() const;
		void SetCustom_tag_parameter_type(const std::string& custom_tag_parameter_type);

		const std::string& GetDescription() const;
		void SetDescription(const std::string& description);

		const std::string& GetDefault_value() const;
		void SetDefault_value(const std::string& default_value);

		bool NameIsSet() const { return _element_name_is_set; }
		bool Custom_tag_parameter_typeIsSet() const { return _element_custom_tag_parameter_type_is_set; }
		bool DescriptionIsSet() const { return _element_description_is_set; }
		bool Default_valueIsSet() const { return _element_default_value_is_set; }

	private:
		std::string _element_name;
		std::string _element_custom_tag_parameter_type;
		std::string _element_description;
		std::string _element_default_value;
		bool _element_name_is_set;
		bool _element_custom_tag_parameter_type_is_set;
		bool _element_description_is_set;
		bool _element_default_value_is_set;
	};

	// -----------------------------------------------------------------------------
	class Custom_tag
	{
	public:
		class Parameter_t
		{
		public:
			Parameter_t();
			Parameter_t(const Xml::XmlNode& it);
			virtual ~Parameter_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<com_facebook_1_0_::Custom_tag_parameter>& GetCustom_tag_parameter() const;
			std::list<com_facebook_1_0_::Custom_tag_parameter>& GetCustom_tag_parameter();
			void SetCustom_tag_parameter(const std::list<com_facebook_1_0_::Custom_tag_parameter>& custom_tag_parameter);

			bool GetList() const;
			void SetList(bool list);

			bool Custom_tag_parameterIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<com_facebook_1_0_::Custom_tag_parameter> _element_custom_tag_parameter;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		Custom_tag();
		Custom_tag(const Xml::XmlNode& it);
		virtual ~Custom_tag() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetName() const;
		void SetName(const std::string& name);

		int GetType() const;
		void SetType(int type);

		const std::string& GetSummary() const;
		void SetSummary(const std::string& summary);

		const std::string& GetDescription() const;
		void SetDescription(const std::string& description);

		const com_facebook_1_0_::Custom_tag::Parameter_t& GetParameter() const;
		com_facebook_1_0_::Custom_tag::Parameter_t& GetParameter();
		void SetParameter(const com_facebook_1_0_::Custom_tag::Parameter_t& parameter);

		const std::string& GetBody() const;
		void SetBody(const std::string& body);

		const std::string& GetOpen_tag() const;
		void SetOpen_tag(const std::string& open_tag);

		const std::string& GetClose_tag() const;
		void SetClose_tag(const std::string& close_tag);

		bool NameIsSet() const { return _element_name_is_set; }
		bool TypeIsSet() const { return _element_type_is_set; }
		bool SummaryIsSet() const { return _element_summary_is_set; }
		bool DescriptionIsSet() const { return _element_description_is_set; }
		bool ParameterIsSet() const;
		bool BodyIsSet() const { return _element_body_is_set; }
		bool Open_tagIsSet() const { return _element_open_tag_is_set; }
		bool Close_tagIsSet() const { return _element_close_tag_is_set; }

	private:
		std::string _element_name;
		int _element_type;
		std::string _element_summary;
		std::string _element_description;
		com_facebook_1_0_::Custom_tag::Parameter_t _element_parameter;
		std::string _element_body;
		std::string _element_open_tag;
		std::string _element_close_tag;
		bool _element_name_is_set;
		bool _element_type_is_set;
		bool _element_summary_is_set;
		bool _element_description_is_set;
		bool _element_body_is_set;
		bool _element_open_tag_is_set;
		bool _element_close_tag_is_set;
	};

	// -----------------------------------------------------------------------------
	class Dashboard_bundle
	{
	public:
		Dashboard_bundle();
		Dashboard_bundle(const Xml::XmlNode& it);
		virtual ~Dashboard_bundle() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetMessage() const;
		void SetMessage(const std::string& message);

		const com_facebook_1_0_::Action_link& GetAction_link() const;
		com_facebook_1_0_::Action_link& GetAction_link();
		void SetAction_link(const com_facebook_1_0_::Action_link& action_link);

		bool MessageIsSet() const { return _element_message_is_set; }
		bool Action_linkIsSet() const;

	private:
		std::string _element_message;
		com_facebook_1_0_::Action_link _element_action_link;
		bool _element_message_is_set;
	};

	// -----------------------------------------------------------------------------
	class Dashboard_activity
	{
	public:
		class Activity_t
		{
		public:
			Activity_t();
			Activity_t(const Xml::XmlNode& it);
			virtual ~Activity_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<com_facebook_1_0_::Dashboard_bundle>& GetDashboard_bundle() const;
			std::list<com_facebook_1_0_::Dashboard_bundle>& GetDashboard_bundle();
			void SetDashboard_bundle(const std::list<com_facebook_1_0_::Dashboard_bundle>& dashboard_bundle);

			bool GetList() const;
			void SetList(bool list);

			bool Dashboard_bundleIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<com_facebook_1_0_::Dashboard_bundle> _element_dashboard_bundle;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		Dashboard_activity();
		Dashboard_activity(const Xml::XmlNode& it);
		virtual ~Dashboard_activity() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetImage() const;
		void SetImage(const std::string& image);

		const com_facebook_1_0_::Dashboard_activity::Activity_t& GetActivity() const;
		com_facebook_1_0_::Dashboard_activity::Activity_t& GetActivity();
		void SetActivity(const com_facebook_1_0_::Dashboard_activity::Activity_t& activity);

		long GetFbid() const;
		void SetFbid(long fbid);

		int GetTime() const;
		void SetTime(int time);

		bool ImageIsSet() const { return _element_image_is_set; }
		bool ActivityIsSet() const;
		bool FbidIsSet() const { return _element_fbid_is_set; }
		bool TimeIsSet() const { return _element_time_is_set; }

	private:
		std::string _element_image;
		com_facebook_1_0_::Dashboard_activity::Activity_t _element_activity;
		long _element_fbid;
		int _element_time;
		bool _element_image_is_set;
		bool _element_fbid_is_set;
		bool _element_time_is_set;
	};

	// -----------------------------------------------------------------------------
	class Dashboard_news
	{
	public:
		class News_t
		{
		public:
			News_t();
			News_t(const Xml::XmlNode& it);
			virtual ~News_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<com_facebook_1_0_::Dashboard_bundle>& GetDashboard_bundle() const;
			std::list<com_facebook_1_0_::Dashboard_bundle>& GetDashboard_bundle();
			void SetDashboard_bundle(const std::list<com_facebook_1_0_::Dashboard_bundle>& dashboard_bundle);

			bool GetList() const;
			void SetList(bool list);

			bool Dashboard_bundleIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<com_facebook_1_0_::Dashboard_bundle> _element_dashboard_bundle;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		Dashboard_news();
		Dashboard_news(const Xml::XmlNode& it);
		virtual ~Dashboard_news() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetImage() const;
		void SetImage(const std::string& image);

		const com_facebook_1_0_::Dashboard_news::News_t& GetNews() const;
		com_facebook_1_0_::Dashboard_news::News_t& GetNews();
		void SetNews(const com_facebook_1_0_::Dashboard_news::News_t& news);

		long GetFbid() const;
		void SetFbid(long fbid);

		int GetTime() const;
		void SetTime(int time);

		bool ImageIsSet() const { return _element_image_is_set; }
		bool NewsIsSet() const;
		bool FbidIsSet() const { return _element_fbid_is_set; }
		bool TimeIsSet() const { return _element_time_is_set; }

	private:
		std::string _element_image;
		com_facebook_1_0_::Dashboard_news::News_t _element_news;
		long _element_fbid;
		int _element_time;
		bool _element_image_is_set;
		bool _element_fbid_is_set;
		bool _element_time_is_set;
	};

	// -----------------------------------------------------------------------------
	class Privacy
	{
	public:
		class Networks_t
		{
		public:
			Networks_t();
			Networks_t(const Xml::XmlNode& it);
			virtual ~Networks_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<std::string>& GetNetworks_elt() const;
			std::list<std::string>& GetNetworks_elt();
			void SetNetworks_elt(const std::list<std::string>& networks_elt);

			bool GetList() const;
			void SetList(bool list);

			bool Networks_eltIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<std::string> _element_networks_elt;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		class Allow_t
		{
		public:
			Allow_t();
			Allow_t(const Xml::XmlNode& it);
			virtual ~Allow_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<std::string>& GetAllow_elt() const;
			std::list<std::string>& GetAllow_elt();
			void SetAllow_elt(const std::list<std::string>& allow_elt);

			bool GetList() const;
			void SetList(bool list);

			bool Allow_eltIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<std::string> _element_allow_elt;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		class Deny_t
		{
		public:
			Deny_t();
			Deny_t(const Xml::XmlNode& it);
			virtual ~Deny_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<std::string>& GetDeny_elt() const;
			std::list<std::string>& GetDeny_elt();
			void SetDeny_elt(const std::list<std::string>& deny_elt);

			bool GetList() const;
			void SetList(bool list);

			bool Deny_eltIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<std::string> _element_deny_elt;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		Privacy();
		Privacy(const Xml::XmlNode& it);
		virtual ~Privacy() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetDescription() const;
		void SetDescription(const std::string& description);

		const std::string& GetValue() const;
		void SetValue(const std::string& value);

		const std::string& GetFriends() const;
		void SetFriends(const std::string& friends);

		const com_facebook_1_0_::Privacy::Networks_t& GetNetworks() const;
		com_facebook_1_0_::Privacy::Networks_t& GetNetworks();
		void SetNetworks(const com_facebook_1_0_::Privacy::Networks_t& networks);

		const com_facebook_1_0_::Privacy::Allow_t& GetAllow() const;
		com_facebook_1_0_::Privacy::Allow_t& GetAllow();
		void SetAllow(const com_facebook_1_0_::Privacy::Allow_t& allow);

		const com_facebook_1_0_::Privacy::Deny_t& GetDeny() const;
		com_facebook_1_0_::Privacy::Deny_t& GetDeny();
		void SetDeny(const com_facebook_1_0_::Privacy::Deny_t& deny);

		bool DescriptionIsSet() const { return _element_description_is_set; }
		bool ValueIsSet() const { return _element_value_is_set; }
		bool FriendsIsSet() const { return _element_friends_is_set; }
		bool NetworksIsSet() const;
		bool AllowIsSet() const;
		bool DenyIsSet() const;

	private:
		std::string _element_description;
		std::string _element_value;
		std::string _element_friends;
		com_facebook_1_0_::Privacy::Networks_t _element_networks;
		com_facebook_1_0_::Privacy::Allow_t _element_allow;
		com_facebook_1_0_::Privacy::Deny_t _element_deny;
		bool _element_description_is_set;
		bool _element_value_is_set;
		bool _element_friends_is_set;
	};

	// -----------------------------------------------------------------------------
	class Stream_comments
	{
	public:
		class Comment_list_t
		{
		public:
			Comment_list_t();
			Comment_list_t(const Xml::XmlNode& it);
			virtual ~Comment_list_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<com_facebook_1_0_::Comment>& GetComment() const;
			std::list<com_facebook_1_0_::Comment>& GetComment();
			void SetComment(const std::list<com_facebook_1_0_::Comment>& comment);

			bool GetList() const;
			void SetList(bool list);

			bool CommentIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<com_facebook_1_0_::Comment> _element_comment;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		Stream_comments();
		Stream_comments(const Xml::XmlNode& it);
		virtual ~Stream_comments() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		bool GetCan_remove() const;
		void SetCan_remove(bool can_remove);

		bool GetCan_post() const;
		void SetCan_post(bool can_post);

		int GetCount() const;
		void SetCount(int count);

		const com_facebook_1_0_::Stream_comments::Comment_list_t& GetComment_list() const;
		com_facebook_1_0_::Stream_comments::Comment_list_t& GetComment_list();
		void SetComment_list(const com_facebook_1_0_::Stream_comments::Comment_list_t& comment_list);

		bool Can_removeIsSet() const { return _element_can_remove_is_set; }
		bool Can_postIsSet() const { return _element_can_post_is_set; }
		bool CountIsSet() const { return _element_count_is_set; }
		bool Comment_listIsSet() const;

	private:
		bool _element_can_remove;
		bool _element_can_post;
		int _element_count;
		com_facebook_1_0_::Stream_comments::Comment_list_t _element_comment_list;
		bool _element_can_remove_is_set;
		bool _element_can_post_is_set;
		bool _element_count_is_set;
	};

	// -----------------------------------------------------------------------------
	class Stream_likes
	{
	public:
		class Sample_t
		{
		public:
			Sample_t();
			Sample_t(const Xml::XmlNode& it);
			virtual ~Sample_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<long>& GetUid() const;
			std::list<long>& GetUid();
			void SetUid(const std::list<long>& uid);

			bool GetList() const;
			void SetList(bool list);

			bool UidIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<long> _element_uid;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		class Friends_t
		{
		public:
			Friends_t();
			Friends_t(const Xml::XmlNode& it);
			virtual ~Friends_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<long>& GetUid() const;
			std::list<long>& GetUid();
			void SetUid(const std::list<long>& uid);

			bool GetList() const;
			void SetList(bool list);

			bool UidIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<long> _element_uid;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		Stream_likes();
		Stream_likes(const Xml::XmlNode& it);
		virtual ~Stream_likes() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetHref() const;
		void SetHref(const std::string& href);

		int GetCount() const;
		void SetCount(int count);

		const com_facebook_1_0_::Stream_likes::Sample_t& GetSample() const;
		com_facebook_1_0_::Stream_likes::Sample_t& GetSample();
		void SetSample(const com_facebook_1_0_::Stream_likes::Sample_t& sample);

		const com_facebook_1_0_::Stream_likes::Friends_t& GetFriends() const;
		com_facebook_1_0_::Stream_likes::Friends_t& GetFriends();
		void SetFriends(const com_facebook_1_0_::Stream_likes::Friends_t& friends);

		bool GetUser_likes() const;
		void SetUser_likes(bool user_likes);

		bool GetCan_like() const;
		void SetCan_like(bool can_like);

		bool HrefIsSet() const { return _element_href_is_set; }
		bool CountIsSet() const { return _element_count_is_set; }
		bool SampleIsSet() const;
		bool FriendsIsSet() const;
		bool User_likesIsSet() const { return _element_user_likes_is_set; }
		bool Can_likeIsSet() const { return _element_can_like_is_set; }

	private:
		std::string _element_href;
		int _element_count;
		com_facebook_1_0_::Stream_likes::Sample_t _element_sample;
		com_facebook_1_0_::Stream_likes::Friends_t _element_friends;
		bool _element_user_likes;
		bool _element_can_like;
		bool _element_href_is_set;
		bool _element_count_is_set;
		bool _element_user_likes_is_set;
		bool _element_can_like_is_set;
	};

	// -----------------------------------------------------------------------------
	class Stream_video
	{
	public:
		Stream_video();
		Stream_video(const Xml::XmlNode& it);
		virtual ~Stream_video() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetDisplay_url() const;
		void SetDisplay_url(const std::string& display_url);

		const std::string& GetSource_url() const;
		void SetSource_url(const std::string& source_url);

		long GetOwner() const;
		void SetOwner(long owner);

		const std::string& GetPermalink() const;
		void SetPermalink(const std::string& permalink);

		const std::string& GetPreview_img() const;
		void SetPreview_img(const std::string& preview_img);

		const std::string& GetSource_type() const;
		void SetSource_type(const std::string& source_type);

		bool Display_urlIsSet() const { return _element_display_url_is_set; }
		bool Source_urlIsSet() const { return _element_source_url_is_set; }
		bool OwnerIsSet() const { return _element_owner_is_set; }
		bool PermalinkIsSet() const { return _element_permalink_is_set; }
		bool Preview_imgIsSet() const { return _element_preview_img_is_set; }
		bool Source_typeIsSet() const { return _element_source_type_is_set; }

	private:
		std::string _element_display_url;
		std::string _element_source_url;
		long _element_owner;
		std::string _element_permalink;
		std::string _element_preview_img;
		std::string _element_source_type;
		bool _element_display_url_is_set;
		bool _element_source_url_is_set;
		bool _element_owner_is_set;
		bool _element_permalink_is_set;
		bool _element_preview_img_is_set;
		bool _element_source_type_is_set;
	};

	// -----------------------------------------------------------------------------
	class Stream_photo
	{
	public:
		Stream_photo();
		Stream_photo(const Xml::XmlNode& it);
		virtual ~Stream_photo() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetAid() const;
		void SetAid(const std::string& aid);

		const std::string& GetPid() const;
		void SetPid(const std::string& pid);

		long GetOwner() const;
		void SetOwner(long owner);

		int GetIndex() const;
		void SetIndex(int index);

		int GetWidth() const;
		void SetWidth(int width);

		int GetHeight() const;
		void SetHeight(int height);

		bool AidIsSet() const { return _element_aid_is_set; }
		bool PidIsSet() const { return _element_pid_is_set; }
		bool OwnerIsSet() const { return _element_owner_is_set; }
		bool IndexIsSet() const { return _element_index_is_set; }
		bool WidthIsSet() const { return _element_width_is_set; }
		bool HeightIsSet() const { return _element_height_is_set; }

	private:
		std::string _element_aid;
		std::string _element_pid;
		long _element_owner;
		int _element_index;
		int _element_width;
		int _element_height;
		bool _element_aid_is_set;
		bool _element_pid_is_set;
		bool _element_owner_is_set;
		bool _element_index_is_set;
		bool _element_width_is_set;
		bool _element_height_is_set;
	};

	// -----------------------------------------------------------------------------
	class Stream_swf
	{
	public:
		Stream_swf();
		Stream_swf(const Xml::XmlNode& it);
		virtual ~Stream_swf() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetSource_url() const;
		void SetSource_url(const std::string& source_url);

		const std::string& GetPreview_img() const;
		void SetPreview_img(const std::string& preview_img);

		const std::string& GetFlash_vars() const;
		void SetFlash_vars(const std::string& flash_vars);

		int GetWidth() const;
		void SetWidth(int width);

		int GetHeight() const;
		void SetHeight(int height);

		bool Source_urlIsSet() const { return _element_source_url_is_set; }
		bool Preview_imgIsSet() const { return _element_preview_img_is_set; }
		bool Flash_varsIsSet() const { return _element_flash_vars_is_set; }
		bool WidthIsSet() const { return _element_width_is_set; }
		bool HeightIsSet() const { return _element_height_is_set; }

	private:
		std::string _element_source_url;
		std::string _element_preview_img;
		std::string _element_flash_vars;
		int _element_width;
		int _element_height;
		bool _element_source_url_is_set;
		bool _element_preview_img_is_set;
		bool _element_flash_vars_is_set;
		bool _element_width_is_set;
		bool _element_height_is_set;
	};

	// -----------------------------------------------------------------------------
	class Stream_music
	{
	public:
		Stream_music();
		Stream_music(const Xml::XmlNode& it);
		virtual ~Stream_music() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetSource_url() const;
		void SetSource_url(const std::string& source_url);

		const std::string& GetTitle() const;
		void SetTitle(const std::string& title);

		const std::string& GetArtist() const;
		void SetArtist(const std::string& artist);

		const std::string& GetAlbum() const;
		void SetAlbum(const std::string& album);

		bool Source_urlIsSet() const { return _element_source_url_is_set; }
		bool TitleIsSet() const { return _element_title_is_set; }
		bool ArtistIsSet() const { return _element_artist_is_set; }
		bool AlbumIsSet() const { return _element_album_is_set; }

	private:
		std::string _element_source_url;
		std::string _element_title;
		std::string _element_artist;
		std::string _element_album;
		bool _element_source_url_is_set;
		bool _element_title_is_set;
		bool _element_artist_is_set;
		bool _element_album_is_set;
	};

	// -----------------------------------------------------------------------------
	class Stream_media
	{
	public:
		Stream_media();
		Stream_media(const Xml::XmlNode& it);
		virtual ~Stream_media() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetHref() const;
		void SetHref(const std::string& href);

		const std::string& GetAlt() const;
		void SetAlt(const std::string& alt);

		const std::string& GetType() const;
		void SetType(const std::string& type);

		const std::string& GetSrc() const;
		void SetSrc(const std::string& src);

		const com_facebook_1_0_::Stream_video& GetVideo() const;
		com_facebook_1_0_::Stream_video& GetVideo();
		void SetVideo(const com_facebook_1_0_::Stream_video& video);

		const std::string& GetObj() const;
		void SetObj(const std::string& obj);

		const com_facebook_1_0_::Stream_music& GetMusic() const;
		com_facebook_1_0_::Stream_music& GetMusic();
		void SetMusic(const com_facebook_1_0_::Stream_music& music);

		const std::string& GetData() const;
		void SetData(const std::string& data);

		const com_facebook_1_0_::Stream_photo& GetPhoto() const;
		com_facebook_1_0_::Stream_photo& GetPhoto();
		void SetPhoto(const com_facebook_1_0_::Stream_photo& photo);

		const com_facebook_1_0_::Stream_swf& GetSwf() const;
		com_facebook_1_0_::Stream_swf& GetSwf();
		void SetSwf(const com_facebook_1_0_::Stream_swf& swf);

		bool HrefIsSet() const { return _element_href_is_set; }
		bool AltIsSet() const { return _element_alt_is_set; }
		bool TypeIsSet() const { return _element_type_is_set; }
		bool SrcIsSet() const { return _element_src_is_set; }
		bool VideoIsSet() const;
		bool ObjIsSet() const { return _element_obj_is_set; }
		bool MusicIsSet() const;
		bool DataIsSet() const { return _element_data_is_set; }
		bool PhotoIsSet() const;
		bool SwfIsSet() const;

	private:
		std::string _element_href;
		std::string _element_alt;
		std::string _element_type;
		std::string _element_src;
		com_facebook_1_0_::Stream_video _element_video;
		std::string _element_obj;
		com_facebook_1_0_::Stream_music _element_music;
		std::string _element_data;
		com_facebook_1_0_::Stream_photo _element_photo;
		com_facebook_1_0_::Stream_swf _element_swf;
		bool _element_href_is_set;
		bool _element_alt_is_set;
		bool _element_type_is_set;
		bool _element_src_is_set;
		bool _element_obj_is_set;
		bool _element_data_is_set;
	};

	// -----------------------------------------------------------------------------
	class Stream_property
	{
	public:
		Stream_property();
		Stream_property(const Xml::XmlNode& it);
		virtual ~Stream_property() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetName() const;
		void SetName(const std::string& name);

		const std::string& GetText() const;
		void SetText(const std::string& text);

		const std::string& GetHref() const;
		void SetHref(const std::string& href);

		bool NameIsSet() const { return _element_name_is_set; }
		bool TextIsSet() const { return _element_text_is_set; }
		bool HrefIsSet() const { return _element_href_is_set; }

	private:
		std::string _element_name;
		std::string _element_text;
		std::string _element_href;
		bool _element_name_is_set;
		bool _element_text_is_set;
		bool _element_href_is_set;
	};

	// -----------------------------------------------------------------------------
	class Stream_attachment
	{
	public:
		class Media_t
		{
		public:
			Media_t();
			Media_t(const Xml::XmlNode& it);
			virtual ~Media_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<com_facebook_1_0_::Stream_media>& GetStream_media() const;
			std::list<com_facebook_1_0_::Stream_media>& GetStream_media();
			void SetStream_media(const std::list<com_facebook_1_0_::Stream_media>& stream_media);

			bool GetList() const;
			void SetList(bool list);

			bool Stream_mediaIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<com_facebook_1_0_::Stream_media> _element_stream_media;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		class Properties_t
		{
		public:
			Properties_t();
			Properties_t(const Xml::XmlNode& it);
			virtual ~Properties_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<com_facebook_1_0_::Stream_property>& GetStream_property() const;
			std::list<com_facebook_1_0_::Stream_property>& GetStream_property();
			void SetStream_property(const std::list<com_facebook_1_0_::Stream_property>& stream_property);

			bool GetList() const;
			void SetList(bool list);

			bool Stream_propertyIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<com_facebook_1_0_::Stream_property> _element_stream_property;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		Stream_attachment();
		Stream_attachment(const Xml::XmlNode& it);
		virtual ~Stream_attachment() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const com_facebook_1_0_::Stream_attachment::Media_t& GetMedia() const;
		com_facebook_1_0_::Stream_attachment::Media_t& GetMedia();
		void SetMedia(const com_facebook_1_0_::Stream_attachment::Media_t& media);

		const std::string& GetName() const;
		void SetName(const std::string& name);

		const std::string& GetHref() const;
		void SetHref(const std::string& href);

		const std::string& GetCaption() const;
		void SetCaption(const std::string& caption);

		const std::string& GetDescription() const;
		void SetDescription(const std::string& description);

		const com_facebook_1_0_::Stream_attachment::Properties_t& GetProperties() const;
		com_facebook_1_0_::Stream_attachment::Properties_t& GetProperties();
		void SetProperties(const com_facebook_1_0_::Stream_attachment::Properties_t& properties);

		const std::string& GetIcon() const;
		void SetIcon(const std::string& icon);

		const std::string& GetFb_object_type() const;
		void SetFb_object_type(const std::string& fb_object_type);

		const std::string& GetFb_object_id() const;
		void SetFb_object_id(const std::string& fb_object_id);

		bool MediaIsSet() const;
		bool NameIsSet() const { return _element_name_is_set; }
		bool HrefIsSet() const { return _element_href_is_set; }
		bool CaptionIsSet() const { return _element_caption_is_set; }
		bool DescriptionIsSet() const { return _element_description_is_set; }
		bool PropertiesIsSet() const;
		bool IconIsSet() const { return _element_icon_is_set; }
		bool Fb_object_typeIsSet() const { return _element_fb_object_type_is_set; }
		bool Fb_object_idIsSet() const { return _element_fb_object_id_is_set; }

	private:
		com_facebook_1_0_::Stream_attachment::Media_t _element_media;
		std::string _element_name;
		std::string _element_href;
		std::string _element_caption;
		std::string _element_description;
		com_facebook_1_0_::Stream_attachment::Properties_t _element_properties;
		std::string _element_icon;
		std::string _element_fb_object_type;
		std::string _element_fb_object_id;
		bool _element_name_is_set;
		bool _element_href_is_set;
		bool _element_caption_is_set;
		bool _element_description_is_set;
		bool _element_icon_is_set;
		bool _element_fb_object_type_is_set;
		bool _element_fb_object_id_is_set;
	};

	// -----------------------------------------------------------------------------
	class Stream_app_data
	{
	public:
		Stream_app_data();
		Stream_app_data(const Xml::XmlNode& it);
		virtual ~Stream_app_data() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		long GetTbid() const;
		void SetTbid(long tbid);

		const std::string& GetAttachment_data() const;
		void SetAttachment_data(const std::string& attachment_data);

		const std::string& GetImages() const;
		void SetImages(const std::string& images);

		bool TbidIsSet() const { return _element_tbid_is_set; }
		bool Attachment_dataIsSet() const { return _element_attachment_data_is_set; }
		bool ImagesIsSet() const { return _element_images_is_set; }

	private:
		long _element_tbid;
		std::string _element_attachment_data;
		std::string _element_images;
		bool _element_tbid_is_set;
		bool _element_attachment_data_is_set;
		bool _element_images_is_set;
	};

	// -----------------------------------------------------------------------------
	class Stream_post
	{
	public:
		class Tagged_ids_t
		{
		public:
			Tagged_ids_t();
			Tagged_ids_t(const Xml::XmlNode& it);
			virtual ~Tagged_ids_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<long>& GetId() const;
			std::list<long>& GetId();
			void SetId(const std::list<long>& id);

			bool GetList() const;
			void SetList(bool list);

			bool IdIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<long> _element_id;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		Stream_post();
		Stream_post(const Xml::XmlNode& it);
		virtual ~Stream_post() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetPost_id() const;
		void SetPost_id(const std::string& post_id);

		long GetViewer_id() const;
		void SetViewer_id(long viewer_id);

		const std::string& GetView() const;
		void SetView(const std::string& view);

		long GetSource_id() const;
		void SetSource_id(long source_id);

		const std::string& GetType() const;
		void SetType(const std::string& type);

		long GetApp_id() const;
		void SetApp_id(long app_id);

		const std::string& GetAttribution() const;
		void SetAttribution(const std::string& attribution);

		long GetActor_id() const;
		void SetActor_id(long actor_id);

		long GetTarget_id() const;
		void SetTarget_id(long target_id);

		const std::string& GetMessage() const;
		void SetMessage(const std::string& message);

		const com_facebook_1_0_::Stream_attachment& GetAttachment() const;
		com_facebook_1_0_::Stream_attachment& GetAttachment();
		void SetAttachment(const com_facebook_1_0_::Stream_attachment& attachment);

		const com_facebook_1_0_::Stream_app_data& GetApp_data() const;
		com_facebook_1_0_::Stream_app_data& GetApp_data();
		void SetApp_data(const com_facebook_1_0_::Stream_app_data& app_data);

		const com_facebook_1_0_::ActionLinkList& GetAction_links() const;
		com_facebook_1_0_::ActionLinkList& GetAction_links();
		void SetAction_links(const com_facebook_1_0_::ActionLinkList& action_links);

		const com_facebook_1_0_::Stream_comments& GetComments() const;
		com_facebook_1_0_::Stream_comments& GetComments();
		void SetComments(const com_facebook_1_0_::Stream_comments& comments);

		const com_facebook_1_0_::Stream_likes& GetLikes() const;
		com_facebook_1_0_::Stream_likes& GetLikes();
		void SetLikes(const com_facebook_1_0_::Stream_likes& likes);

		const com_facebook_1_0_::Privacy& GetPrivacy() const;
		com_facebook_1_0_::Privacy& GetPrivacy();
		void SetPrivacy(const com_facebook_1_0_::Privacy& privacy);

		long GetUpdated_time() const;
		void SetUpdated_time(long updated_time);

		long GetCreated_time() const;
		void SetCreated_time(long created_time);

		const com_facebook_1_0_::Stream_post::Tagged_ids_t& GetTagged_ids() const;
		com_facebook_1_0_::Stream_post::Tagged_ids_t& GetTagged_ids();
		void SetTagged_ids(const com_facebook_1_0_::Stream_post::Tagged_ids_t& tagged_ids);

		bool GetIs_hidden() const;
		void SetIs_hidden(bool is_hidden);

		bool Post_idIsSet() const { return _element_post_id_is_set; }
		bool Viewer_idIsSet() const { return _element_viewer_id_is_set; }
		bool ViewIsSet() const { return _element_view_is_set; }
		bool Source_idIsSet() const { return _element_source_id_is_set; }
		bool TypeIsSet() const { return _element_type_is_set; }
		bool App_idIsSet() const { return _element_app_id_is_set; }
		bool AttributionIsSet() const { return _element_attribution_is_set; }
		bool Actor_idIsSet() const { return _element_actor_id_is_set; }
		bool Target_idIsSet() const { return _element_target_id_is_set; }
		bool MessageIsSet() const { return _element_message_is_set; }
		bool AttachmentIsSet() const;
		bool App_dataIsSet() const;
		bool Action_linksIsSet() const;
		bool CommentsIsSet() const;
		bool LikesIsSet() const;
		bool PrivacyIsSet() const;
		bool Updated_timeIsSet() const { return _element_updated_time_is_set; }
		bool Created_timeIsSet() const { return _element_created_time_is_set; }
		bool Tagged_idsIsSet() const;
		bool Is_hiddenIsSet() const { return _element_is_hidden_is_set; }

	private:
		std::string _element_post_id;
		long _element_viewer_id;
		std::string _element_view;
		long _element_source_id;
		std::string _element_type;
		long _element_app_id;
		std::string _element_attribution;
		long _element_actor_id;
		long _element_target_id;
		std::string _element_message;
		com_facebook_1_0_::Stream_attachment _element_attachment;
		com_facebook_1_0_::Stream_app_data _element_app_data;
		com_facebook_1_0_::ActionLinkList _element_action_links;
		com_facebook_1_0_::Stream_comments _element_comments;
		com_facebook_1_0_::Stream_likes _element_likes;
		com_facebook_1_0_::Privacy _element_privacy;
		long _element_updated_time;
		long _element_created_time;
		com_facebook_1_0_::Stream_post::Tagged_ids_t _element_tagged_ids;
		bool _element_is_hidden;
		bool _element_post_id_is_set;
		bool _element_viewer_id_is_set;
		bool _element_view_is_set;
		bool _element_source_id_is_set;
		bool _element_type_is_set;
		bool _element_app_id_is_set;
		bool _element_attribution_is_set;
		bool _element_actor_id_is_set;
		bool _element_target_id_is_set;
		bool _element_message_is_set;
		bool _element_updated_time_is_set;
		bool _element_created_time_is_set;
		bool _element_is_hidden_is_set;
	};

	// -----------------------------------------------------------------------------
	class Photo_feedback
	{
	public:
		Photo_feedback();
		Photo_feedback(const Xml::XmlNode& it);
		virtual ~Photo_feedback() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetPid() const;
		void SetPid(const std::string& pid);

		const com_facebook_1_0_::Stream_comments& GetComments() const;
		com_facebook_1_0_::Stream_comments& GetComments();
		void SetComments(const com_facebook_1_0_::Stream_comments& comments);

		const com_facebook_1_0_::Stream_likes& GetLikes() const;
		com_facebook_1_0_::Stream_likes& GetLikes();
		void SetLikes(const com_facebook_1_0_::Stream_likes& likes);

		bool PidIsSet() const { return _element_pid_is_set; }
		bool CommentsIsSet() const;
		bool LikesIsSet() const;

	private:
		std::string _element_pid;
		com_facebook_1_0_::Stream_comments _element_comments;
		com_facebook_1_0_::Stream_likes _element_likes;
		bool _element_pid_is_set;
	};

	// -----------------------------------------------------------------------------
	class Connection
	{
	public:
		Connection();
		Connection(const Xml::XmlNode& it);
		virtual ~Connection() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		long GetSource_id() const;
		void SetSource_id(long source_id);

		long GetTarget_id() const;
		void SetTarget_id(long target_id);

		bool GetIs_following() const;
		void SetIs_following(bool is_following);

		bool Source_idIsSet() const { return _element_source_id_is_set; }
		bool Target_idIsSet() const { return _element_target_id_is_set; }
		bool Is_followingIsSet() const { return _element_is_following_is_set; }

	private:
		long _element_source_id;
		long _element_target_id;
		bool _element_is_following;
		bool _element_source_id_is_set;
		bool _element_target_id_is_set;
		bool _element_is_following_is_set;
	};

	// -----------------------------------------------------------------------------
	class Stream_data
	{
	public:
		class Posts_t
		{
		public:
			Posts_t();
			Posts_t(const Xml::XmlNode& it);
			virtual ~Posts_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<com_facebook_1_0_::Stream_post>& GetStream_post() const;
			std::list<com_facebook_1_0_::Stream_post>& GetStream_post();
			void SetStream_post(const std::list<com_facebook_1_0_::Stream_post>& stream_post);

			bool GetList() const;
			void SetList(bool list);

			bool Stream_postIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<com_facebook_1_0_::Stream_post> _element_stream_post;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		class Profiles_t
		{
		public:
			Profiles_t();
			Profiles_t(const Xml::XmlNode& it);
			virtual ~Profiles_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<com_facebook_1_0_::Profile>& GetProfile() const;
			std::list<com_facebook_1_0_::Profile>& GetProfile();
			void SetProfile(const std::list<com_facebook_1_0_::Profile>& profile);

			bool GetList() const;
			void SetList(bool list);

			bool ProfileIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<com_facebook_1_0_::Profile> _element_profile;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		class Albums_t
		{
		public:
			Albums_t();
			Albums_t(const Xml::XmlNode& it);
			virtual ~Albums_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<com_facebook_1_0_::Album>& GetAlbum() const;
			std::list<com_facebook_1_0_::Album>& GetAlbum();
			void SetAlbum(const std::list<com_facebook_1_0_::Album>& album);

			bool GetList() const;
			void SetList(bool list);

			bool AlbumIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<com_facebook_1_0_::Album> _element_album;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		class Photo_tags_t
		{
		public:
			Photo_tags_t();
			Photo_tags_t(const Xml::XmlNode& it);
			virtual ~Photo_tags_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<com_facebook_1_0_::Photo_tag>& GetPhoto_tag() const;
			std::list<com_facebook_1_0_::Photo_tag>& GetPhoto_tag();
			void SetPhoto_tag(const std::list<com_facebook_1_0_::Photo_tag>& photo_tag);

			bool GetList() const;
			void SetList(bool list);

			bool Photo_tagIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<com_facebook_1_0_::Photo_tag> _element_photo_tag;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		class Photo_feedback_t
		{
		public:
			Photo_feedback_t();
			Photo_feedback_t(const Xml::XmlNode& it);
			virtual ~Photo_feedback_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<com_facebook_1_0_::Photo_feedback>& GetPhoto_feedback() const;
			std::list<com_facebook_1_0_::Photo_feedback>& GetPhoto_feedback();
			void SetPhoto_feedback(const std::list<com_facebook_1_0_::Photo_feedback>& photo_feedback);

			bool GetList() const;
			void SetList(bool list);

			bool Photo_feedbackIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<com_facebook_1_0_::Photo_feedback> _element_photo_feedback;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		class Connections_t
		{
		public:
			Connections_t();
			Connections_t(const Xml::XmlNode& it);
			virtual ~Connections_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<com_facebook_1_0_::Connection>& GetConnection() const;
			std::list<com_facebook_1_0_::Connection>& GetConnection();
			void SetConnection(const std::list<com_facebook_1_0_::Connection>& connection);

			bool GetList() const;
			void SetList(bool list);

			bool ConnectionIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<com_facebook_1_0_::Connection> _element_connection;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		Stream_data();
		Stream_data(const Xml::XmlNode& it);
		virtual ~Stream_data() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const com_facebook_1_0_::Stream_data::Posts_t& GetPosts() const;
		com_facebook_1_0_::Stream_data::Posts_t& GetPosts();
		void SetPosts(const com_facebook_1_0_::Stream_data::Posts_t& posts);

		const com_facebook_1_0_::Stream_data::Profiles_t& GetProfiles() const;
		com_facebook_1_0_::Stream_data::Profiles_t& GetProfiles();
		void SetProfiles(const com_facebook_1_0_::Stream_data::Profiles_t& profiles);

		const com_facebook_1_0_::Stream_data::Albums_t& GetAlbums() const;
		com_facebook_1_0_::Stream_data::Albums_t& GetAlbums();
		void SetAlbums(const com_facebook_1_0_::Stream_data::Albums_t& albums);

		const com_facebook_1_0_::Stream_data::Photo_tags_t& GetPhoto_tags() const;
		com_facebook_1_0_::Stream_data::Photo_tags_t& GetPhoto_tags();
		void SetPhoto_tags(const com_facebook_1_0_::Stream_data::Photo_tags_t& photo_tags);

		const com_facebook_1_0_::Stream_data::Photo_feedback_t& GetPhoto_feedback() const;
		com_facebook_1_0_::Stream_data::Photo_feedback_t& GetPhoto_feedback();
		void SetPhoto_feedback(const com_facebook_1_0_::Stream_data::Photo_feedback_t& photo_feedback);

		const com_facebook_1_0_::Stream_data::Connections_t& GetConnections() const;
		com_facebook_1_0_::Stream_data::Connections_t& GetConnections();
		void SetConnections(const com_facebook_1_0_::Stream_data::Connections_t& connections);

		bool PostsIsSet() const;
		bool ProfilesIsSet() const;
		bool AlbumsIsSet() const;
		bool Photo_tagsIsSet() const;
		bool Photo_feedbackIsSet() const;
		bool ConnectionsIsSet() const;

	private:
		com_facebook_1_0_::Stream_data::Posts_t _element_posts;
		com_facebook_1_0_::Stream_data::Profiles_t _element_profiles;
		com_facebook_1_0_::Stream_data::Albums_t _element_albums;
		com_facebook_1_0_::Stream_data::Photo_tags_t _element_photo_tags;
		com_facebook_1_0_::Stream_data::Photo_feedback_t _element_photo_feedback;
		com_facebook_1_0_::Stream_data::Connections_t _element_connections;
	};

	// -----------------------------------------------------------------------------
	class Stream_filter
	{
	public:
		Stream_filter();
		Stream_filter(const Xml::XmlNode& it);
		virtual ~Stream_filter() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		long GetUid() const;
		void SetUid(long uid);

		const std::string& GetFilter_key() const;
		void SetFilter_key(const std::string& filter_key);

		const std::string& GetName() const;
		void SetName(const std::string& name);

		int GetRank() const;
		void SetRank(int rank);

		const std::string& GetIcon_url() const;
		void SetIcon_url(const std::string& icon_url);

		bool GetIs_visible() const;
		void SetIs_visible(bool is_visible);

		const std::string& GetType() const;
		void SetType(const std::string& type);

		long GetValue() const;
		void SetValue(long value);

		bool UidIsSet() const { return _element_uid_is_set; }
		bool Filter_keyIsSet() const { return _element_filter_key_is_set; }
		bool NameIsSet() const { return _element_name_is_set; }
		bool RankIsSet() const { return _element_rank_is_set; }
		bool Icon_urlIsSet() const { return _element_icon_url_is_set; }
		bool Is_visibleIsSet() const { return _element_is_visible_is_set; }
		bool TypeIsSet() const { return _element_type_is_set; }
		bool ValueIsSet() const { return _element_value_is_set; }

	private:
		long _element_uid;
		std::string _element_filter_key;
		std::string _element_name;
		int _element_rank;
		std::string _element_icon_url;
		bool _element_is_visible;
		std::string _element_type;
		long _element_value;
		bool _element_uid_is_set;
		bool _element_filter_key_is_set;
		bool _element_name_is_set;
		bool _element_rank_is_set;
		bool _element_icon_url_is_set;
		bool _element_is_visible_is_set;
		bool _element_type_is_set;
		bool _element_value_is_set;
	};

	// -----------------------------------------------------------------------------
	class Link_stat
	{
	public:
		Link_stat();
		Link_stat(const Xml::XmlNode& it);
		virtual ~Link_stat() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetUrl() const;
		void SetUrl(const std::string& url);

		long GetShare_count() const;
		void SetShare_count(long share_count);

		long GetLike_count() const;
		void SetLike_count(long like_count);

		long GetComment_count() const;
		void SetComment_count(long comment_count);

		long GetTotal_count() const;
		void SetTotal_count(long total_count);

		long GetClick_count() const;
		void SetClick_count(long click_count);

		const std::string& GetNormalized_url() const;
		void SetNormalized_url(const std::string& normalized_url);

		bool UrlIsSet() const { return _element_url_is_set; }
		bool Share_countIsSet() const { return _element_share_count_is_set; }
		bool Like_countIsSet() const { return _element_like_count_is_set; }
		bool Comment_countIsSet() const { return _element_comment_count_is_set; }
		bool Total_countIsSet() const { return _element_total_count_is_set; }
		bool Click_countIsSet() const { return _element_click_count_is_set; }
		bool Normalized_urlIsSet() const { return _element_normalized_url_is_set; }

	private:
		std::string _element_url;
		long _element_share_count;
		long _element_like_count;
		long _element_comment_count;
		long _element_total_count;
		long _element_click_count;
		std::string _element_normalized_url;
		bool _element_url_is_set;
		bool _element_share_count_is_set;
		bool _element_like_count_is_set;
		bool _element_comment_count_is_set;
		bool _element_total_count_is_set;
		bool _element_click_count_is_set;
		bool _element_normalized_url_is_set;
	};

	// -----------------------------------------------------------------------------
	class Fql_result
	{
	public:
		Fql_result();
		Fql_result(const Xml::XmlNode& it);
		virtual ~Fql_result() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetName() const;
		void SetName(const std::string& name);

		const std::string& GetFql_result_set() const;
		void SetFql_result_set(const std::string& fql_result_set);

		bool NameIsSet() const { return _element_name_is_set; }
		bool Fql_result_setIsSet() const { return _element_fql_result_set_is_set; }

	private:
		std::string _element_name;
		std::string _element_fql_result_set;
		bool _element_name_is_set;
		bool _element_fql_result_set_is_set;
	};

	// -----------------------------------------------------------------------------
	class Translation
	{
	public:
		Translation();
		Translation(const Xml::XmlNode& it);
		virtual ~Translation() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetNative_string() const;
		void SetNative_string(const std::string& native_string);

		const std::string& GetDescription() const;
		void SetDescription(const std::string& description);

		const std::string& GetNative_hash() const;
		void SetNative_hash(const std::string& native_hash);

		const std::string& GetTranslation() const;
		void SetTranslation(const std::string& translation);

		const std::string& GetLocale() const;
		void SetLocale(const std::string& locale);

		const std::string& GetApproval_status() const;
		void SetApproval_status(const std::string& approval_status);

		const std::string& GetPre_hash_string() const;
		void SetPre_hash_string(const std::string& pre_hash_string);

		const std::string& GetBest_string() const;
		void SetBest_string(const std::string& best_string);

		int GetIs_translatable() const;
		void SetIs_translatable(int is_translatable);

		bool Native_stringIsSet() const { return _element_native_string_is_set; }
		bool DescriptionIsSet() const { return _element_description_is_set; }
		bool Native_hashIsSet() const { return _element_native_hash_is_set; }
		bool TranslationIsSet() const { return _element_translation_is_set; }
		bool LocaleIsSet() const { return _element_locale_is_set; }
		bool Approval_statusIsSet() const { return _element_approval_status_is_set; }
		bool Pre_hash_stringIsSet() const { return _element_pre_hash_string_is_set; }
		bool Best_stringIsSet() const { return _element_best_string_is_set; }
		bool Is_translatableIsSet() const { return _element_is_translatable_is_set; }

	private:
		std::string _element_native_string;
		std::string _element_description;
		std::string _element_native_hash;
		std::string _element_translation;
		std::string _element_locale;
		std::string _element_approval_status;
		std::string _element_pre_hash_string;
		std::string _element_best_string;
		int _element_is_translatable;
		bool _element_native_string_is_set;
		bool _element_description_is_set;
		bool _element_native_hash_is_set;
		bool _element_translation_is_set;
		bool _element_locale_is_set;
		bool _element_approval_status_is_set;
		bool _element_pre_hash_string_is_set;
		bool _element_best_string_is_set;
		bool _element_is_translatable_is_set;
	};

	// -----------------------------------------------------------------------------
	class Translation_info
	{
	public:
		Translation_info();
		Translation_info(const Xml::XmlNode& it);
		virtual ~Translation_info() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetTranslation() const;
		void SetTranslation(const std::string& translation);

		const std::string& GetStatus() const;
		void SetStatus(const std::string& status);

		const std::string& GetDescription() const;
		void SetDescription(const std::string& description);

		bool TranslationIsSet() const { return _element_translation_is_set; }
		bool StatusIsSet() const { return _element_status_is_set; }
		bool DescriptionIsSet() const { return _element_description_is_set; }

	private:
		std::string _element_translation;
		std::string _element_status;
		std::string _element_description;
		bool _element_translation_is_set;
		bool _element_status_is_set;
		bool _element_description_is_set;
	};

	// -----------------------------------------------------------------------------
	class Locale_string
	{
	public:
		class Translations_t
		{
		public:
			Translations_t();
			Translations_t(const Xml::XmlNode& it);
			virtual ~Translations_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<com_facebook_1_0_::Translation_info>& GetTranslation_info() const;
			std::list<com_facebook_1_0_::Translation_info>& GetTranslation_info();
			void SetTranslation_info(const std::list<com_facebook_1_0_::Translation_info>& translation_info);

			bool GetList() const;
			void SetList(bool list);

			bool Translation_infoIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<com_facebook_1_0_::Translation_info> _element_translation_info;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		Locale_string();
		Locale_string(const Xml::XmlNode& it);
		virtual ~Locale_string() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetNative_string() const;
		void SetNative_string(const std::string& native_string);

		const com_facebook_1_0_::Locale_string::Translations_t& GetTranslations() const;
		com_facebook_1_0_::Locale_string::Translations_t& GetTranslations();
		void SetTranslations(const com_facebook_1_0_::Locale_string::Translations_t& translations);

		bool Native_stringIsSet() const { return _element_native_string_is_set; }
		bool TranslationsIsSet() const;

	private:
		std::string _element_native_string;
		com_facebook_1_0_::Locale_string::Translations_t _element_translations;
		bool _element_native_string_is_set;
	};

	// -----------------------------------------------------------------------------
	class Locale_data
	{
	public:
		class Strings_t
		{
		public:
			Strings_t();
			Strings_t(const Xml::XmlNode& it);
			virtual ~Strings_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<com_facebook_1_0_::Locale_string>& GetLocale_string() const;
			std::list<com_facebook_1_0_::Locale_string>& GetLocale_string();
			void SetLocale_string(const std::list<com_facebook_1_0_::Locale_string>& locale_string);

			bool GetList() const;
			void SetList(bool list);

			bool Locale_stringIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<com_facebook_1_0_::Locale_string> _element_locale_string;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		Locale_data();
		Locale_data(const Xml::XmlNode& it);
		virtual ~Locale_data() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetLocale() const;
		void SetLocale(const std::string& locale);

		const com_facebook_1_0_::Locale_data::Strings_t& GetStrings() const;
		com_facebook_1_0_::Locale_data::Strings_t& GetStrings();
		void SetStrings(const com_facebook_1_0_::Locale_data::Strings_t& strings);

		bool LocaleIsSet() const { return _element_locale_is_set; }
		bool StringsIsSet() const;

	private:
		std::string _element_locale;
		com_facebook_1_0_::Locale_data::Strings_t _element_strings;
		bool _element_locale_is_set;
	};

	// -----------------------------------------------------------------------------
	class Message
	{
	public:
		Message();
		Message(const Xml::XmlNode& it);
		virtual ~Message() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::string& GetMessage_id() const;
		void SetMessage_id(const std::string& message_id);

		long GetAuthor_id() const;
		void SetAuthor_id(long author_id);

		const std::string& GetBody() const;
		void SetBody(const std::string& body);

		long GetCreated_time() const;
		void SetCreated_time(long created_time);

		const com_facebook_1_0_::Stream_attachment& GetAttachment() const;
		com_facebook_1_0_::Stream_attachment& GetAttachment();
		void SetAttachment(const com_facebook_1_0_::Stream_attachment& attachment);

		bool Message_idIsSet() const { return _element_message_id_is_set; }
		bool Author_idIsSet() const { return _element_author_id_is_set; }
		bool BodyIsSet() const { return _element_body_is_set; }
		bool Created_timeIsSet() const { return _element_created_time_is_set; }
		bool AttachmentIsSet() const;

	private:
		std::string _element_message_id;
		long _element_author_id;
		std::string _element_body;
		long _element_created_time;
		com_facebook_1_0_::Stream_attachment _element_attachment;
		bool _element_message_id_is_set;
		bool _element_author_id_is_set;
		bool _element_body_is_set;
		bool _element_created_time_is_set;
	};

	// -----------------------------------------------------------------------------
	class Thread
	{
	public:
		class Recipients_t
		{
		public:
			Recipients_t();
			Recipients_t(const Xml::XmlNode& it);
			virtual ~Recipients_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<long>& GetUid() const;
			std::list<long>& GetUid();
			void SetUid(const std::list<long>& uid);

			bool GetList() const;
			void SetList(bool list);

			bool UidIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<long> _element_uid;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		class Messages_t
		{
		public:
			Messages_t();
			Messages_t(const Xml::XmlNode& it);
			virtual ~Messages_t() {}

			void clear();

			void FromXml(const Xml::XmlNode& it);

			const std::string ToString(const std::string& name = "") const;

			bool IsSet() const;

			const std::list<com_facebook_1_0_::Message>& GetMessage() const;
			std::list<com_facebook_1_0_::Message>& GetMessage();
			void SetMessage(const std::list<com_facebook_1_0_::Message>& message);

			bool GetList() const;
			void SetList(bool list);

			bool MessageIsSet() const;

			bool ListIsSet() const { return _attribute_list_is_set; }

		private:
			std::list<com_facebook_1_0_::Message> _element_message;
			bool _attribute_list;
			bool _attribute_list_is_set;
		};

	public:
		Thread();
		Thread(const Xml::XmlNode& it);
		virtual ~Thread() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		long GetThread_id() const;
		void SetThread_id(long thread_id);

		const std::string& GetSubject() const;
		void SetSubject(const std::string& subject);

		const com_facebook_1_0_::Thread::Recipients_t& GetRecipients() const;
		com_facebook_1_0_::Thread::Recipients_t& GetRecipients();
		void SetRecipients(const com_facebook_1_0_::Thread::Recipients_t& recipients);

		long GetUpdated_time() const;
		void SetUpdated_time(long updated_time);

		const std::string& GetParent_message_id() const;
		void SetParent_message_id(const std::string& parent_message_id);

		long GetParent_thread_id() const;
		void SetParent_thread_id(long parent_thread_id);

		int GetMessage_count() const;
		void SetMessage_count(int message_count);

		const std::string& GetSnippet() const;
		void SetSnippet(const std::string& snippet);

		long GetSnippet_author() const;
		void SetSnippet_author(long snippet_author);

		long GetObject_id() const;
		void SetObject_id(long object_id);

		bool GetUnread() const;
		void SetUnread(bool unread);

		const com_facebook_1_0_::Thread::Messages_t& GetMessages() const;
		com_facebook_1_0_::Thread::Messages_t& GetMessages();
		void SetMessages(const com_facebook_1_0_::Thread::Messages_t& messages);

		bool Thread_idIsSet() const { return _element_thread_id_is_set; }
		bool SubjectIsSet() const { return _element_subject_is_set; }
		bool RecipientsIsSet() const;
		bool Updated_timeIsSet() const { return _element_updated_time_is_set; }
		bool Parent_message_idIsSet() const { return _element_parent_message_id_is_set; }
		bool Parent_thread_idIsSet() const { return _element_parent_thread_id_is_set; }
		bool Message_countIsSet() const { return _element_message_count_is_set; }
		bool SnippetIsSet() const { return _element_snippet_is_set; }
		bool Snippet_authorIsSet() const { return _element_snippet_author_is_set; }
		bool Object_idIsSet() const { return _element_object_id_is_set; }
		bool UnreadIsSet() const { return _element_unread_is_set; }
		bool MessagesIsSet() const;

	private:
		long _element_thread_id;
		std::string _element_subject;
		com_facebook_1_0_::Thread::Recipients_t _element_recipients;
		long _element_updated_time;
		std::string _element_parent_message_id;
		long _element_parent_thread_id;
		int _element_message_count;
		std::string _element_snippet;
		long _element_snippet_author;
		long _element_object_id;
		bool _element_unread;
		com_facebook_1_0_::Thread::Messages_t _element_messages;
		bool _element_thread_id_is_set;
		bool _element_subject_is_set;
		bool _element_updated_time_is_set;
		bool _element_parent_message_id_is_set;
		bool _element_parent_thread_id_is_set;
		bool _element_message_count_is_set;
		bool _element_snippet_is_set;
		bool _element_snippet_author_is_set;
		bool _element_object_id_is_set;
		bool _element_unread_is_set;
	};

	// -----------------------------------------------------------------------------
	class Mailbox_folder
	{
	public:
		Mailbox_folder();
		Mailbox_folder(const Xml::XmlNode& it);
		virtual ~Mailbox_folder() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		int GetFolder_id() const;
		void SetFolder_id(int folder_id);

		const std::string& GetName() const;
		void SetName(const std::string& name);

		int GetUnread_count() const;
		void SetUnread_count(int unread_count);

		int GetTotal_count() const;
		void SetTotal_count(int total_count);

		long GetViewer_id() const;
		void SetViewer_id(long viewer_id);

		bool Folder_idIsSet() const { return _element_folder_id_is_set; }
		bool NameIsSet() const { return _element_name_is_set; }
		bool Unread_countIsSet() const { return _element_unread_count_is_set; }
		bool Total_countIsSet() const { return _element_total_count_is_set; }
		bool Viewer_idIsSet() const { return _element_viewer_id_is_set; }

	private:
		int _element_folder_id;
		std::string _element_name;
		int _element_unread_count;
		int _element_total_count;
		long _element_viewer_id;
		bool _element_folder_id_is_set;
		bool _element_name_is_set;
		bool _element_unread_count_is_set;
		bool _element_total_count_is_set;
		bool _element_viewer_id_is_set;
	};

	// -----------------------------------------------------------------------------
	class Connect_registerUsers_response_t
	{
	public:
		Connect_registerUsers_response_t();
		Connect_registerUsers_response_t(const Xml::XmlNode& it);
		virtual ~Connect_registerUsers_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<std::string>& GetConnect_registerUsers_response_elt() const;
		std::list<std::string>& GetConnect_registerUsers_response_elt();
		void SetConnect_registerUsers_response_elt(const std::list<std::string>& connect_registerUsers_response_elt);

		bool GetList() const;
		void SetList(bool list);

		bool Connect_registerUsers_response_eltIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<std::string> _element_connect_registerUsers_response_elt;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Connect_unregisterUsers_response_t
	{
	public:
		Connect_unregisterUsers_response_t();
		Connect_unregisterUsers_response_t(const Xml::XmlNode& it);
		virtual ~Connect_unregisterUsers_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<std::string>& GetConnect_unregisterUsers_response_elt() const;
		std::list<std::string>& GetConnect_unregisterUsers_response_elt();
		void SetConnect_unregisterUsers_response_elt(const std::list<std::string>& connect_unregisterUsers_response_elt);

		bool GetList() const;
		void SetList(bool list);

		bool Connect_unregisterUsers_response_eltIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<std::string> _element_connect_unregisterUsers_response_elt;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Events_get_response_t
	{
	public:
		Events_get_response_t();
		Events_get_response_t(const Xml::XmlNode& it);
		virtual ~Events_get_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::Event>& GetEvent() const;
		std::list<com_facebook_1_0_::Event>& GetEvent();
		void SetEvent(const std::list<com_facebook_1_0_::Event>& event);

		bool GetList() const;
		void SetList(bool list);

		bool EventIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::Event> _element_event;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Notes_get_response_t
	{
	public:
		Notes_get_response_t();
		Notes_get_response_t(const Xml::XmlNode& it);
		virtual ~Notes_get_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::Note>& GetNote() const;
		std::list<com_facebook_1_0_::Note>& GetNote();
		void SetNote(const std::list<com_facebook_1_0_::Note>& note);

		bool GetList() const;
		void SetList(bool list);

		bool NoteIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::Note> _element_note;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Status_get_response_t
	{
	public:
		Status_get_response_t();
		Status_get_response_t(const Xml::XmlNode& it);
		virtual ~Status_get_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::User_status>& GetUser_status() const;
		std::list<com_facebook_1_0_::User_status>& GetUser_status();
		void SetUser_status(const std::list<com_facebook_1_0_::User_status>& user_status);

		bool GetList() const;
		void SetList(bool list);

		bool User_statusIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::User_status> _element_user_status;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Stream_getFilters_response_t
	{
	public:
		Stream_getFilters_response_t();
		Stream_getFilters_response_t(const Xml::XmlNode& it);
		virtual ~Stream_getFilters_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::Stream_filter>& GetStream_filter() const;
		std::list<com_facebook_1_0_::Stream_filter>& GetStream_filter();
		void SetStream_filter(const std::list<com_facebook_1_0_::Stream_filter>& stream_filter);

		bool GetList() const;
		void SetList(bool list);

		bool Stream_filterIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::Stream_filter> _element_stream_filter;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Stream_getComments_response_t
	{
	public:
		Stream_getComments_response_t();
		Stream_getComments_response_t(const Xml::XmlNode& it);
		virtual ~Stream_getComments_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::Comment>& GetComment() const;
		std::list<com_facebook_1_0_::Comment>& GetComment();
		void SetComment(const std::list<com_facebook_1_0_::Comment>& comment);

		bool GetList() const;
		void SetList(bool list);

		bool CommentIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::Comment> _element_comment;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Links_get_response_t
	{
	public:
		Links_get_response_t();
		Links_get_response_t(const Xml::XmlNode& it);
		virtual ~Links_get_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::Link>& GetLink() const;
		std::list<com_facebook_1_0_::Link>& GetLink();
		void SetLink(const std::list<com_facebook_1_0_::Link>& link);

		bool GetList() const;
		void SetList(bool list);

		bool LinkIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::Link> _element_link;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Links_getStats_response_t
	{
	public:
		Links_getStats_response_t();
		Links_getStats_response_t(const Xml::XmlNode& it);
		virtual ~Links_getStats_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::Link_stat>& GetLink_stat() const;
		std::list<com_facebook_1_0_::Link_stat>& GetLink_stat();
		void SetLink_stat(const std::list<com_facebook_1_0_::Link_stat>& link_stat);

		bool GetList() const;
		void SetList(bool list);

		bool Link_statIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::Link_stat> _element_link_stat;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Comments_get_response_t
	{
	public:
		Comments_get_response_t();
		Comments_get_response_t(const Xml::XmlNode& it);
		virtual ~Comments_get_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::Comment>& GetComment() const;
		std::list<com_facebook_1_0_::Comment>& GetComment();
		void SetComment(const std::list<com_facebook_1_0_::Comment>& comment);

		bool GetList() const;
		void SetList(bool list);

		bool CommentIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::Comment> _element_comment;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Fbml_getCustomTags_response_t
	{
	public:
		Fbml_getCustomTags_response_t();
		Fbml_getCustomTags_response_t(const Xml::XmlNode& it);
		virtual ~Fbml_getCustomTags_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::Custom_tag>& GetCustom_tag() const;
		std::list<com_facebook_1_0_::Custom_tag>& GetCustom_tag();
		void SetCustom_tag(const std::list<com_facebook_1_0_::Custom_tag>& custom_tag);

		bool GetList() const;
		void SetList(bool list);

		bool Custom_tagIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::Custom_tag> _element_custom_tag;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Friends_areFriends_response_t
	{
	public:
		Friends_areFriends_response_t();
		Friends_areFriends_response_t(const Xml::XmlNode& it);
		virtual ~Friends_areFriends_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::Friend_info>& GetFriend_info() const;
		std::list<com_facebook_1_0_::Friend_info>& GetFriend_info();
		void SetFriend_info(const std::list<com_facebook_1_0_::Friend_info>& friend_info);

		bool GetList() const;
		void SetList(bool list);

		bool Friend_infoIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::Friend_info> _element_friend_info;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Friends_get_response_t
	{
	public:
		Friends_get_response_t();
		Friends_get_response_t(const Xml::XmlNode& it);
		virtual ~Friends_get_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<long>& GetUid() const;
		std::list<long>& GetUid();
		void SetUid(const std::list<long>& uid);

		bool GetList() const;
		void SetList(bool list);

		bool UidIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<long> _element_uid;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Friends_getMutualFriends_response_t
	{
	public:
		Friends_getMutualFriends_response_t();
		Friends_getMutualFriends_response_t(const Xml::XmlNode& it);
		virtual ~Friends_getMutualFriends_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<long>& GetUid() const;
		std::list<long>& GetUid();
		void SetUid(const std::list<long>& uid);

		bool GetList() const;
		void SetList(bool list);

		bool UidIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<long> _element_uid;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Friends_getAppUsers_response_t
	{
	public:
		Friends_getAppUsers_response_t();
		Friends_getAppUsers_response_t(const Xml::XmlNode& it);
		virtual ~Friends_getAppUsers_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<long>& GetUid() const;
		std::list<long>& GetUid();
		void SetUid(const std::list<long>& uid);

		bool GetList() const;
		void SetList(bool list);

		bool UidIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<long> _element_uid;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Friends_getLists_response_t
	{
	public:
		Friends_getLists_response_t();
		Friends_getLists_response_t(const Xml::XmlNode& it);
		virtual ~Friends_getLists_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::Friendlist>& GetFriendlist() const;
		std::list<com_facebook_1_0_::Friendlist>& GetFriendlist();
		void SetFriendlist(const std::list<com_facebook_1_0_::Friendlist>& friendlist);

		bool GetList() const;
		void SetList(bool list);

		bool FriendlistIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::Friendlist> _element_friendlist;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Groups_get_response_t
	{
	public:
		Groups_get_response_t();
		Groups_get_response_t(const Xml::XmlNode& it);
		virtual ~Groups_get_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::Group>& GetGroup() const;
		std::list<com_facebook_1_0_::Group>& GetGroup();
		void SetGroup(const std::list<com_facebook_1_0_::Group>& group);

		bool GetList() const;
		void SetList(bool list);

		bool GroupIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::Group> _element_group;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Intl_getTranslations_response_t
	{
	public:
		Intl_getTranslations_response_t();
		Intl_getTranslations_response_t(const Xml::XmlNode& it);
		virtual ~Intl_getTranslations_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::Locale_data>& GetLocale_data() const;
		std::list<com_facebook_1_0_::Locale_data>& GetLocale_data();
		void SetLocale_data(const std::list<com_facebook_1_0_::Locale_data>& locale_data);

		bool GetList() const;
		void SetList(bool list);

		bool Locale_dataIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::Locale_data> _element_locale_data;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Privacy_canSee_response_t
	{
	public:
		Privacy_canSee_response_t();
		Privacy_canSee_response_t(const Xml::XmlNode& it);
		virtual ~Privacy_canSee_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<bool>& GetPrivacy_canSee_response_elt() const;
		std::list<bool>& GetPrivacy_canSee_response_elt();
		void SetPrivacy_canSee_response_elt(const std::list<bool>& privacy_canSee_response_elt);

		bool GetList() const;
		void SetList(bool list);

		bool Privacy_canSee_response_eltIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<bool> _element_privacy_canSee_response_elt;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Data_getCookies_response_t
	{
	public:
		Data_getCookies_response_t();
		Data_getCookies_response_t(const Xml::XmlNode& it);
		virtual ~Data_getCookies_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::Cookie>& GetCookie() const;
		std::list<com_facebook_1_0_::Cookie>& GetCookie();
		void SetCookie(const std::list<com_facebook_1_0_::Cookie>& cookie);

		bool GetList() const;
		void SetList(bool list);

		bool CookieIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::Cookie> _element_cookie;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Permissions_checkGrantedApiAccess_response_t
	{
	public:
		Permissions_checkGrantedApiAccess_response_t();
		Permissions_checkGrantedApiAccess_response_t(const Xml::XmlNode& it);
		virtual ~Permissions_checkGrantedApiAccess_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<std::string>& GetPermissions_checkGrantedApiAccess_response_elt() const;
		std::list<std::string>& GetPermissions_checkGrantedApiAccess_response_elt();
		void SetPermissions_checkGrantedApiAccess_response_elt(const std::list<std::string>& permissions_checkGrantedApiAccess_response_elt);

		bool GetList() const;
		void SetList(bool list);

		bool Permissions_checkGrantedApiAccess_response_eltIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<std::string> _element_permissions_checkGrantedApiAccess_response_elt;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Permissions_checkAvailableApiAccess_response_t
	{
	public:
		Permissions_checkAvailableApiAccess_response_t();
		Permissions_checkAvailableApiAccess_response_t(const Xml::XmlNode& it);
		virtual ~Permissions_checkAvailableApiAccess_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<std::string>& GetPermissions_checkAvailableApiAccess_response_elt() const;
		std::list<std::string>& GetPermissions_checkAvailableApiAccess_response_elt();
		void SetPermissions_checkAvailableApiAccess_response_elt(const std::list<std::string>& permissions_checkAvailableApiAccess_response_elt);

		bool GetList() const;
		void SetList(bool list);

		bool Permissions_checkAvailableApiAccess_response_eltIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<std::string> _element_permissions_checkAvailableApiAccess_response_elt;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Fql_query_response_t
	{
	public:
		Fql_query_response_t();
		Fql_query_response_t(const Xml::XmlNode& it);
		virtual ~Fql_query_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

	private:
	};

	// -----------------------------------------------------------------------------
	class Fql_multiquery_response_t
	{
	public:
		Fql_multiquery_response_t();
		Fql_multiquery_response_t(const Xml::XmlNode& it);
		virtual ~Fql_multiquery_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::Fql_result>& GetFql_result() const;
		std::list<com_facebook_1_0_::Fql_result>& GetFql_result();
		void SetFql_result(const std::list<com_facebook_1_0_::Fql_result>& fql_result);

		bool GetList() const;
		void SetList(bool list);

		bool Fql_resultIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::Fql_result> _element_fql_result;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Batch_run_response_t
	{
	public:
		Batch_run_response_t();
		Batch_run_response_t(const Xml::XmlNode& it);
		virtual ~Batch_run_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<std::string>& GetBatch_run_response_elt() const;
		std::list<std::string>& GetBatch_run_response_elt();
		void SetBatch_run_response_elt(const std::list<std::string>& batch_run_response_elt);

		bool GetList() const;
		void SetList(bool list);

		bool Batch_run_response_eltIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<std::string> _element_batch_run_response_elt;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Message_getThreadsInFolder_response_t
	{
	public:
		Message_getThreadsInFolder_response_t();
		Message_getThreadsInFolder_response_t(const Xml::XmlNode& it);
		virtual ~Message_getThreadsInFolder_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::Thread>& GetThread() const;
		std::list<com_facebook_1_0_::Thread>& GetThread();
		void SetThread(const std::list<com_facebook_1_0_::Thread>& thread);

		bool GetList() const;
		void SetList(bool list);

		bool ThreadIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::Thread> _element_thread;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Photos_get_response_t
	{
	public:
		Photos_get_response_t();
		Photos_get_response_t(const Xml::XmlNode& it);
		virtual ~Photos_get_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::Photo>& GetPhoto() const;
		std::list<com_facebook_1_0_::Photo>& GetPhoto();
		void SetPhoto(const std::list<com_facebook_1_0_::Photo>& photo);

		bool GetList() const;
		void SetList(bool list);

		bool PhotoIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::Photo> _element_photo;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Photos_getAlbums_response_t
	{
	public:
		Photos_getAlbums_response_t();
		Photos_getAlbums_response_t(const Xml::XmlNode& it);
		virtual ~Photos_getAlbums_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::Album>& GetAlbum() const;
		std::list<com_facebook_1_0_::Album>& GetAlbum();
		void SetAlbum(const std::list<com_facebook_1_0_::Album>& album);

		bool GetList() const;
		void SetList(bool list);

		bool AlbumIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::Album> _element_album;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Photos_getTags_response_t
	{
	public:
		Photos_getTags_response_t();
		Photos_getTags_response_t(const Xml::XmlNode& it);
		virtual ~Photos_getTags_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::Photo_tag>& GetPhoto_tag() const;
		std::list<com_facebook_1_0_::Photo_tag>& GetPhoto_tag();
		void SetPhoto_tag(const std::list<com_facebook_1_0_::Photo_tag>& photo_tag);

		bool GetList() const;
		void SetList(bool list);

		bool Photo_tagIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::Photo_tag> _element_photo_tag;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Profile_getInfo_response_t
	{
	public:
		Profile_getInfo_response_t();
		Profile_getInfo_response_t(const Xml::XmlNode& it);
		virtual ~Profile_getInfo_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::User_info>& GetUser_info() const;
		std::list<com_facebook_1_0_::User_info>& GetUser_info();
		void SetUser_info(const std::list<com_facebook_1_0_::User_info>& user_info);

		bool GetList() const;
		void SetList(bool list);

		bool User_infoIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::User_info> _element_user_info;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Profile_getInfoOptions_response_t
	{
	public:
		Profile_getInfoOptions_response_t();
		Profile_getInfoOptions_response_t(const Xml::XmlNode& it);
		virtual ~Profile_getInfoOptions_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::Info_item>& GetInfo_item() const;
		std::list<com_facebook_1_0_::Info_item>& GetInfo_item();
		void SetInfo_item(const std::list<com_facebook_1_0_::Info_item>& info_item);

		bool GetList() const;
		void SetList(bool list);

		bool Info_itemIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::Info_item> _element_info_item;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Update_decodeIDs_response_t
	{
	public:
		Update_decodeIDs_response_t();
		Update_decodeIDs_response_t(const Xml::XmlNode& it);
		virtual ~Update_decodeIDs_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::Id_map>& GetId_map() const;
		std::list<com_facebook_1_0_::Id_map>& GetId_map();
		void SetId_map(const std::list<com_facebook_1_0_::Id_map>& id_map);

		bool GetList() const;
		void SetList(bool list);

		bool Id_mapIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::Id_map> _element_id_map;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Users_getInfo_response_t
	{
	public:
		Users_getInfo_response_t();
		Users_getInfo_response_t(const Xml::XmlNode& it);
		virtual ~Users_getInfo_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::User>& GetUser() const;
		std::list<com_facebook_1_0_::User>& GetUser();
		void SetUser(const std::list<com_facebook_1_0_::User>& user);

		bool GetList() const;
		void SetList(bool list);

		bool UserIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::User> _element_user;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Users_getStandardInfo_response_t
	{
	public:
		Users_getStandardInfo_response_t();
		Users_getStandardInfo_response_t(const Xml::XmlNode& it);
		virtual ~Users_getStandardInfo_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::User>& GetUser() const;
		std::list<com_facebook_1_0_::User>& GetUser();
		void SetUser(const std::list<com_facebook_1_0_::User>& user);

		bool GetList() const;
		void SetList(bool list);

		bool UserIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::User> _element_user;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Pages_getInfo_response_t
	{
	public:
		Pages_getInfo_response_t();
		Pages_getInfo_response_t(const Xml::XmlNode& it);
		virtual ~Pages_getInfo_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::Page>& GetPage() const;
		std::list<com_facebook_1_0_::Page>& GetPage();
		void SetPage(const std::list<com_facebook_1_0_::Page>& page);

		bool GetList() const;
		void SetList(bool list);

		bool PageIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::Page> _element_page;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Data_getUserPreferences_response_t
	{
	public:
		Data_getUserPreferences_response_t();
		Data_getUserPreferences_response_t(const Xml::XmlNode& it);
		virtual ~Data_getUserPreferences_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::Preference>& GetPreference() const;
		std::list<com_facebook_1_0_::Preference>& GetPreference();
		void SetPreference(const std::list<com_facebook_1_0_::Preference>& preference);

		bool GetList() const;
		void SetList(bool list);

		bool PreferenceIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::Preference> _element_preference;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Data_getObjectTypes_response_t
	{
	public:
		Data_getObjectTypes_response_t();
		Data_getObjectTypes_response_t(const Xml::XmlNode& it);
		virtual ~Data_getObjectTypes_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::Object_type_info>& GetObject_type_info() const;
		std::list<com_facebook_1_0_::Object_type_info>& GetObject_type_info();
		void SetObject_type_info(const std::list<com_facebook_1_0_::Object_type_info>& object_type_info);

		bool GetList() const;
		void SetList(bool list);

		bool Object_type_infoIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::Object_type_info> _element_object_type_info;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Data_getObjectType_response_t
	{
	public:
		Data_getObjectType_response_t();
		Data_getObjectType_response_t(const Xml::XmlNode& it);
		virtual ~Data_getObjectType_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::Object_property_info>& GetObject_property_info() const;
		std::list<com_facebook_1_0_::Object_property_info>& GetObject_property_info();
		void SetObject_property_info(const std::list<com_facebook_1_0_::Object_property_info>& object_property_info);

		bool GetList() const;
		void SetList(bool list);

		bool Object_property_infoIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::Object_property_info> _element_object_property_info;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Data_getObjects_response_t
	{
	public:
		Data_getObjects_response_t();
		Data_getObjects_response_t(const Xml::XmlNode& it);
		virtual ~Data_getObjects_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::Container>& GetData_getObjects_response_elt() const;
		std::list<com_facebook_1_0_::Container>& GetData_getObjects_response_elt();
		void SetData_getObjects_response_elt(const std::list<com_facebook_1_0_::Container>& data_getObjects_response_elt);

		bool GetList() const;
		void SetList(bool list);

		bool Data_getObjects_response_eltIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::Container> _element_data_getObjects_response_elt;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Data_getAssociationDefinitions_response_t
	{
	public:
		Data_getAssociationDefinitions_response_t();
		Data_getAssociationDefinitions_response_t(const Xml::XmlNode& it);
		virtual ~Data_getAssociationDefinitions_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::Object_assoc_info>& GetObject_assoc_info() const;
		std::list<com_facebook_1_0_::Object_assoc_info>& GetObject_assoc_info();
		void SetObject_assoc_info(const std::list<com_facebook_1_0_::Object_assoc_info>& object_assoc_info);

		bool GetList() const;
		void SetList(bool list);

		bool Object_assoc_infoIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::Object_assoc_info> _element_object_assoc_info;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Data_getAssociatedObjects_response_t
	{
	public:
		Data_getAssociatedObjects_response_t();
		Data_getAssociatedObjects_response_t(const Xml::XmlNode& it);
		virtual ~Data_getAssociatedObjects_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::Object_association>& GetObject_association() const;
		std::list<com_facebook_1_0_::Object_association>& GetObject_association();
		void SetObject_association(const std::list<com_facebook_1_0_::Object_association>& object_association);

		bool GetList() const;
		void SetList(bool list);

		bool Object_associationIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::Object_association> _element_object_association;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Data_getAssociatedObjectCounts_response_t
	{
	public:
		Data_getAssociatedObjectCounts_response_t();
		Data_getAssociatedObjectCounts_response_t(const Xml::XmlNode& it);
		virtual ~Data_getAssociatedObjectCounts_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<int>& GetData_getAssociatedObjectCounts_response_elt() const;
		std::list<int>& GetData_getAssociatedObjectCounts_response_elt();
		void SetData_getAssociatedObjectCounts_response_elt(const std::list<int>& data_getAssociatedObjectCounts_response_elt);

		bool GetList() const;
		void SetList(bool list);

		bool Data_getAssociatedObjectCounts_response_eltIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<int> _element_data_getAssociatedObjectCounts_response_elt;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Data_getAssociations_response_t
	{
	public:
		Data_getAssociations_response_t();
		Data_getAssociations_response_t(const Xml::XmlNode& it);
		virtual ~Data_getAssociations_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::Object_association>& GetObject_association() const;
		std::list<com_facebook_1_0_::Object_association>& GetObject_association();
		void SetObject_association(const std::list<com_facebook_1_0_::Object_association>& object_association);

		bool GetList() const;
		void SetList(bool list);

		bool Object_associationIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::Object_association> _element_object_association;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Admin_getBannedUsers_response_t
	{
	public:
		Admin_getBannedUsers_response_t();
		Admin_getBannedUsers_response_t(const Xml::XmlNode& it);
		virtual ~Admin_getBannedUsers_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<long>& GetUid() const;
		std::list<long>& GetUid();
		void SetUid(const std::list<long>& uid);

		bool GetList() const;
		void SetList(bool list);

		bool UidIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<long> _element_uid;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Feed_getRegisteredTemplateBundles_response_t
	{
	public:
		Feed_getRegisteredTemplateBundles_response_t();
		Feed_getRegisteredTemplateBundles_response_t(const Xml::XmlNode& it);
		virtual ~Feed_getRegisteredTemplateBundles_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::Template_bundle>& GetTemplate_bundle() const;
		std::list<com_facebook_1_0_::Template_bundle>& GetTemplate_bundle();
		void SetTemplate_bundle(const std::list<com_facebook_1_0_::Template_bundle>& template_bundle);

		bool GetList() const;
		void SetList(bool list);

		bool Template_bundleIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::Template_bundle> _element_template_bundle;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Feed_getAppFriendStories_response_t
	{
	public:
		Feed_getAppFriendStories_response_t();
		Feed_getAppFriendStories_response_t(const Xml::XmlNode& it);
		virtual ~Feed_getAppFriendStories_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::Feed_story>& GetFeed_story() const;
		std::list<com_facebook_1_0_::Feed_story>& GetFeed_story();
		void SetFeed_story(const std::list<com_facebook_1_0_::Feed_story>& feed_story);

		bool GetList() const;
		void SetList(bool list);

		bool Feed_storyIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::Feed_story> _element_feed_story;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

	// -----------------------------------------------------------------------------
	class Admin_getMetrics_response_t
	{
	public:
		Admin_getMetrics_response_t();
		Admin_getMetrics_response_t(const Xml::XmlNode& it);
		virtual ~Admin_getMetrics_response_t() {}

		void clear();

		void FromXml(const Xml::XmlNode& it);

		const std::string ToString(const std::string& name = "") const;

		bool IsSet() const;

		const std::list<com_facebook_1_0_::Metrics>& GetMetrics() const;
		std::list<com_facebook_1_0_::Metrics>& GetMetrics();
		void SetMetrics(const std::list<com_facebook_1_0_::Metrics>& metrics);

		bool GetList() const;
		void SetList(bool list);

		bool MetricsIsSet() const;

		bool ListIsSet() const { return _attribute_list_is_set; }

	private:
		std::list<com_facebook_1_0_::Metrics> _element_metrics;
		bool _attribute_list;
		bool _attribute_list_is_set;
	};

} // namespace com_facebook_1_0_



#endif // _WSDL2CPP_FejsBokk_H
